#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0xf9140547, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0xce73d90f, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x6f44924a, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0x3ee94dd4, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0xbf74c4f2, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0x1fbdd918, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0x7dc6ba24, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0x753f501e, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0xd3e5699e, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0xa5681380, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0x4aeb5563, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0xb9e28fc3, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0x773aaae5, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0xd17bf8cb, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0x20a416b9, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0xe4a9ca77, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0x2337b867, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0x04dfa481, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0xa047db4b, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0x408a056f, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0x263ee1b3, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0x07d6fbda, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0x36a2c903, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0xbfc67033, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0xc4d3c3e2, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0xec825d59, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0x27efcb18, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0x95004ef3, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0x36a3e3ff, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0xd96b3b55, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0xd31000bc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6805d97b, "kthread_queue_work" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa4ad2125, "_dev_warn" },
	{ 0x12520845, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xc34ca513, "kthread_create_worker_on_node" },
	{ 0xae09cef5, "wake_up_process" },
	{ 0x3e7b511d, "_dev_err" },
	{ 0x6ee50677, "_dev_info" },
	{ 0x90dbb699, "sched_set_fifo" },
	{ 0x7282ef77, "crypto_register_aead" },
	{ 0xc1390555, "crypto_unregister_aead" },
	{ 0x9723a810, "crypto_register_ahash" },
	{ 0x8d6e2249, "crypto_unregister_ahash" },
	{ 0xd1223476, "crypto_register_akcipher" },
	{ 0x2a3593f0, "crypto_unregister_akcipher" },
	{ 0x4f91d1b0, "crypto_register_kpp" },
	{ 0x82518ce4, "crypto_unregister_kpp" },
	{ 0xf44f6295, "crypto_register_skcipher" },
	{ 0x95c44930, "crypto_unregister_skcipher" },
	{ 0x532a2128, "crypto_enqueue_request" },
	{ 0x417f9ca1, "crypto_dequeue_request" },
	{ 0xd9070b43, "crypto_enqueue_request_head" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x77e7c31a, "kthread_destroy_worker" },
	{ 0x664cef8e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9A4F37948CABE6A6577B9B3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
