#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ata_link_next, "_gpl", "");
KSYMTAB_FUNC(ata_dev_next, "_gpl", "");
KSYMTAB_FUNC(atapi_cmd_type, "_gpl", "");
KSYMTAB_FUNC(ata_pack_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mask2mode, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mode2mask, "_gpl", "");
KSYMTAB_FUNC(ata_xfer_mode2shift, "_gpl", "");
KSYMTAB_FUNC(ata_mode_string, "_gpl", "");
KSYMTAB_FUNC(ata_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ata_id_string, "_gpl", "");
KSYMTAB_FUNC(ata_id_c_string, "_gpl", "");
KSYMTAB_FUNC(ata_id_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_pio_need_iordy, "_gpl", "");
KSYMTAB_FUNC(ata_do_dev_read_id, "_gpl", "");
KSYMTAB_FUNC(ata_cable_40wire, "_gpl", "");
KSYMTAB_FUNC(ata_cable_80wire, "_gpl", "");
KSYMTAB_FUNC(ata_cable_unknown, "_gpl", "");
KSYMTAB_FUNC(ata_cable_ignore, "_gpl", "");
KSYMTAB_FUNC(ata_cable_sata, "_gpl", "");
KSYMTAB_FUNC(ata_dev_pair, "_gpl", "");
KSYMTAB_FUNC(ata_do_set_mode, "_gpl", "");
KSYMTAB_FUNC(ata_wait_after_reset, "_gpl", "");
KSYMTAB_FUNC(ata_std_prereset, "_gpl", "");
KSYMTAB_FUNC(ata_std_postreset, "_gpl", "");
KSYMTAB_FUNC(ata_dev_set_feature, "_gpl", "");
KSYMTAB_FUNC(ata_std_qc_defer, "_gpl", "");
KSYMTAB_FUNC(ata_qc_complete, "_gpl", "");
KSYMTAB_FUNC(ata_qc_get_active, "_gpl", "");
KSYMTAB_FUNC(ata_link_online, "_gpl", "");
KSYMTAB_FUNC(ata_link_offline, "_gpl", "");
KSYMTAB_FUNC(ata_sas_port_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_sas_port_resume, "_gpl", "");
KSYMTAB_FUNC(ata_host_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_host_resume, "_gpl", "");
KSYMTAB_FUNC(ata_port_alloc, "_gpl", "");
KSYMTAB_FUNC(ata_port_free, "_gpl", "");
KSYMTAB_FUNC(ata_host_put, "_gpl", "");
KSYMTAB_FUNC(ata_host_alloc, "_gpl", "");
KSYMTAB_FUNC(ata_host_alloc_pinfo, "_gpl", "");
KSYMTAB_FUNC(ata_host_start, "_gpl", "");
KSYMTAB_FUNC(ata_host_init, "_gpl", "");
KSYMTAB_FUNC(ata_port_probe, "_gpl", "");
KSYMTAB_FUNC(ata_host_register, "_gpl", "");
KSYMTAB_FUNC(ata_host_activate, "_gpl", "");
KSYMTAB_FUNC(ata_host_detach, "_gpl", "");
KSYMTAB_FUNC(ata_pci_remove_one, "_gpl", "");
KSYMTAB_FUNC(ata_pci_shutdown_one, "_gpl", "");
KSYMTAB_FUNC(pci_test_config_bits, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_do_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_do_resume, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_suspend, "_gpl", "");
KSYMTAB_FUNC(ata_pci_device_resume, "_gpl", "");
KSYMTAB_FUNC(ata_platform_remove_one, "_gpl", "");
KSYMTAB_FUNC(ata_ratelimit, "_gpl", "");
KSYMTAB_FUNC(ata_msleep, "_gpl", "");
KSYMTAB_FUNC(ata_wait_register, "_gpl", "");
KSYMTAB_DATA(ata_dummy_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_dummy_port_info, "_gpl", "");
KSYMTAB_FUNC(ata_print_version, "", "");
KSYMTAB_DATA(__tracepoint_ata_tf_load, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_tf_load, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_tf_load, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_tf_load, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_exec_command, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_exec_command, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_exec_command, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_exec_command, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_setup, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_setup, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_start, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_start, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ata_bmdma_status, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ata_bmdma_status, "_gpl", "");
KSYMTAB_DATA(dev_attr_unload_heads, "_gpl", "");
KSYMTAB_DATA(ata_common_sdev_groups, "_gpl", "");
KSYMTAB_FUNC(ata_std_bios_param, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_unlock_native_capacity, "_gpl", "");
KSYMTAB_FUNC(ata_sas_scsi_ioctl, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_ioctl, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_dma_need_drain, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_sdev_init, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_sdev_configure, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_sdev_destroy, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_queuecmd, "_gpl", "");
KSYMTAB_FUNC(__ata_ehi_push_desc, "_gpl", "");
KSYMTAB_FUNC(ata_ehi_push_desc, "_gpl", "");
KSYMTAB_FUNC(ata_ehi_clear_desc, "_gpl", "");
KSYMTAB_FUNC(ata_port_desc, "_gpl", "");
KSYMTAB_FUNC(ata_port_pbar_desc, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_cmd_error_handler, "", "");
KSYMTAB_FUNC(ata_scsi_port_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_port_wait_eh, "_gpl", "");
KSYMTAB_FUNC(ata_std_sched_eh, "_gpl", "");
KSYMTAB_FUNC(ata_std_end_eh, "", "");
KSYMTAB_FUNC(ata_port_schedule_eh, "_gpl", "");
KSYMTAB_FUNC(ata_link_abort, "_gpl", "");
KSYMTAB_FUNC(ata_port_abort, "_gpl", "");
KSYMTAB_FUNC(ata_port_freeze, "_gpl", "");
KSYMTAB_FUNC(ata_eh_freeze_port, "_gpl", "");
KSYMTAB_FUNC(ata_dev_disable, "_gpl", "");
KSYMTAB_FUNC(ata_get_cmd_name, "_gpl", "");
KSYMTAB_FUNC(ata_std_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_tport_delete, "_gpl", "");
KSYMTAB_FUNC(ata_tport_add, "_gpl", "");
KSYMTAB_FUNC(ata_port_classify, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_normal, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_hotplug, "_gpl", "");
KSYMTAB_DATA(sata_deb_timing_long, "_gpl", "");
KSYMTAB_FUNC(sata_scr_valid, "_gpl", "");
KSYMTAB_FUNC(sata_scr_read, "_gpl", "");
KSYMTAB_FUNC(sata_scr_write, "_gpl", "");
KSYMTAB_FUNC(sata_scr_write_flush, "_gpl", "");
KSYMTAB_FUNC(ata_tf_to_fis, "_gpl", "");
KSYMTAB_FUNC(ata_tf_from_fis, "_gpl", "");
KSYMTAB_FUNC(sata_link_debounce, "_gpl", "");
KSYMTAB_FUNC(sata_link_resume, "_gpl", "");
KSYMTAB_FUNC(sata_link_scr_lpm, "_gpl", "");
KSYMTAB_FUNC(sata_set_spd, "_gpl", "");
KSYMTAB_FUNC(sata_link_hardreset, "_gpl", "");
KSYMTAB_FUNC(sata_std_hardreset, "_gpl", "");
KSYMTAB_FUNC(ata_qc_complete_multiple, "_gpl", "");
KSYMTAB_FUNC(ata_slave_link_init, "_gpl", "");
KSYMTAB_FUNC(sata_lpm_ignore_phy_events, "_gpl", "");
KSYMTAB_DATA(dev_attr_link_power_management_policy, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_DATA(dev_attr_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_enabled, "_gpl", "");
KSYMTAB_FUNC(ata_ncq_prio_enable, "_gpl", "");
KSYMTAB_DATA(dev_attr_ncq_prio_enable, "_gpl", "");
KSYMTAB_DATA(ata_ncq_sdev_groups, "_gpl", "");
KSYMTAB_DATA(dev_attr_em_message, "_gpl", "");
KSYMTAB_DATA(dev_attr_em_message_type, "_gpl", "");
KSYMTAB_DATA(dev_attr_sw_activity, "_gpl", "");
KSYMTAB_FUNC(ata_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(ata_scsi_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(ata_sas_sdev_configure, "_gpl", "");
KSYMTAB_FUNC(ata_sas_queuecmd, "_gpl", "");
KSYMTAB_FUNC(sata_async_notification, "_gpl", "");
KSYMTAB_FUNC(ata_eh_analyze_ncq_error, "_gpl", "");
KSYMTAB_DATA(sata_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_sff_port_ops, "_gpl", "");
KSYMTAB_FUNC(ata_sff_check_status, "_gpl", "");
KSYMTAB_FUNC(ata_sff_pause, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dma_pause, "_gpl", "");
KSYMTAB_FUNC(ata_sff_wait_ready, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dev_select, "_gpl", "");
KSYMTAB_FUNC(ata_sff_irq_on, "_gpl", "");
KSYMTAB_FUNC(ata_sff_tf_load, "_gpl", "");
KSYMTAB_FUNC(ata_sff_tf_read, "_gpl", "");
KSYMTAB_FUNC(ata_sff_exec_command, "_gpl", "");
KSYMTAB_FUNC(ata_sff_data_xfer, "_gpl", "");
KSYMTAB_FUNC(ata_sff_data_xfer32, "_gpl", "");
KSYMTAB_FUNC(ata_sff_hsm_move, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_work, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_delayed_work, "_gpl", "");
KSYMTAB_FUNC(ata_sff_queue_pio_task, "_gpl", "");
KSYMTAB_FUNC(ata_sff_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ata_sff_qc_fill_rtf, "_gpl", "");
KSYMTAB_FUNC(ata_sff_port_intr, "_gpl", "");
KSYMTAB_FUNC(ata_sff_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_sff_lost_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_sff_freeze, "_gpl", "");
KSYMTAB_FUNC(ata_sff_thaw, "_gpl", "");
KSYMTAB_FUNC(ata_sff_prereset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ata_sff_wait_after_reset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_softreset, "_gpl", "");
KSYMTAB_FUNC(sata_sff_hardreset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_postreset, "_gpl", "");
KSYMTAB_FUNC(ata_sff_drain_fifo, "_gpl", "");
KSYMTAB_FUNC(ata_sff_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_sff_std_ports, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_init_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_prepare_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_activate_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_sff_init_one, "_gpl", "");
KSYMTAB_DATA(ata_bmdma_port_ops, "_gpl", "");
KSYMTAB_DATA(ata_bmdma32_port_ops, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_qc_prep, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_dumb_qc_prep, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_intr, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_interrupt, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_post_internal_cmd, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_irq_clear, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_setup, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_start, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_stop, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_status, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_start, "_gpl", "");
KSYMTAB_FUNC(ata_bmdma_port_start32, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_clear_simplex, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_init, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_prepare_host, "_gpl", "");
KSYMTAB_FUNC(ata_pci_bmdma_init_one, "_gpl", "");
KSYMTAB_DATA(sata_pmp_port_ops, "_gpl", "");
KSYMTAB_FUNC(sata_pmp_qc_defer_cmd_switch, "_gpl", "");
KSYMTAB_FUNC(sata_pmp_error_handler, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_gtm, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_stm, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_gtm_xfermask, "_gpl", "");
KSYMTAB_FUNC(ata_acpi_cbl_80wire, "_gpl", "");
KSYMTAB_FUNC(ata_timing_merge, "_gpl", "");
KSYMTAB_FUNC(ata_timing_find_mode, "_gpl", "");
KSYMTAB_FUNC(ata_timing_compute, "_gpl", "");

SYMBOL_CRC(ata_link_next, 0xbdba68c9, "_gpl");
SYMBOL_CRC(ata_dev_next, 0x5bc07b26, "_gpl");
SYMBOL_CRC(atapi_cmd_type, 0x8462cb62, "_gpl");
SYMBOL_CRC(ata_pack_xfermask, 0x3a15013b, "_gpl");
SYMBOL_CRC(ata_xfer_mask2mode, 0xc2368ea5, "_gpl");
SYMBOL_CRC(ata_xfer_mode2mask, 0xe77d5ef3, "_gpl");
SYMBOL_CRC(ata_xfer_mode2shift, 0x58db1176, "_gpl");
SYMBOL_CRC(ata_mode_string, 0x6a9e90af, "_gpl");
SYMBOL_CRC(ata_dev_classify, 0x5bcc0df7, "_gpl");
SYMBOL_CRC(ata_id_string, 0xccd86806, "_gpl");
SYMBOL_CRC(ata_id_c_string, 0xafddd545, "_gpl");
SYMBOL_CRC(ata_id_xfermask, 0x030cbca2, "_gpl");
SYMBOL_CRC(ata_pio_need_iordy, 0x6549b5cf, "_gpl");
SYMBOL_CRC(ata_do_dev_read_id, 0xa022d2b0, "_gpl");
SYMBOL_CRC(ata_cable_40wire, 0x426211d3, "_gpl");
SYMBOL_CRC(ata_cable_80wire, 0xd4e02e9e, "_gpl");
SYMBOL_CRC(ata_cable_unknown, 0x09ae092c, "_gpl");
SYMBOL_CRC(ata_cable_ignore, 0xcaea4fca, "_gpl");
SYMBOL_CRC(ata_cable_sata, 0x3b89b04b, "_gpl");
SYMBOL_CRC(ata_dev_pair, 0x6ad463df, "_gpl");
SYMBOL_CRC(ata_do_set_mode, 0x3f5b7a98, "_gpl");
SYMBOL_CRC(ata_wait_after_reset, 0x9610cb16, "_gpl");
SYMBOL_CRC(ata_std_prereset, 0x0f8a2395, "_gpl");
SYMBOL_CRC(ata_std_postreset, 0xfd611e90, "_gpl");
SYMBOL_CRC(ata_dev_set_feature, 0xee2d78b3, "_gpl");
SYMBOL_CRC(ata_std_qc_defer, 0x6761c0ae, "_gpl");
SYMBOL_CRC(ata_qc_complete, 0x373d79b6, "_gpl");
SYMBOL_CRC(ata_qc_get_active, 0x23cfba9b, "_gpl");
SYMBOL_CRC(ata_link_online, 0xe38ed040, "_gpl");
SYMBOL_CRC(ata_link_offline, 0x8378b36b, "_gpl");
SYMBOL_CRC(ata_sas_port_suspend, 0x7fdd6ee4, "_gpl");
SYMBOL_CRC(ata_sas_port_resume, 0x067d60c4, "_gpl");
SYMBOL_CRC(ata_host_suspend, 0x5281d667, "_gpl");
SYMBOL_CRC(ata_host_resume, 0x9ee533c1, "_gpl");
SYMBOL_CRC(ata_port_alloc, 0x6edf3efc, "_gpl");
SYMBOL_CRC(ata_port_free, 0x6d53992c, "_gpl");
SYMBOL_CRC(ata_host_put, 0xd8b39e03, "_gpl");
SYMBOL_CRC(ata_host_alloc, 0xebb3d3c4, "_gpl");
SYMBOL_CRC(ata_host_alloc_pinfo, 0x6caccf27, "_gpl");
SYMBOL_CRC(ata_host_start, 0xa166e0e5, "_gpl");
SYMBOL_CRC(ata_host_init, 0x84f953ab, "_gpl");
SYMBOL_CRC(ata_port_probe, 0xcb406f97, "_gpl");
SYMBOL_CRC(ata_host_register, 0xefa971ca, "_gpl");
SYMBOL_CRC(ata_host_activate, 0xa9cc2ea6, "_gpl");
SYMBOL_CRC(ata_host_detach, 0x68ce1065, "_gpl");
SYMBOL_CRC(ata_pci_remove_one, 0xa3e5d242, "_gpl");
SYMBOL_CRC(ata_pci_shutdown_one, 0x3a2f617e, "_gpl");
SYMBOL_CRC(pci_test_config_bits, 0x85ddff3c, "_gpl");
SYMBOL_CRC(ata_pci_device_do_suspend, 0xe7325182, "_gpl");
SYMBOL_CRC(ata_pci_device_do_resume, 0x10350902, "_gpl");
SYMBOL_CRC(ata_pci_device_suspend, 0xfd799ab5, "_gpl");
SYMBOL_CRC(ata_pci_device_resume, 0x46316de8, "_gpl");
SYMBOL_CRC(ata_platform_remove_one, 0x02dc471f, "_gpl");
SYMBOL_CRC(ata_ratelimit, 0xf8f3a0fb, "_gpl");
SYMBOL_CRC(ata_msleep, 0x3afc4a7b, "_gpl");
SYMBOL_CRC(ata_wait_register, 0x73f84fbd, "_gpl");
SYMBOL_CRC(ata_dummy_port_ops, 0x84b8eb04, "_gpl");
SYMBOL_CRC(ata_dummy_port_info, 0xe2b1acb4, "_gpl");
SYMBOL_CRC(ata_print_version, 0x1240a681, "");
SYMBOL_CRC(__tracepoint_ata_tf_load, 0x960ff315, "_gpl");
SYMBOL_CRC(__traceiter_ata_tf_load, 0x3a3b659d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_tf_load, 0x6a8c6044, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_tf_load, 0xcf2b93c8, "_gpl");
SYMBOL_CRC(__tracepoint_ata_exec_command, 0x269bf493, "_gpl");
SYMBOL_CRC(__traceiter_ata_exec_command, 0x12533fd5, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_exec_command, 0xd76757ca, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_exec_command, 0x46047827, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_setup, 0xe9b9d03b, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_setup, 0x2a366890, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_setup, 0xc1f8cbea, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_setup, 0x9a2851ef, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_start, 0xb2dd1a25, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_start, 0x9261bfd2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_start, 0x9a9c01f4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_start, 0xa1c3f8a8, "_gpl");
SYMBOL_CRC(__tracepoint_ata_bmdma_status, 0x17e5fd64, "_gpl");
SYMBOL_CRC(__traceiter_ata_bmdma_status, 0x12275e1b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ata_bmdma_status, 0xe6195e3d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ata_bmdma_status, 0xc3e1021c, "_gpl");
SYMBOL_CRC(dev_attr_unload_heads, 0xe405ba1b, "_gpl");
SYMBOL_CRC(ata_common_sdev_groups, 0xd5eb4ca1, "_gpl");
SYMBOL_CRC(ata_std_bios_param, 0x4716df3b, "_gpl");
SYMBOL_CRC(ata_scsi_unlock_native_capacity, 0x1cfd076b, "_gpl");
SYMBOL_CRC(ata_sas_scsi_ioctl, 0x9602dc7a, "_gpl");
SYMBOL_CRC(ata_scsi_ioctl, 0xac8a9d01, "_gpl");
SYMBOL_CRC(ata_scsi_dma_need_drain, 0xe529c067, "_gpl");
SYMBOL_CRC(ata_scsi_sdev_init, 0x03449cbc, "_gpl");
SYMBOL_CRC(ata_scsi_sdev_configure, 0x186cd3ba, "_gpl");
SYMBOL_CRC(ata_scsi_sdev_destroy, 0xe91d79fc, "_gpl");
SYMBOL_CRC(ata_scsi_queuecmd, 0x3aa1eb85, "_gpl");
SYMBOL_CRC(__ata_ehi_push_desc, 0x72a109d5, "_gpl");
SYMBOL_CRC(ata_ehi_push_desc, 0x718ceb8d, "_gpl");
SYMBOL_CRC(ata_ehi_clear_desc, 0x6c2dda92, "_gpl");
SYMBOL_CRC(ata_port_desc, 0xf6e00d8b, "_gpl");
SYMBOL_CRC(ata_port_pbar_desc, 0xe166254e, "_gpl");
SYMBOL_CRC(ata_scsi_cmd_error_handler, 0xaaed1ab3, "");
SYMBOL_CRC(ata_scsi_port_error_handler, 0xfd538833, "_gpl");
SYMBOL_CRC(ata_port_wait_eh, 0xf04bd4c7, "_gpl");
SYMBOL_CRC(ata_std_sched_eh, 0x6cbf8ff8, "_gpl");
SYMBOL_CRC(ata_std_end_eh, 0x16617702, "");
SYMBOL_CRC(ata_port_schedule_eh, 0xc656d1d0, "_gpl");
SYMBOL_CRC(ata_link_abort, 0xd059d102, "_gpl");
SYMBOL_CRC(ata_port_abort, 0xd2a99794, "_gpl");
SYMBOL_CRC(ata_port_freeze, 0x15dca6ea, "_gpl");
SYMBOL_CRC(ata_eh_freeze_port, 0xaa08719d, "_gpl");
SYMBOL_CRC(ata_dev_disable, 0x7d5d8cc2, "_gpl");
SYMBOL_CRC(ata_get_cmd_name, 0xbd06f3a9, "_gpl");
SYMBOL_CRC(ata_std_error_handler, 0x666870e9, "_gpl");
SYMBOL_CRC(ata_tport_delete, 0x1a279e08, "_gpl");
SYMBOL_CRC(ata_tport_add, 0x7332f53d, "_gpl");
SYMBOL_CRC(ata_port_classify, 0x753642cc, "_gpl");
SYMBOL_CRC(sata_deb_timing_normal, 0x9371ea58, "_gpl");
SYMBOL_CRC(sata_deb_timing_hotplug, 0xbc79eb0b, "_gpl");
SYMBOL_CRC(sata_deb_timing_long, 0x06c98647, "_gpl");
SYMBOL_CRC(sata_scr_valid, 0xf9f7d7c4, "_gpl");
SYMBOL_CRC(sata_scr_read, 0x1583ca83, "_gpl");
SYMBOL_CRC(sata_scr_write, 0x0ea61696, "_gpl");
SYMBOL_CRC(sata_scr_write_flush, 0xcbf84278, "_gpl");
SYMBOL_CRC(ata_tf_to_fis, 0xdf0c757f, "_gpl");
SYMBOL_CRC(ata_tf_from_fis, 0xa4c085f8, "_gpl");
SYMBOL_CRC(sata_link_debounce, 0x43d5e695, "_gpl");
SYMBOL_CRC(sata_link_resume, 0x7e776494, "_gpl");
SYMBOL_CRC(sata_link_scr_lpm, 0xc4acfeb1, "_gpl");
SYMBOL_CRC(sata_set_spd, 0x911b833e, "_gpl");
SYMBOL_CRC(sata_link_hardreset, 0xf6357ce6, "_gpl");
SYMBOL_CRC(sata_std_hardreset, 0xf5e12d03, "_gpl");
SYMBOL_CRC(ata_qc_complete_multiple, 0xa2f96312, "_gpl");
SYMBOL_CRC(ata_slave_link_init, 0xc70ee165, "_gpl");
SYMBOL_CRC(sata_lpm_ignore_phy_events, 0x55a407c3, "_gpl");
SYMBOL_CRC(dev_attr_link_power_management_policy, 0x6bf5e811, "_gpl");
SYMBOL_CRC(ata_ncq_prio_supported, 0x384d27a1, "_gpl");
SYMBOL_CRC(dev_attr_ncq_prio_supported, 0x5d75a926, "_gpl");
SYMBOL_CRC(ata_ncq_prio_enabled, 0x8f52e2f0, "_gpl");
SYMBOL_CRC(ata_ncq_prio_enable, 0x69f33210, "_gpl");
SYMBOL_CRC(dev_attr_ncq_prio_enable, 0xc9746b74, "_gpl");
SYMBOL_CRC(ata_ncq_sdev_groups, 0x997cf59b, "_gpl");
SYMBOL_CRC(dev_attr_em_message, 0x76cecd6e, "_gpl");
SYMBOL_CRC(dev_attr_em_message_type, 0x1157aca7, "_gpl");
SYMBOL_CRC(dev_attr_sw_activity, 0xef5f6f9f, "_gpl");
SYMBOL_CRC(ata_change_queue_depth, 0x36e29cf4, "_gpl");
SYMBOL_CRC(ata_scsi_change_queue_depth, 0xb1324cbb, "_gpl");
SYMBOL_CRC(ata_sas_sdev_configure, 0x1f1f08e2, "_gpl");
SYMBOL_CRC(ata_sas_queuecmd, 0xdd87d800, "_gpl");
SYMBOL_CRC(sata_async_notification, 0x5be97b45, "_gpl");
SYMBOL_CRC(ata_eh_analyze_ncq_error, 0x3ca4eb1d, "_gpl");
SYMBOL_CRC(sata_port_ops, 0xd4fdc5a2, "_gpl");
SYMBOL_CRC(ata_sff_port_ops, 0x5f1aa756, "_gpl");
SYMBOL_CRC(ata_sff_check_status, 0x41c9662f, "_gpl");
SYMBOL_CRC(ata_sff_pause, 0x1f6058cb, "_gpl");
SYMBOL_CRC(ata_sff_dma_pause, 0x5787df60, "_gpl");
SYMBOL_CRC(ata_sff_wait_ready, 0x43dc48c3, "_gpl");
SYMBOL_CRC(ata_sff_dev_select, 0xee0464ca, "_gpl");
SYMBOL_CRC(ata_sff_irq_on, 0x21508a8d, "_gpl");
SYMBOL_CRC(ata_sff_tf_load, 0x0360a606, "_gpl");
SYMBOL_CRC(ata_sff_tf_read, 0xd69c2a83, "_gpl");
SYMBOL_CRC(ata_sff_exec_command, 0x95eac575, "_gpl");
SYMBOL_CRC(ata_sff_data_xfer, 0x30f725fd, "_gpl");
SYMBOL_CRC(ata_sff_data_xfer32, 0xb9a8115b, "_gpl");
SYMBOL_CRC(ata_sff_hsm_move, 0x29171a7f, "_gpl");
SYMBOL_CRC(ata_sff_queue_work, 0xa6b06f65, "_gpl");
SYMBOL_CRC(ata_sff_queue_delayed_work, 0x4e17c613, "_gpl");
SYMBOL_CRC(ata_sff_queue_pio_task, 0x403529af, "_gpl");
SYMBOL_CRC(ata_sff_qc_issue, 0x6010b38d, "_gpl");
SYMBOL_CRC(ata_sff_qc_fill_rtf, 0x82d4807c, "_gpl");
SYMBOL_CRC(ata_sff_port_intr, 0x4c40d241, "_gpl");
SYMBOL_CRC(ata_sff_interrupt, 0x3a4f6a32, "_gpl");
SYMBOL_CRC(ata_sff_lost_interrupt, 0xcf493cd0, "_gpl");
SYMBOL_CRC(ata_sff_freeze, 0xdf4f761f, "_gpl");
SYMBOL_CRC(ata_sff_thaw, 0x22f010cb, "_gpl");
SYMBOL_CRC(ata_sff_prereset, 0x12ba4d30, "_gpl");
SYMBOL_CRC(ata_sff_dev_classify, 0x3171d5f4, "_gpl");
SYMBOL_CRC(ata_sff_wait_after_reset, 0x4ef855d5, "_gpl");
SYMBOL_CRC(ata_sff_softreset, 0xf9aaec7d, "_gpl");
SYMBOL_CRC(sata_sff_hardreset, 0x55e1c92b, "_gpl");
SYMBOL_CRC(ata_sff_postreset, 0x049d4e85, "_gpl");
SYMBOL_CRC(ata_sff_drain_fifo, 0xf1ac5dd9, "_gpl");
SYMBOL_CRC(ata_sff_error_handler, 0xee2f2d64, "_gpl");
SYMBOL_CRC(ata_sff_std_ports, 0x73a48b4a, "_gpl");
SYMBOL_CRC(ata_pci_sff_init_host, 0x4fb7e685, "_gpl");
SYMBOL_CRC(ata_pci_sff_prepare_host, 0x2bfd2166, "_gpl");
SYMBOL_CRC(ata_pci_sff_activate_host, 0x3c7bdff6, "_gpl");
SYMBOL_CRC(ata_pci_sff_init_one, 0x8ce47b36, "_gpl");
SYMBOL_CRC(ata_bmdma_port_ops, 0x0a2ca195, "_gpl");
SYMBOL_CRC(ata_bmdma32_port_ops, 0xe5732d2d, "_gpl");
SYMBOL_CRC(ata_bmdma_qc_prep, 0xf96e0ac2, "_gpl");
SYMBOL_CRC(ata_bmdma_dumb_qc_prep, 0x28301e71, "_gpl");
SYMBOL_CRC(ata_bmdma_qc_issue, 0xb7ae5c0f, "_gpl");
SYMBOL_CRC(ata_bmdma_port_intr, 0x429ccdca, "_gpl");
SYMBOL_CRC(ata_bmdma_interrupt, 0xe818b32b, "_gpl");
SYMBOL_CRC(ata_bmdma_error_handler, 0x1fca9100, "_gpl");
SYMBOL_CRC(ata_bmdma_post_internal_cmd, 0xcf04d704, "_gpl");
SYMBOL_CRC(ata_bmdma_irq_clear, 0xa5e45c9b, "_gpl");
SYMBOL_CRC(ata_bmdma_setup, 0x1da313d6, "_gpl");
SYMBOL_CRC(ata_bmdma_start, 0x4ff4865d, "_gpl");
SYMBOL_CRC(ata_bmdma_stop, 0xb5459bfb, "_gpl");
SYMBOL_CRC(ata_bmdma_status, 0x0c562de3, "_gpl");
SYMBOL_CRC(ata_bmdma_port_start, 0xd83c9b67, "_gpl");
SYMBOL_CRC(ata_bmdma_port_start32, 0xe1b9a8dc, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_clear_simplex, 0x3399478d, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_init, 0xdd9264fe, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_prepare_host, 0xbca8ce63, "_gpl");
SYMBOL_CRC(ata_pci_bmdma_init_one, 0xb820ba5a, "_gpl");
SYMBOL_CRC(sata_pmp_port_ops, 0xa7deff8c, "_gpl");
SYMBOL_CRC(sata_pmp_qc_defer_cmd_switch, 0x1cb9f809, "_gpl");
SYMBOL_CRC(sata_pmp_error_handler, 0x86253536, "_gpl");
SYMBOL_CRC(ata_acpi_gtm, 0x7481ad10, "_gpl");
SYMBOL_CRC(ata_acpi_stm, 0x692e5a72, "_gpl");
SYMBOL_CRC(ata_acpi_gtm_xfermask, 0xa6c23f35, "_gpl");
SYMBOL_CRC(ata_acpi_cbl_80wire, 0x4f791b90, "_gpl");
SYMBOL_CRC(ata_timing_merge, 0xf6e874f5, "_gpl");
SYMBOL_CRC(ata_timing_find_mode, 0xd2b10a05, "_gpl");
SYMBOL_CRC(ata_timing_compute, 0x3f4ae5a2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2595896b, "scsi_device_set_state" },
	{ 0x50eed58e, "dev_driver_string" },
	{ 0x3ab7b1cc, "scsi_set_sense_field_pointer" },
	{ 0xb0d3f1d1, "trace_event_buffer_commit" },
	{ 0x0b93b64e, "pci_read_config_dword" },
	{ 0x607d2cbe, "transport_setup_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xd88d16e5, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x848d372e, "iowrite8" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x01000e51, "schedule" },
	{ 0x0eb56742, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x86590c78, "put_device" },
	{ 0x2bb1f23c, "devm_free_irq" },
	{ 0x68c836b9, "pm_runtime_enable" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0x5009c71d, "glob_match" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x93d9d593, "scsi_eh_finish_cmd" },
	{ 0xc6cbbc89, "capable" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbe478b5e, "scsi_device_put" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xd23f833f, "pcim_iomap_regions" },
	{ 0x89dcc7e4, "kobject_uevent_env" },
	{ 0xdeb9d4dc, "sg_miter_next" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x4ef38a88, "perf_trace_run_bpf_submit" },
	{ 0x3e7b511d, "_dev_err" },
	{ 0x55ee204c, "scsi_host_put" },
	{ 0x3c265c66, "transport_class_unregister" },
	{ 0x97d0ddee, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x24d273d1, "add_timer" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x270ef28f, "sdev_enable_disk_events" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xdf83e621, "attribute_container_register" },
	{ 0xd2f28b41, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x2f70c44f, "__devres_alloc_node" },
	{ 0x1bab5c2a, "sg_miter_stop" },
	{ 0x3292674b, "const_current_task" },
	{ 0x150ff8f1, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xb6d38b2b, "device_link_remove" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x6573f300, "ida_free" },
	{ 0x13f42152, "system_entering_hibernation" },
	{ 0x4c1e4c02, "transport_configure_device" },
	{ 0xed94e6f8, "devres_open_group" },
	{ 0xb7678ab2, "scsi_resume_device" },
	{ 0x0334da4e, "scsi_command_size_tbl" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xaa4552d8, "pcim_pin_device" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x3f68305e, "transport_add_device" },
	{ 0xcb6b7ab2, "sg_miter_start" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x93022ba6, "__scsi_format_command" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x0104e37c, "pci_restore_state" },
	{ 0x546eba3a, "bpf_trace_run1" },
	{ 0x18500579, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x0b19b445, "ioread8" },
	{ 0xff70f64c, "scsi_rescan_device" },
	{ 0xfb578fc5, "memset" },
	{ 0xa4ad2125, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xbce89408, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0x31e12629, "param_ops_string" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x197b0c47, "acpi_gbl_FADT" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb733bf2, "acpi_bus_set_power" },
	{ 0x991b3f1d, "dma_set_coherent_mask" },
	{ 0x1be81ff4, "devm_kasprintf" },
	{ 0xd231a1fa, "pv_ops" },
	{ 0xa309c4f0, "bpf_trace_run3" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x0dee6953, "cpu_number" },
	{ 0x741aa3d2, "__preempt_count" },
	{ 0xe934c8ae, "pm_runtime_forbid" },
	{ 0xb6126bbe, "trace_event_buffer_reserve" },
	{ 0xdef5fe0c, "__pm_runtime_resume" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x0fadea51, "attribute_container_unregister" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd2bfdbda, "scsi_execute_cmd" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xf72a4ca2, "transport_destroy_device" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6f27e88e, "__kmalloc_cache_noprof" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe8c23502, "acpi_initialize_hp_context" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8112b3d2, "scsi_build_sense_buffer" },
	{ 0xbba4e106, "pci_disable_device" },
	{ 0x3461f028, "scsi_done" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x8023875e, "dma_set_mask" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x3ee19e4c, "dma_unmap_sg_attrs" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x811afe35, "pcim_iomap_table" },
	{ 0xb9c31265, "scsi_remove_device" },
	{ 0x8e448f16, "blk_abort_request" },
	{ 0xf9d64305, "scsi_add_host_with_dma" },
	{ 0xec9ed8b9, "set_primary_fwnode" },
	{ 0x881a8bfe, "pci_read_config_byte" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0xa4e93e0a, "param_ops_int" },
	{ 0xb1c85e50, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x421b3756, "dev_pm_qos_expose_flags" },
	{ 0xff7808b3, "pcim_enable_device" },
	{ 0xcd038d7a, "scsi_host_alloc" },
	{ 0x349cba85, "strchr" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x4e5930d3, "__scsi_add_device" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xb97e7348, "device_link_add" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x016f123e, "sg_copy_to_buffer" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x27975e55, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6b540188, "acpi_pm_set_device_wakeup" },
	{ 0xde6fb9de, "pci_bus_type" },
	{ 0x3d52378f, "kmalloc_caches" },
	{ 0x6226c830, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd92c978a, "transport_class_register" },
	{ 0x8eb5f8a3, "pci_save_state" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x7a81541b, "async_synchronize_cookie" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x2b833472, "acpi_pm_device_sleep_state" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x688aff42, "is_acpi_device_node" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x94552572, "devres_release_group" },
	{ 0x059bf314, "devm_request_threaded_irq" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xe0627f0a, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x72ba3aec, "dev_set_name" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x065b45cb, "complete" },
	{ 0x1cde3137, "devres_remove_group" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x203b8775, "dmam_alloc_attrs" },
	{ 0xf4ceb6eb, "trace_raw_output_prep" },
	{ 0x17c6e969, "scsi_remove_host" },
	{ 0x03b074da, "transport_remove_device" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x7a1451b3, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x0a063b2b, "scsi_build_sense" },
	{ 0x129303ef, "scsi_schedule_eh" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xe448634e, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xb05a45bf, "this_cpu_off" },
	{ 0x03815f35, "ledtrig_disk_activity" },
	{ 0xf7370f56, "system_state" },
	{ 0x93834541, "scsi_check_sense" },
	{ 0x90489674, "device_initialize" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x5f9f5a00, "sdev_evt_send_simple" },
	{ 0x34104611, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x10d9f885, "scsi_sense_desc_find" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x818416e1, "scsi_set_sense_information" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdb6a8b31, "bpf_trace_run2" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x8a71e5d5, "pci_set_power_state" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x2edd02ac, "sdev_disable_disk_events" },
	{ 0x1c7ac3a8, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x664cef8e, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod,scsi_common");


MODULE_INFO(srcversion, "9E7703F5D95D59FEA48F8AA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
