#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(adf_send_admin_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_admin_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_exit_admin_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_reset_sbr, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_reset_flr, "_gpl", "CRYPTO_QAT");
KSYMTAB_DATA(adf_err_handler, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_dev_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_dev_remove, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_add_key_value_param, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_section_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_get_param_value, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_get_service_enabled, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_measure_clock, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_clean_vf_map, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_update_class_index, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_add_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_rm_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_pci_to_accel_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_in_use, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_get, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_put, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_in_reset, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_started, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_dev_config, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_dc_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_hw_csr_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_num_accels, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_num_aes, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_enable_error_correction, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_cfg_iov_thds, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_admin_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_arb_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_enable_ints, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_accel_cap, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_set_ssm_wdtimer, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_dev_config, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_cfg_dev_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_dc_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_hw_csr_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_accel_mask, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_num_accels, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_num_aes, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_misc_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_etr_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_sram_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_sku, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_arb_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_admin_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_heartbeat_clock, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_error_correction, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_ints, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_device, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_set_ssm_wdtimer, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_set_msix_default_rttable, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_pfvf_comms_disabled, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_ring_pair_reset, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_services_supported, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_thd2arb_map, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_ring_to_svc_map, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_bank_quiesce_coal_timer, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_bank_state_save, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_bank_state_restore, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_handle_pm_interrupt, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_pm, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_ras_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_timer_start, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_timer_stop, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_vf_mig_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_arb, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_exit_arb, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_down, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_up, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_restart, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_isr_resource_free, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_isr_resource_alloc, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_sysfs_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_etr_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cleanup_etr_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_create, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_cleanup, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_reset, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_open, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_close, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_suspend, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_resume, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_save_state, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_save_setup, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_load_state, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_load_setup, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_destroy, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dbgfs_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dbgfs_exit, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_tl_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_dbgfs_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_dbgfs_rm, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_check_ctrs, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_save_cfg_param, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_pf_pfvf_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_vf_pfvf_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_pf_pfvf_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_enable_pf2vf_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf2pf_notify_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf2pf_notify_shutdown, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf2pf_notify_restart_complete, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_enable_vf2pf_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_disable_sriov, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_sriov_configure, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_disable_pf2vf_interrupts, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf_isr_resource_free, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf_isr_resource_alloc, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_flush_vf_wq, "_gpl", "CRYPTO_QAT");

SYMBOL_CRC(adf_send_admin_init, 0x523d2895, "_gpl");
SYMBOL_CRC(adf_init_admin_comms, 0x9cb85cf3, "_gpl");
SYMBOL_CRC(adf_exit_admin_comms, 0x19c85afd, "_gpl");
SYMBOL_CRC(adf_reset_sbr, 0x8b0c4af4, "_gpl");
SYMBOL_CRC(adf_reset_flr, 0x9844e553, "_gpl");
SYMBOL_CRC(adf_err_handler, 0x8ef8c50a, "_gpl");
SYMBOL_CRC(adf_cfg_dev_add, 0x553407f8, "_gpl");
SYMBOL_CRC(adf_cfg_dev_remove, 0xe0ba2f42, "_gpl");
SYMBOL_CRC(adf_cfg_add_key_value_param, 0x7710e3f7, "_gpl");
SYMBOL_CRC(adf_cfg_section_add, 0x70d783c1, "_gpl");
SYMBOL_CRC(adf_cfg_get_param_value, 0xaa6740d5, "_gpl");
SYMBOL_CRC(adf_get_service_enabled, 0xb3fa7a20, "_gpl");
SYMBOL_CRC(adf_dev_measure_clock, 0xa2ed5103, "_gpl");
SYMBOL_CRC(adf_clean_vf_map, 0xcc3b167a, "_gpl");
SYMBOL_CRC(adf_devmgr_update_class_index, 0xb3435963, "_gpl");
SYMBOL_CRC(adf_devmgr_add_dev, 0xb82eebeb, "_gpl");
SYMBOL_CRC(adf_devmgr_rm_dev, 0xe75058c5, "_gpl");
SYMBOL_CRC(adf_devmgr_pci_to_accel_dev, 0x3c4e283a, "_gpl");
SYMBOL_CRC(adf_dev_in_use, 0x909eedf6, "_gpl");
SYMBOL_CRC(adf_dev_get, 0x8462330f, "_gpl");
SYMBOL_CRC(adf_dev_put, 0x6e2b5925, "_gpl");
SYMBOL_CRC(adf_devmgr_in_reset, 0xf29ecbbc, "_gpl");
SYMBOL_CRC(adf_dev_started, 0x53af04f2, "_gpl");
SYMBOL_CRC(adf_gen2_dev_config, 0xc0b4d69e, "_gpl");
SYMBOL_CRC(adf_gen2_init_dc_ops, 0xe45f3512, "_gpl");
SYMBOL_CRC(adf_gen2_init_hw_csr_ops, 0xe7e93b61, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_accels, 0x03deb5cb, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_aes, 0x8265541c, "_gpl");
SYMBOL_CRC(adf_gen2_enable_error_correction, 0x900c22c3, "_gpl");
SYMBOL_CRC(adf_gen2_cfg_iov_thds, 0xf5bfa1b9, "_gpl");
SYMBOL_CRC(adf_gen2_get_admin_info, 0x3e707f37, "_gpl");
SYMBOL_CRC(adf_gen2_get_arb_info, 0x2be4e269, "_gpl");
SYMBOL_CRC(adf_gen2_enable_ints, 0x13b73339, "_gpl");
SYMBOL_CRC(adf_gen2_get_accel_cap, 0x9f846777, "_gpl");
SYMBOL_CRC(adf_gen2_set_ssm_wdtimer, 0x3f313a0e, "_gpl");
SYMBOL_CRC(adf_gen4_dev_config, 0x1b53d091, "_gpl");
SYMBOL_CRC(adf_gen4_cfg_dev_init, 0x93294c8e, "_gpl");
SYMBOL_CRC(adf_gen4_init_dc_ops, 0xe327f1f1, "_gpl");
SYMBOL_CRC(adf_gen4_init_hw_csr_ops, 0x2c0f84ec, "_gpl");
SYMBOL_CRC(adf_gen4_get_accel_mask, 0xda55de88, "_gpl");
SYMBOL_CRC(adf_gen4_get_num_accels, 0x3baeb46e, "_gpl");
SYMBOL_CRC(adf_gen4_get_num_aes, 0xed56947a, "_gpl");
SYMBOL_CRC(adf_gen4_get_misc_bar_id, 0xa3b424e6, "_gpl");
SYMBOL_CRC(adf_gen4_get_etr_bar_id, 0xc6a96341, "_gpl");
SYMBOL_CRC(adf_gen4_get_sram_bar_id, 0xb0b77028, "_gpl");
SYMBOL_CRC(adf_gen4_get_sku, 0x86bb6a54, "_gpl");
SYMBOL_CRC(adf_gen4_get_arb_info, 0x4c051dc4, "_gpl");
SYMBOL_CRC(adf_gen4_get_admin_info, 0x2230d349, "_gpl");
SYMBOL_CRC(adf_gen4_get_heartbeat_clock, 0x3d8a754d, "_gpl");
SYMBOL_CRC(adf_gen4_enable_error_correction, 0xee275c49, "_gpl");
SYMBOL_CRC(adf_gen4_enable_ints, 0xd91cacd9, "_gpl");
SYMBOL_CRC(adf_gen4_init_device, 0xc998af47, "_gpl");
SYMBOL_CRC(adf_gen4_set_ssm_wdtimer, 0x2943ca77, "_gpl");
SYMBOL_CRC(adf_gen4_set_msix_default_rttable, 0x5ae48e28, "_gpl");
SYMBOL_CRC(adf_pfvf_comms_disabled, 0xbf720c91, "_gpl");
SYMBOL_CRC(adf_gen4_ring_pair_reset, 0xf8c7b0cf, "_gpl");
SYMBOL_CRC(adf_gen4_services_supported, 0xa117196b, "_gpl");
SYMBOL_CRC(adf_gen4_init_thd2arb_map, 0x517f913e, "_gpl");
SYMBOL_CRC(adf_gen4_get_ring_to_svc_map, 0xe6b83fa4, "_gpl");
SYMBOL_CRC(adf_gen4_bank_quiesce_coal_timer, 0x8d62d6a9, "_gpl");
SYMBOL_CRC(adf_gen4_bank_state_save, 0xe154a359, "_gpl");
SYMBOL_CRC(adf_gen4_bank_state_restore, 0xa8225dbe, "_gpl");
SYMBOL_CRC(adf_gen4_handle_pm_interrupt, 0x75b0c7e3, "_gpl");
SYMBOL_CRC(adf_gen4_enable_pm, 0xbaee8bdf, "_gpl");
SYMBOL_CRC(adf_gen4_init_ras_ops, 0x0288d9e1, "_gpl");
SYMBOL_CRC(adf_gen4_timer_start, 0xbf486b66, "_gpl");
SYMBOL_CRC(adf_gen4_timer_stop, 0x8d5657e1, "_gpl");
SYMBOL_CRC(adf_gen4_init_vf_mig_ops, 0xfa6ffd23, "_gpl");
SYMBOL_CRC(adf_init_arb, 0x9979095c, "_gpl");
SYMBOL_CRC(adf_exit_arb, 0xb760631f, "_gpl");
SYMBOL_CRC(adf_dev_down, 0xf17892ac, "_gpl");
SYMBOL_CRC(adf_dev_up, 0x559622c4, "_gpl");
SYMBOL_CRC(adf_dev_restart, 0x243f294a, "_gpl");
SYMBOL_CRC(adf_isr_resource_free, 0xf71ed37c, "_gpl");
SYMBOL_CRC(adf_isr_resource_alloc, 0xdca88640, "_gpl");
SYMBOL_CRC(adf_sysfs_init, 0x9b6249c7, "_gpl");
SYMBOL_CRC(adf_init_etr_data, 0xdd7c850c, "_gpl");
SYMBOL_CRC(adf_cleanup_etr_data, 0xa3bb2a58, "_gpl");
SYMBOL_CRC(qat_vfmig_create, 0x2684d5d7, "_gpl");
SYMBOL_CRC(qat_vfmig_init, 0x11c78a82, "_gpl");
SYMBOL_CRC(qat_vfmig_cleanup, 0xc445daef, "_gpl");
SYMBOL_CRC(qat_vfmig_reset, 0xf957a0dc, "_gpl");
SYMBOL_CRC(qat_vfmig_open, 0xe6ec398c, "_gpl");
SYMBOL_CRC(qat_vfmig_close, 0x8d9f5e3d, "_gpl");
SYMBOL_CRC(qat_vfmig_suspend, 0x17442e7f, "_gpl");
SYMBOL_CRC(qat_vfmig_resume, 0x99d30dc6, "_gpl");
SYMBOL_CRC(qat_vfmig_save_state, 0x85ff00a2, "_gpl");
SYMBOL_CRC(qat_vfmig_save_setup, 0x6161526c, "_gpl");
SYMBOL_CRC(qat_vfmig_load_state, 0x4f7494c7, "_gpl");
SYMBOL_CRC(qat_vfmig_load_setup, 0x7e56a91f, "_gpl");
SYMBOL_CRC(qat_vfmig_destroy, 0x52d721ce, "_gpl");
SYMBOL_CRC(adf_dbgfs_init, 0x3a89e1af, "_gpl");
SYMBOL_CRC(adf_dbgfs_exit, 0x6cbdf330, "_gpl");
SYMBOL_CRC(adf_gen4_init_tl_data, 0xe2c32138, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_add, 0xe61c17dd, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_rm, 0xcbe6cf64, "_gpl");
SYMBOL_CRC(adf_heartbeat_check_ctrs, 0x3cc3af7e, "_gpl");
SYMBOL_CRC(adf_heartbeat_save_cfg_param, 0xa326cccd, "_gpl");
SYMBOL_CRC(adf_gen2_init_pf_pfvf_ops, 0xec519fed, "_gpl");
SYMBOL_CRC(adf_gen2_init_vf_pfvf_ops, 0x3e964056, "_gpl");
SYMBOL_CRC(adf_gen4_init_pf_pfvf_ops, 0xfa236f94, "_gpl");
SYMBOL_CRC(adf_enable_pf2vf_comms, 0xfa895cfa, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_init, 0x4224a655, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_shutdown, 0xe589be04, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_restart_complete, 0xce5eefdb, "_gpl");
SYMBOL_CRC(adf_enable_vf2pf_comms, 0x466c5dd0, "_gpl");
SYMBOL_CRC(adf_disable_sriov, 0x1794b704, "_gpl");
SYMBOL_CRC(adf_sriov_configure, 0x1117dd45, "_gpl");
SYMBOL_CRC(adf_disable_pf2vf_interrupts, 0xbdb08313, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_free, 0xc4e8c4c8, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_alloc, 0xcc4c261d, "_gpl");
SYMBOL_CRC(adf_flush_vf_wq, 0x0a6d6b6d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb578fc5, "memset" },
	{ 0xa4ad2125, "_dev_warn" },
	{ 0x3d8e8aab, "__kmalloc_cache_node_noprof" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xbce89408, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2f858d39, "crypto_register_acomps" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x8f51ea76, "memcpy_from_sglist" },
	{ 0x0eddd417, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0xb078c97c, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x5069b2a4, "_dev_notice" },
	{ 0x84405493, "crypto_cipher_encrypt_one" },
	{ 0x33b63cf1, "dma_free_attrs" },
	{ 0x03fc8512, "memcpy_to_sglist" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa89926dc, "crypto_dh_decode_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xe04c0de4, "seq_write" },
	{ 0x4f91d1b0, "crypto_register_kpp" },
	{ 0xb4530827, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6f27e88e, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x156c32a8, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x803643c7, "pci_disable_sriov" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x59714de0, "debugfs_create_file_full" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x60e79943, "single_release" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0x2b91719b, "device_add_groups" },
	{ 0xad353ae4, "seq_open" },
	{ 0x1d72be64, "crypto_unregister_skciphers" },
	{ 0xd1223476, "crypto_register_akcipher" },
	{ 0x433f3d73, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x34f7c9cf, "crypto_alloc_shash" },
	{ 0x82a386f2, "debugfs_create_dir" },
	{ 0xc6dbea35, "pci_write_config_word" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x89ae7aa0, "rsa_parse_pub_key" },
	{ 0xae4235b7, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x2f4e58f2, "pci_enable_sriov" },
	{ 0xbb53856b, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x0921ad96, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xa2c3a90a, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3d52378f, "kmalloc_caches" },
	{ 0x0763e9e7, "cdev_del" },
	{ 0x5a0ffdb3, "crypto_shash_export" },
	{ 0x1a3d1f69, "crypto_alloc_skcipher" },
	{ 0xe777bbb8, "crypto_skcipher_encrypt" },
	{ 0x8eb5f8a3, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x53421b9c, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa3455218, "crypto_alloc_base" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x12520845, "devm_kmalloc" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xbe2a953e, "pci_alloc_irq_vectors" },
	{ 0x82518ce4, "crypto_unregister_kpp" },
	{ 0x5857956b, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x065b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xc5cb6914, "__kmalloc_node_noprof" },
	{ 0xf0117f1e, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x5043402c, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x36145d3c, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0x497ccd4f, "crypto_register_aeads" },
	{ 0x8f504b3b, "pci_sriov_get_totalvfs" },
	{ 0x211e210f, "seq_hex_dump" },
	{ 0xaec37f05, "device_remove_groups" },
	{ 0x99558bdd, "seq_lseek" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x417f1cf2, "devm_device_add_group" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xae5ffd37, "pci_irq_vector" },
	{ 0xf6d9cfeb, "crypto_skcipher_setkey" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x9deea4c7, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6fb45998, "crypto_cipher_setkey" },
	{ 0x50eed58e, "dev_driver_string" },
	{ 0xce51056f, "crypto_unregister_aeads" },
	{ 0x3794d328, "crypto_destroy_tfm" },
	{ 0x0b93b64e, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9c5d5b94, "crc8" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xd7c0e481, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0xa8500154, "crypto_alloc_kpp" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xa3ea9240, "crypto_skcipher_decrypt" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0x6ee50677, "_dev_info" },
	{ 0x070200f3, "debugfs_get_aux" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x1c3c1367, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbf7d6ecf, "compat_ptr_ioctl" },
	{ 0xa5bbae97, "cdev_add" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xe00cdb74, "pci_clear_master" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x46fd6df2, "crypto_unregister_acomps" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xe1ecdf09, "devm_kfree" },
	{ 0x3e7b511d, "_dev_err" },
	{ 0xeed7fd81, "up_write" },
	{ 0xa8348655, "simple_open" },
	{ 0x01c12c32, "cpu_bit_bitmap" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2a3593f0, "crypto_unregister_akcipher" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x0d10861f, "device_create" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x43a83f90, "pci_wait_for_pending_transaction" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xd75b20aa, "rsa_parse_priv_key" },
	{ 0xaf096df4, "dma_alloc_attrs" },
	{ 0x5dadf469, "debugfs_remove" },
	{ 0x59c25e08, "pcie_flr" },
	{ 0xd2f28b41, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0x57a089f6, "seq_putc" },
	{ 0x18308986, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x9ab56da9, "crypto_shash_update" },
	{ 0xd7f75145, "class_unregister" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x2026a6bd, "crypto_register_skciphers" },
	{ 0x11089ac7, "_ctype" },
	{ 0x0104e37c, "pci_restore_state" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x664cef8e, "module_layout" },
};

MODULE_INFO(depends, "crc8,authenc");


MODULE_INFO(srcversion, "311F1550CFB5D9D57ED2813");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
