#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x037a0cba, "kfree" },
	{ 0xce904994, "drm_crtc_helper_mode_valid_fixed" },
	{ 0xfd714977, "drm_connector_helper_get_modes_fixed" },
	{ 0x0c029807, "driver_unregister" },
	{ 0x634b85a4, "device_get_match_data" },
	{ 0x8023875e, "dma_set_mask" },
	{ 0x991b3f1d, "dma_set_coherent_mask" },
	{ 0xf3e3de13, "__devm_drm_dev_alloc" },
	{ 0xed3b0df3, "drmm_mode_config_init" },
	{ 0xdc7234ac, "devm_gpiod_get" },
	{ 0x71e26bc3, "device_property_read_string" },
	{ 0x12520845, "devm_kmalloc" },
	{ 0x1265d929, "drm_connector_init" },
	{ 0x8a4db290, "drm_simple_display_pipe_init" },
	{ 0xe7b0b1d3, "drm_mode_config_reset" },
	{ 0x9a0a6d4c, "drm_dev_register" },
	{ 0xb2a34194, "__drm_dev_dbg" },
	{ 0xccbad84a, "drm_client_setup" },
	{ 0x6c79d6ae, "thermal_zone_get_zone_by_name" },
	{ 0x89e57a11, "drm_dev_printk" },
	{ 0xb96d05ca, "spi_get_device_id" },
	{ 0xa4ad2125, "_dev_warn" },
	{ 0xd19b78bd, "gpiod_set_value_cansleep" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x8b3cc47a, "drm_atomic_helper_damage_merged" },
	{ 0x24e99aa5, "drm_format_conv_state_release" },
	{ 0x6fadf1f9, "drm_fb_dma_get_gem_obj" },
	{ 0xb0c5c338, "drm_dev_enter" },
	{ 0xd5ccd82e, "thermal_zone_get_temp" },
	{ 0x178daa39, "drm_gem_fb_begin_cpu_access" },
	{ 0x74c6f54c, "drm_fb_xrgb8888_to_mono" },
	{ 0x35753c22, "drm_gem_fb_end_cpu_access" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x83d6f75d, "gpiod_get_value_cansleep" },
	{ 0x3e7b511d, "_dev_err" },
	{ 0xa710399e, "drm_gem_dma_prime_import_sg_table_vmap" },
	{ 0xacde7279, "drm_gem_dma_dumb_create" },
	{ 0x3d62b05d, "drm_fbdev_dma_driver_fbdev_probe" },
	{ 0xa6518450, "noop_llseek" },
	{ 0x8b875364, "drm_read" },
	{ 0xd75d33f1, "drm_poll" },
	{ 0x6aadd73d, "drm_ioctl" },
	{ 0x466d1cb7, "drm_compat_ioctl" },
	{ 0x875d301f, "drm_gem_mmap" },
	{ 0xf03104a7, "drm_open" },
	{ 0xb0c34f92, "drm_release" },
	{ 0xf53a4656, "drm_gem_fb_create_with_dirty" },
	{ 0x8288255d, "drm_atomic_helper_check" },
	{ 0xbc80f51d, "drm_atomic_helper_commit" },
	{ 0x88a9dcfe, "drm_atomic_helper_connector_reset" },
	{ 0x598fdf2b, "drm_helper_probe_single_connector_modes" },
	{ 0x14d26048, "drm_connector_cleanup" },
	{ 0x965eee52, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x9f8dc18f, "drm_atomic_helper_connector_destroy_state" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x94284c16, "__spi_register_driver" },
	{ 0x6795a21c, "drm_atomic_helper_shutdown" },
	{ 0xa075ca7a, "drm_dev_unplug" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4a6a6c5c, "spi_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x3d52378f, "kmalloc_caches" },
	{ 0x6f27e88e, "__kmalloc_cache_noprof" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x69acdf38, "memcpy" },
	{ 0x664cef8e, "module_layout" },
};

MODULE_INFO(depends, "drm_dma_helper");

MODULE_ALIAS("spi:e1144cs021");
MODULE_ALIAS("spi:e1190cs021");
MODULE_ALIAS("spi:e2200cs021");
MODULE_ALIAS("spi:e2271cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e1144cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e1144cs021C*");
MODULE_ALIAS("of:N*T*Cpervasive,e1190cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e1190cs021C*");
MODULE_ALIAS("of:N*T*Cpervasive,e2200cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e2200cs021C*");
MODULE_ALIAS("of:N*T*Cpervasive,e2271cs021");
MODULE_ALIAS("of:N*T*Cpervasive,e2271cs021C*");

MODULE_INFO(srcversion, "3745B6B93C2393419B1CCB6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
