#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx88_video_mux, "", "");
KSYMTAB_FUNC(cx88_querycap, "", "");
KSYMTAB_FUNC(cx88_enum_input, "", "");
KSYMTAB_FUNC(cx88_set_freq, "", "");

SYMBOL_CRC(cx88_video_mux, 0x0e5d1b73, "");
SYMBOL_CRC(cx88_querycap, 0xf561c709, "");
SYMBOL_CRC(cx88_enum_input, 0xf4fc2f73, "");
SYMBOL_CRC(cx88_set_freq, 0x222bae2d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x7f47ba9f, "cx88_ir_stop" },
	{ 0xbb9b994d, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd5143090, "video_devdata" },
	{ 0x12f36301, "cx88_set_tvnorm" },
	{ 0x98399532, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x25b41c4a, "v4l2_ctrl_find" },
	{ 0x6fa0f27c, "cx88_ir_start" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x52a1291b, "__v4l2_ctrl_s_ctrl" },
	{ 0x288c21b1, "vb2_plane_cookie" },
	{ 0x27b02352, "vb2_ioctl_dqbuf" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x29263251, "cx88_risc_buffer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xfcb35333, "v4l2_fh_release" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xb7bce244, "cx88_set_stereo" },
	{ 0xaaddc8ba, "vb2_buffer_done" },
	{ 0xa1a7c594, "v4l2_ctrl_subscribe_event" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x67137279, "video_unregister_device" },
	{ 0xa0d89ef7, "kthread_stop" },
	{ 0x8eb88152, "i2c_new_client_device" },
	{ 0xf55ec37f, "vb2_ioctl_qbuf" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x482900c9, "vb2_fop_mmap" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xbce89408, "pci_set_master" },
	{ 0x8d88137a, "cx88_sram_channels" },
	{ 0xde760cf6, "cx88_set_tvaudio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x76de4f9c, "vb2_fop_read" },
	{ 0xe71835b9, "cx88_sram_channel_dump" },
	{ 0xd0a158d6, "kthread_create_on_node" },
	{ 0xcee902ed, "cx88_sram_channel_setup" },
	{ 0x33b63cf1, "dma_free_attrs" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x52764a38, "__video_register_device" },
	{ 0x6f27e88e, "__kmalloc_cache_noprof" },
	{ 0x71620b18, "vb2_ioctl_streamon" },
	{ 0xb9777166, "vb2_fop_poll" },
	{ 0xdc8ac99d, "v4l2_ctrl_new_std" },
	{ 0xbba4e106, "pci_disable_device" },
	{ 0x8023875e, "dma_set_mask" },
	{ 0xdda9e33f, "v4l2_i2c_new_subdev" },
	{ 0x881a8bfe, "pci_read_config_byte" },
	{ 0xa4e93e0a, "param_ops_int" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x135fb77f, "cx88_newstation" },
	{ 0x109c10d1, "v4l2_event_unsubscribe" },
	{ 0x3d52378f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x59d77599, "vb2_ioctl_reqbufs" },
	{ 0xef96213d, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xcbd4ed68, "vb2_dma_sg_memops" },
	{ 0x8a85e6d9, "cx88_reset" },
	{ 0x90c218ed, "v4l2_ctrl_poll" },
	{ 0xdccf5e7a, "video_ioctl2" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x1b5f874b, "cx88_wakeup" },
	{ 0xb635539e, "pci_enable_device" },
	{ 0xce12b61e, "vb2_ioctl_streamoff" },
	{ 0x5edb7ae5, "cx88_print_irqbits" },
	{ 0x4f288ede, "v4l2_ctrl_add_handler" },
	{ 0x6910bbcd, "v4l2_i2c_new_subdev_board" },
	{ 0xa2343357, "cx88_set_scale" },
	{ 0x04bf8bf4, "__pci_register_driver" },
	{ 0x97d34e5f, "cx88_shutdown" },
	{ 0x450e0475, "cx88_vdev_init" },
	{ 0x35d1e2ed, "param_array_ops" },
	{ 0x037a0cba, "kfree" },
	{ 0x7f2cd8f1, "vb2_ioctl_querybuf" },
	{ 0xa1fc79c1, "cx88_core_put" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x31d78f41, "v4l2_fh_open" },
	{ 0x904b8696, "cx88_audio_thread" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x579dec1f, "cx88_core_irq" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x5887fa84, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xae09cef5, "wake_up_process" },
	{ 0x5e563d16, "cx88_core_get" },
	{ 0xf19a6d84, "cx88_get_stereo" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x664cef8e, "module_layout" },
};

MODULE_INFO(depends, "cx88xx,videodev,videobuf2-v4l2,videobuf2-common,videobuf2-dma-sg");

MODULE_ALIAS("pci:v000014F1d00008800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "3AE15AA80EB64ED0E15F34A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
