#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdhci_uhs2_dump_regs, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_reset, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_set_power, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_set_timeout, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_clear_set_irqs, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_irq, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_add_host, "_gpl", "");
KSYMTAB_FUNC(sdhci_uhs2_remove_host, "_gpl", "");

SYMBOL_CRC(sdhci_uhs2_dump_regs, 0x2f4e8d4b, "_gpl");
SYMBOL_CRC(sdhci_uhs2_reset, 0x70475930, "_gpl");
SYMBOL_CRC(sdhci_uhs2_set_power, 0x86d6b673, "_gpl");
SYMBOL_CRC(sdhci_uhs2_set_timeout, 0x7102b3a2, "_gpl");
SYMBOL_CRC(sdhci_uhs2_clear_set_irqs, 0xc213b810, "_gpl");
SYMBOL_CRC(sdhci_uhs2_irq, 0x631cd0dd, "_gpl");
SYMBOL_CRC(sdhci_uhs2_add_host, 0x2c0a9eab, "_gpl");
SYMBOL_CRC(sdhci_uhs2_remove_host, 0xa567ca8f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x59bbfd29, "__sdhci_set_timeout" },
	{ 0x6528f8b8, "mmc_regulator_set_ocr" },
	{ 0xb67daa93, "mmc_regulator_set_vqmmc2" },
	{ 0x03082f95, "sdhci_get_vdd_value" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x56470118, "__warn_printk" },
	{ 0x05c79fd3, "sdhci_remove_host" },
	{ 0x79e5d70e, "sdhci_setup_host" },
	{ 0xf2a81a58, "__sdhci_add_host" },
	{ 0x734981d2, "sdhci_cleanup_host" },
	{ 0x5218d501, "regulator_get_current_limit" },
	{ 0xede11c4b, "sdhci_data_line_cmd" },
	{ 0x4ad632bd, "sdhci_initialize_data" },
	{ 0xcb85be11, "sdhci_prepare_dma" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x0d72c86c, "sdhci_mod_timer" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x445bce05, "sdhci_present_error" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x97aee3fd, "sdhci_dumpregs" },
	{ 0xa83014ee, "sdhci_finish_mrq" },
	{ 0xcfdafd1f, "sdhci_request" },
	{ 0x981cea93, "__sdhci_finish_mrq" },
	{ 0x624969d0, "__sdhci_finish_data_common" },
	{ 0x80327d49, "mmc_command_done" },
	{ 0x13f9fb89, "sdhci_needs_reset" },
	{ 0x2f21dc3c, "sdhci_do_reset" },
	{ 0x2824b1ea, "sdhci_request_done_dma" },
	{ 0x2737dced, "mmc_request_done" },
	{ 0xd5ba52dd, "mmc_detect_change" },
	{ 0x9b1d369c, "sdhci_thread_irq" },
	{ 0x8236c57a, "sdhci_complete_work" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x60120cd9, "sdhci_set_ios_common" },
	{ 0xd9482c44, "sdhci_set_clock" },
	{ 0xf384746f, "sdhci_enable_preset_value" },
	{ 0x5626b756, "sdhci_set_ios" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x664cef8e, "module_layout" },
};

MODULE_INFO(depends, "sdhci,mmc_core");


MODULE_INFO(srcversion, "299B41F5CD50B61E53A4431");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
