#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ath10k_mac_tx_push_pending, "", "");
KSYMTAB_FUNC(ath10k_info, "", "");
KSYMTAB_FUNC(ath10k_print_driver_info, "", "");
KSYMTAB_FUNC(ath10k_err, "", "");
KSYMTAB_FUNC(ath10k_warn, "", "");
KSYMTAB_DATA(ath10k_debug_mask, "", "");
KSYMTAB_FUNC(ath10k_core_check_dt, "", "");
KSYMTAB_FUNC(ath10k_core_free_board_files, "", "");
KSYMTAB_FUNC(ath10k_core_fetch_board_file, "", "");
KSYMTAB_FUNC(ath10k_core_start_recovery, "", "");
KSYMTAB_FUNC(ath10k_core_napi_enable, "", "");
KSYMTAB_FUNC(ath10k_core_napi_sync_disable, "", "");
KSYMTAB_FUNC(ath10k_core_start, "", "");
KSYMTAB_FUNC(ath10k_core_stop, "", "");
KSYMTAB_FUNC(ath10k_core_register, "", "");
KSYMTAB_FUNC(ath10k_core_unregister, "", "");
KSYMTAB_FUNC(ath10k_core_create, "", "");
KSYMTAB_FUNC(ath10k_core_destroy, "", "");
KSYMTAB_FUNC(ath10k_htc_notify_tx_completion, "", "");
KSYMTAB_FUNC(ath10k_htc_tx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htc_process_trailer, "", "");
KSYMTAB_FUNC(ath10k_htc_rx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_t2h_msg_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_pktlog_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_hl_indication, "", "");
KSYMTAB_FUNC(ath10k_htt_txrx_compl_task, "", "");
KSYMTAB_FUNC(ath10k_htt_hif_tx_complete, "", "");
KSYMTAB_FUNC(ath10k_bmi_start, "", "");
KSYMTAB_FUNC(ath10k_bmi_read_memory, "", "");
KSYMTAB_FUNC(ath10k_coredump_get_mem_layout, "", "");
KSYMTAB_FUNC(ath10k_coredump_new, "", "");
KSYMTAB_FUNC(ath10k_ce_send_nolock, "", "");
KSYMTAB_FUNC(__ath10k_ce_send_revert, "", "");
KSYMTAB_FUNC(ath10k_ce_send, "", "");
KSYMTAB_FUNC(ath10k_ce_num_free_src_entries, "", "");
KSYMTAB_FUNC(__ath10k_ce_rx_num_free_bufs, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_update_write_idx, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_revoke_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_cancel_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service_any, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_init_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_deinit_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_free_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_dump_registers, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_rri, "", "");
KSYMTAB_FUNC(ath10k_ce_free_rri, "", "");

SYMBOL_CRC(ath10k_mac_tx_push_pending, 0xe6090a14, "");
SYMBOL_CRC(ath10k_info, 0x80aa0938, "");
SYMBOL_CRC(ath10k_print_driver_info, 0x22683344, "");
SYMBOL_CRC(ath10k_err, 0x1ee36722, "");
SYMBOL_CRC(ath10k_warn, 0xf3ca7c4d, "");
SYMBOL_CRC(ath10k_debug_mask, 0x015e5db2, "");
SYMBOL_CRC(ath10k_core_check_dt, 0xb21fa6b6, "");
SYMBOL_CRC(ath10k_core_free_board_files, 0xe4a955a9, "");
SYMBOL_CRC(ath10k_core_fetch_board_file, 0x794e71d8, "");
SYMBOL_CRC(ath10k_core_start_recovery, 0xb985c8e7, "");
SYMBOL_CRC(ath10k_core_napi_enable, 0x09f71590, "");
SYMBOL_CRC(ath10k_core_napi_sync_disable, 0x3f32b22b, "");
SYMBOL_CRC(ath10k_core_start, 0x8dfec2f9, "");
SYMBOL_CRC(ath10k_core_stop, 0x8a5157a2, "");
SYMBOL_CRC(ath10k_core_register, 0x6f8f0518, "");
SYMBOL_CRC(ath10k_core_unregister, 0x2133d0e3, "");
SYMBOL_CRC(ath10k_core_create, 0x6309bbd8, "");
SYMBOL_CRC(ath10k_core_destroy, 0x6f9689fa, "");
SYMBOL_CRC(ath10k_htc_notify_tx_completion, 0x3fb207d1, "");
SYMBOL_CRC(ath10k_htc_tx_completion_handler, 0xa66229cf, "");
SYMBOL_CRC(ath10k_htc_process_trailer, 0x4b9182a7, "");
SYMBOL_CRC(ath10k_htc_rx_completion_handler, 0xec3fded1, "");
SYMBOL_CRC(ath10k_htt_t2h_msg_handler, 0x94861635, "");
SYMBOL_CRC(ath10k_htt_rx_pktlog_completion_handler, 0xcc836243, "");
SYMBOL_CRC(ath10k_htt_rx_hl_indication, 0xd69312ee, "");
SYMBOL_CRC(ath10k_htt_txrx_compl_task, 0x34805735, "");
SYMBOL_CRC(ath10k_htt_hif_tx_complete, 0xda719adb, "");
SYMBOL_CRC(ath10k_bmi_start, 0x443596e6, "");
SYMBOL_CRC(ath10k_bmi_read_memory, 0x8ee9da2f, "");
SYMBOL_CRC(ath10k_coredump_get_mem_layout, 0x56942374, "");
SYMBOL_CRC(ath10k_coredump_new, 0x3e593962, "");
SYMBOL_CRC(ath10k_ce_send_nolock, 0xc498f64c, "");
SYMBOL_CRC(__ath10k_ce_send_revert, 0x05ffdb23, "");
SYMBOL_CRC(ath10k_ce_send, 0x3f9685ed, "");
SYMBOL_CRC(ath10k_ce_num_free_src_entries, 0x128eff37, "");
SYMBOL_CRC(__ath10k_ce_rx_num_free_bufs, 0x86619a03, "");
SYMBOL_CRC(ath10k_ce_rx_update_write_idx, 0x31d5a592, "");
SYMBOL_CRC(ath10k_ce_rx_post_buf, 0xa93f9b80, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next_nolock, 0xd9e41047, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next, 0xb4c71c25, "");
SYMBOL_CRC(ath10k_ce_revoke_recv_next, 0x3b5a4a9b, "");
SYMBOL_CRC(ath10k_ce_completed_send_next_nolock, 0xd4f4c830, "");
SYMBOL_CRC(ath10k_ce_cancel_send_next, 0xd8f6ee84, "");
SYMBOL_CRC(ath10k_ce_completed_send_next, 0xe4bcda17, "");
SYMBOL_CRC(ath10k_ce_per_engine_service, 0x83cfb03b, "");
SYMBOL_CRC(ath10k_ce_per_engine_service_any, 0xfbfd4ef4, "");
SYMBOL_CRC(ath10k_ce_disable_interrupt, 0xd9354d46, "");
SYMBOL_CRC(ath10k_ce_disable_interrupts, 0xc81ae439, "");
SYMBOL_CRC(ath10k_ce_enable_interrupt, 0x04ceda2f, "");
SYMBOL_CRC(ath10k_ce_enable_interrupts, 0x47ae3c91, "");
SYMBOL_CRC(ath10k_ce_init_pipe, 0xbce9b2f0, "");
SYMBOL_CRC(ath10k_ce_deinit_pipe, 0x7b10938a, "");
SYMBOL_CRC(ath10k_ce_free_pipe, 0x968d365e, "");
SYMBOL_CRC(ath10k_ce_dump_registers, 0x88ba2b2a, "");
SYMBOL_CRC(ath10k_ce_alloc_pipe, 0x49340ba2, "");
SYMBOL_CRC(ath10k_ce_alloc_rri, 0x3f77344a, "");
SYMBOL_CRC(ath10k_ce_free_rri, 0x2bf20ed2, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x754d539c, "strlen" },
	{ 0x10eec306, "napi_disable" },
	{ 0xa2585338, "dev_kfree_skb_any_reason" },
	{ 0x540fa239, "ieee80211_bss_get_elem" },
	{ 0xfb05a0e5, "__cfg80211_get_bss" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3d52378f, "kmalloc_caches" },
	{ 0xe5530bb7, "ieee80211_csa_finish" },
	{ 0x4e6a1087, "skb_queue_head" },
	{ 0xbad5775f, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xabb97e9e, "cpu_latency_qos_remove_request" },
	{ 0x96e894a6, "ieee80211_beacon_update_cntdwn" },
	{ 0xcae4347d, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x2f612202, "device_set_wakeup_enable" },
	{ 0x98c178d2, "completion_done" },
	{ 0xe59268e4, "ieee80211_connection_loss" },
	{ 0x5d84df1f, "ieee80211_manage_rx_ba_offl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x688aff42, "is_acpi_device_node" },
	{ 0xaf9c2795, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x11736bee, "__ieee80211_schedule_txq" },
	{ 0xdfb800d9, "idr_find" },
	{ 0xafb3a402, "ieee80211_txq_get_depth" },
	{ 0xfebc33a9, "param_ops_uint" },
	{ 0x984d7f4b, "param_ops_ulong" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x12520845, "devm_kmalloc" },
	{ 0x415d60e9, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x56894482, "firmware_request_nowarn" },
	{ 0x69989fc1, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x065b45cb, "complete" },
	{ 0x00000498, "ieee80211_txq_may_transmit" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf07f7764, "device_get_mac_address" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xccbf54a0, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xbb2ce5cc, "ieee80211_free_hw" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0xf0117f1e, "dma_unmap_page_attrs" },
	{ 0xbfc97506, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0xc3aa00a1, "ieee80211_iterate_stations_atomic" },
	{ 0x2b23ebd0, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x751f13da, "ieee80211_beacon_loss" },
	{ 0x4dbd8b07, "cpu_latency_qos_add_request" },
	{ 0xa2eeb73c, "regulatory_hint" },
	{ 0x037a0cba, "kfree" },
	{ 0xcf8a3602, "thermal_cooling_device_register" },
	{ 0xf5e864ad, "led_classdev_unregister" },
	{ 0x958f3ecc, "ieee80211_register_hw" },
	{ 0x646bbede, "ieee80211_restart_hw" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x583b55c2, "ieee80211_wake_queue" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x32e7385c, "ieee80211_hw_restart_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xbc24771b, "pskb_expand_head" },
	{ 0x0326f2d7, "skb_queue_purge_reason" },
	{ 0x50eed58e, "dev_driver_string" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xfe3d69d8, "ieee80211_find_sta" },
	{ 0xd7c0e481, "dma_map_page_attrs" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x2d9f9e00, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x85ee6440, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xff182494, "cfg80211_put_bss" },
	{ 0x09af842d, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6ee50677, "_dev_info" },
	{ 0xa18f224e, "ath_regd_find_country_by_name" },
	{ 0x48870f13, "skb_queue_tail" },
	{ 0x4b891555, "ieee80211_get_channel_khz" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x99aca64e, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xbcba2a20, "wiphy_to_ieee80211_hw" },
	{ 0x7d14e7db, "ath_reg_notifier_apply" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x96f68f8d, "ieee80211_queue_delayed_work" },
	{ 0xc901ddbf, "ieee80211_proberesp_get" },
	{ 0x3e7b511d, "_dev_err" },
	{ 0xbb3cd523, "skb_pull" },
	{ 0x1eb5d727, "sysfs_remove_link" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x935c55b9, "init_uts_ns" },
	{ 0x7d5c05fe, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xdee43d14, "ieee80211_find_sta_by_ifaddr" },
	{ 0xbab030a3, "ieee80211_next_txq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc634aa0d, "ieee80211_remain_on_channel_expired" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x46434396, "skb_push" },
	{ 0xaf096df4, "dma_alloc_attrs" },
	{ 0x4571aea8, "ath_is_world_regd" },
	{ 0x22671d1f, "napi_enable" },
	{ 0x71c4d862, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x50864125, "ieee80211_wake_queues" },
	{ 0x9871b56e, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7f727669, "ieee80211_report_low_ack" },
	{ 0x035ebc96, "ieee80211_beacon_get_template" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x61dc4cdf, "ieee80211_free_txskb" },
	{ 0x5464633a, "led_classdev_register_ext" },
	{ 0x066e308c, "dev_coredumpv" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x4088580c, "ieee80211_alloc_hw_nm" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x5cffd1aa, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x0acbec12, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0xa4ad2125, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x8b164305, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x3d80912e, "devm_nvmem_cell_get" },
	{ 0x9fad31b4, "ieee80211_stop_queue" },
	{ 0x57f8d637, "__netdev_alloc_skb" },
	{ 0xe6c1584a, "ieee80211_ready_on_channel" },
	{ 0x0368f43b, "ieee80211_stop_queues" },
	{ 0xd9fc537f, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe1874064, "skb_realloc_headroom" },
	{ 0xf9194d48, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x3abd1692, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x741aa3d2, "__preempt_count" },
	{ 0x56410338, "alloc_netdev_dummy" },
	{ 0x33b63cf1, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x24a52bac, "crc32_le_arch" },
	{ 0xbe3654b0, "ieee80211_scan_completed" },
	{ 0x550784e2, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8aced589, "param_ops_bool" },
	{ 0x6ae9053b, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x66adce7e, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6f27e88e, "__kmalloc_cache_noprof" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1a55dd4c, "ath_regd_init" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffe446d3, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3cae681b, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x3bd2f651, "ieee80211_tdls_oper_request" },
	{ 0x08792b82, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x747a19cb, "thermal_cooling_device_unregister" },
	{ 0x0e9aa090, "ieee80211_tx_rate_update" },
	{ 0x0e4a420b, "ieee80211_queue_work" },
	{ 0x664cef8e, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mac80211,ath");


MODULE_INFO(srcversion, "0E6FF6BF2FD2C5E9DCCC012");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
