#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(mt76x02_rates, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_device, "_gpl", "");
KSYMTAB_FUNC(mt76x02_configure_filter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_key, "_gpl", "");
KSYMTAB_FUNC(mt76x02_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_tx_ackto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_rate_tbl_update, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_hdr_pad, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_ps, "_gpl", "");
KSYMTAB_FUNC(mt76x02_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(mt76x02_config_mac_addr_list, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_shared_key_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_wcid_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_setaddr, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x02_edcca_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_cc_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_msg_send, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_function_select, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_set_radio_state, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_calibrate, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_ethtool_fwver, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_copy, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_efuse_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_parse_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ext_pa_enabled, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_lna_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_rxpath, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txdac, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_max_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_limit_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_rate_power_offset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_bw, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_band, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_adjust_vga_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_agc_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02e_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_set_txpwr_auto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_debugfs, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_dfs_adjust_agc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dfs_init_params, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_set_beacon, "_gpl", "");
KSYMTAB_FUNC(mt76x02_resync_beacon_timer, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_beacon_iter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_enqueue_buffered_bc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0x5fd6fce5, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0x87f9ec59, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0x75d95b67, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0x36edfa9b, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0x729d1fe4, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0x33275261, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0xe01a3b9f, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0xc281b68c, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0x916490c1, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0xac5918d1, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0xb092ecd3, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0x3b51150b, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0xd9cda183, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0x0629afa1, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0xc5c02dfb, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0x9767b38b, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0x3d482589, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0x5a463e61, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0xde186782, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0x11179984, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0x1758073f, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0xac0c88ea, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0xcd1fb29a, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0xbf5351df, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0xbf316e59, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0xcfaec991, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0x2f644733, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0xde2db800, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0xc286d719, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0x3fa634e4, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0x37ba7062, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0xe7ef5d1d, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0x9e8f4b8e, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0x4d1c45a1, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0x92519525, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0x9a0b4bf8, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0x58ef678e, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0xb8839606, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0x8c1d625e, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0xeb017277, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0x2ffbe510, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0xf28cc660, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0x3e25e6e9, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0x9908dde5, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0xa7e75f24, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0x083767d8, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0x57a5ae70, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0x3c2ad1b7, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0x3c7c3580, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0x24a0df3d, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0xf097f1ad, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0xcfa08172, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0xe3e5e17e, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0x3be13758, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0x9adcc7e1, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0x16b3694d, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0xb7925242, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0x70102cc0, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0xe3fa9ea9, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0x478004db, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0xa8c35488, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0xa83b3963, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0x2a65972a, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0x8e1594ba, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0xcb87e8cf, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0x26e8229a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x002d5a43, "mt76_csa_check" },
	{ 0x1ae295fa, "mt76_tx_status_skb_add" },
	{ 0xb5294c40, "__tracepoint_mac_txdone" },
	{ 0x6943ab40, "mt76_tx_check_agg_ssn" },
	{ 0x2b23ebd0, "ieee80211_tx_status_ext" },
	{ 0xce435e31, "mt76_stop_tx_queues" },
	{ 0xcbf9a9ed, "___pskb_trim" },
	{ 0x34104611, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1639cfb4, "__mt76_tx_complete_skb" },
	{ 0x99558bdd, "seq_lseek" },
	{ 0x82e00bad, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x646bbede, "ieee80211_restart_hw" },
	{ 0xdb6a8b31, "bpf_trace_run2" },
	{ 0xe553581f, "ieee80211_get_hdrlen_from_skb" },
	{ 0x4ec04cfa, "kthread_park" },
	{ 0xde4f5b29, "mt76_mcu_rx_event" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x338a3ccb, "mt76_wcid_init" },
	{ 0x9efe1f66, "mt76_tx_status_check" },
	{ 0xae09cef5, "wake_up_process" },
	{ 0xb0d3f1d1, "trace_event_buffer_commit" },
	{ 0x23112030, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x34b9e1a6, "napi_complete_done" },
	{ 0x55572826, "ieee80211_get_tx_rates" },
	{ 0xc2c1a652, "ieee80211_send_bar" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa742a642, "debugfs_create_devm_seqfile" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x46e4e93d, "mt76_tx" },
	{ 0x8e006b5f, "__napi_schedule" },
	{ 0x9880681b, "mt76_csa_finish" },
	{ 0xa916b694, "strnlen" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1ae6fab1, "mt76_wcid_key_setup" },
	{ 0x6ee50677, "_dev_info" },
	{ 0xafb9dae1, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xf95d494e, "mt76_rx" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x13816517, "kthread_unpark" },
	{ 0x5a14d220, "mt76_phy_dfs_state" },
	{ 0xbcba2a20, "wiphy_to_ieee80211_hw" },
	{ 0x7cdb67c6, "mt76_init_queue" },
	{ 0x6de224c5, "debugfs_attr_read" },
	{ 0x3e0dbe16, "__mt76_sta_remove" },
	{ 0x545cb3f6, "mt76_tx_status_skb_done" },
	{ 0x96f68f8d, "ieee80211_queue_delayed_work" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x4ef38a88, "perf_trace_run_bpf_submit" },
	{ 0x3e7b511d, "_dev_err" },
	{ 0x533e8ed5, "debugfs_create_bool" },
	{ 0xbb3cd523, "skb_pull" },
	{ 0x6b17f283, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4ff96c7d, "__SCK__tp_func_dev_irq" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x46434396, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x22671d1f, "napi_enable" },
	{ 0x57a089f6, "seq_putc" },
	{ 0x150ff8f1, "trace_event_reg" },
	{ 0x2a5d94d9, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0x50864125, "ieee80211_wake_queues" },
	{ 0x4bf8b300, "mt76_mcu_send_and_get_msg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x64479f53, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x20436f28, "_raw_spin_trylock" },
	{ 0xdaa7d88d, "__mt76_mcu_msg_alloc" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x32739c4b, "mt76_set_irq_mask" },
	{ 0x546eba3a, "bpf_trace_run1" },
	{ 0x6e42082e, "ieee80211_calc_tx_airtime" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbe035490, "debugfs_create_u32" },
	{ 0x97f8027d, "__SCK__tp_func_mac_txdone" },
	{ 0xeb765d0b, "mt76_seq_puts_array" },
	{ 0x0368f43b, "ieee80211_stop_queues" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x815bf2e0, "__tracepoint_dev_irq" },
	{ 0xb078c97c, "seq_read" },
	{ 0x4c417e52, "mt76_mcu_get_response" },
	{ 0x0dee6953, "cpu_number" },
	{ 0x741aa3d2, "__preempt_count" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0xb6126bbe, "trace_event_buffer_reserve" },
	{ 0x550784e2, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x4587d674, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x86d846ba, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xe04c0de4, "seq_write" },
	{ 0xf9bb8ec5, "____mt76_poll_msec" },
	{ 0x156c32a8, "seq_printf" },
	{ 0xffe446d3, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x59714de0, "debugfs_create_file_full" },
	{ 0x8d2750d1, "mt76_wcid_cleanup" },
	{ 0x08792b82, "ieee80211_radar_detected" },
	{ 0x60e79943, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc33d4d72, "mt76_queues_read" },
	{ 0xdc5577c5, "mt76_register_debugfs_fops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x28614817, "napi_schedule_prep" },
	{ 0x10eec306, "napi_disable" },
	{ 0xa2585338, "dev_kfree_skb_any_reason" },
	{ 0x9dea2997, "__mt76_poll" },
	{ 0xa1165242, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x2edf40bc, "debugfs_create_u8" },
	{ 0x433f3d73, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xcfcb4959, "mt76_dma_attach" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xcae4347d, "ieee80211_sta_register_airtime" },
	{ 0x61660534, "mt76_dma_rx_poll" },
	{ 0x2b963865, "mt76_tx_status_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc0127c18, "simple_attr_open" },
	{ 0x71e0907a, "debugfs_attr_write" },
	{ 0x12520845, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x69989fc1, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd19ac4d4, "mt76_tx_status_skb_get" },
	{ 0xf4ceb6eb, "trace_raw_output_prep" },
	{ 0x544d56fa, "mt76_tx_status_lock" },
	{ 0xccbf54a0, "skb_dequeue" },
	{ 0x7a1451b3, "__trace_trigger_soft_disabled" },
	{ 0xe448634e, "trace_event_printf" },
	{ 0xb05a45bf, "this_cpu_off" },
	{ 0x664cef8e, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "F372D4E7B3860D16A73FAAF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
