#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2800_mcu_request, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_csr_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_wpdma_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_wpdma, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_txwi_rxwi_size, "_gpl", "");
KSYMTAB_FUNC(rt2800_check_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_load_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_tx_data, "_gpl", "");
KSYMTAB_FUNC(rt2800_process_rxwi, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_timeout, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_pending, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_nostatus, "_gpl", "");
KSYMTAB_FUNC(rt2800_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_clear_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_shared_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_pairwise_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_add, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_remove, "_gpl", "");
KSYMTAB_FUNC(rt2800_pre_reset_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_filter, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_intf, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_erp, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_ant, "_gpl", "");
KSYMTAB_FUNC(rt2800_gain_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_vco_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_config, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_stats, "_gpl", "");
KSYMTAB_FUNC(rt2800_reset_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_efuse_detect, "_gpl", "");
KSYMTAB_FUNC(rt2800_read_eeprom_efuse, "_gpl", "");
KSYMTAB_FUNC(rt2800_probe_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_key_seq, "_gpl", "");
KSYMTAB_FUNC(rt2800_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(rt2800_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_tsf, "_gpl", "");
KSYMTAB_FUNC(rt2800_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_survey, "_gpl", "");

SYMBOL_CRC(rt2800_mcu_request, 0xdcd79352, "_gpl");
SYMBOL_CRC(rt2800_wait_csr_ready, 0xc3ca90f3, "_gpl");
SYMBOL_CRC(rt2800_wait_wpdma_ready, 0xcdaa2e66, "_gpl");
SYMBOL_CRC(rt2800_disable_wpdma, 0xfd367328, "_gpl");
SYMBOL_CRC(rt2800_get_txwi_rxwi_size, 0x964fc14c, "_gpl");
SYMBOL_CRC(rt2800_check_firmware, 0x918662df, "_gpl");
SYMBOL_CRC(rt2800_load_firmware, 0x4a0c5c31, "_gpl");
SYMBOL_CRC(rt2800_write_tx_data, 0x7b0608ab, "_gpl");
SYMBOL_CRC(rt2800_process_rxwi, 0x4d132de6, "_gpl");
SYMBOL_CRC(rt2800_txdone_entry, 0x6d6f8e45, "_gpl");
SYMBOL_CRC(rt2800_txdone, 0x63de15f4, "_gpl");
SYMBOL_CRC(rt2800_txstatus_timeout, 0x12b71fe4, "_gpl");
SYMBOL_CRC(rt2800_txstatus_pending, 0x55ed0896, "_gpl");
SYMBOL_CRC(rt2800_txdone_nostatus, 0xbeeaab3c, "_gpl");
SYMBOL_CRC(rt2800_watchdog, 0xe588b1a1, "_gpl");
SYMBOL_CRC(rt2800_write_beacon, 0x1ba00277, "_gpl");
SYMBOL_CRC(rt2800_clear_beacon, 0x7423ffea, "_gpl");
SYMBOL_CRC(rt2800_rfkill_poll, 0x417ea30a, "_gpl");
SYMBOL_CRC(rt2800_config_shared_key, 0x03ab98dc, "_gpl");
SYMBOL_CRC(rt2800_config_pairwise_key, 0xaa4501cb, "_gpl");
SYMBOL_CRC(rt2800_sta_add, 0xef5b688b, "_gpl");
SYMBOL_CRC(rt2800_sta_remove, 0xffec29ca, "_gpl");
SYMBOL_CRC(rt2800_pre_reset_hw, 0x48def235, "_gpl");
SYMBOL_CRC(rt2800_config_filter, 0x732066b4, "_gpl");
SYMBOL_CRC(rt2800_config_intf, 0x6180822a, "_gpl");
SYMBOL_CRC(rt2800_config_erp, 0x3f7a7eac, "_gpl");
SYMBOL_CRC(rt2800_config_ant, 0xece2b6f6, "_gpl");
SYMBOL_CRC(rt2800_gain_calibration, 0xffdd9017, "_gpl");
SYMBOL_CRC(rt2800_vco_calibration, 0xbddcab76, "_gpl");
SYMBOL_CRC(rt2800_config, 0xf57aa9a1, "_gpl");
SYMBOL_CRC(rt2800_link_stats, 0x6c2355aa, "_gpl");
SYMBOL_CRC(rt2800_reset_tuner, 0x7fa1d61c, "_gpl");
SYMBOL_CRC(rt2800_link_tuner, 0x9da03669, "_gpl");
SYMBOL_CRC(rt2800_enable_radio, 0xac80b6f4, "_gpl");
SYMBOL_CRC(rt2800_disable_radio, 0x35ff573d, "_gpl");
SYMBOL_CRC(rt2800_efuse_detect, 0x16f8b3e5, "_gpl");
SYMBOL_CRC(rt2800_read_eeprom_efuse, 0xf343ecd8, "_gpl");
SYMBOL_CRC(rt2800_probe_hw, 0x4f01fb3c, "_gpl");
SYMBOL_CRC(rt2800_get_key_seq, 0xdad3e6f9, "_gpl");
SYMBOL_CRC(rt2800_set_rts_threshold, 0xd5202f8e, "_gpl");
SYMBOL_CRC(rt2800_conf_tx, 0xa7967011, "_gpl");
SYMBOL_CRC(rt2800_get_tsf, 0x95f87a3e, "_gpl");
SYMBOL_CRC(rt2800_ampdu_action, 0x19c24d34, "_gpl");
SYMBOL_CRC(rt2800_get_survey, 0x16728f91, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa4ad2125, "_dev_warn" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x46434396, "skb_push" },
	{ 0xa2585338, "dev_kfree_skb_any_reason" },
	{ 0x7ea5a089, "__skb_pad" },
	{ 0xb554c157, "rt2x00lib_txdone_noinfo" },
	{ 0x646bbede, "ieee80211_restart_hw" },
	{ 0xbb3cd523, "skb_pull" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6ee50677, "_dev_info" },
	{ 0xb3deb16d, "rt2x00lib_set_mac_address" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x037a0cba, "kfree" },
	{ 0xec4d9e3a, "clk_get_sys" },
	{ 0x2e1ca751, "clk_put" },
	{ 0xfebc33a9, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x3e7b511d, "_dev_err" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x866519dc, "rt2x00lib_txdone_nomatch" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x06265623, "rt2x00lib_txdone" },
	{ 0x9deea4c7, "__dynamic_dev_dbg" },
	{ 0xc58fdd7f, "rt2x00queue_get_entry" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xa86b181f, "rt2x00lib_get_bssidx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x035f7305, "rt2x00mac_conf_tx" },
	{ 0xafb9dae1, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x664cef8e, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "FB782670CE4098FB49520E9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
