#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc9c7846d, "rt2x00usb_disconnect" },
	{ 0xf48f15bc, "rt2x00usb_suspend" },
	{ 0x72972229, "rt2x00usb_resume" },
	{ 0xec158b89, "rt2x00usb_initialize" },
	{ 0x79c1d218, "rt2x00usb_uninitialize" },
	{ 0x5147d02f, "rt2x00usb_clear_entry" },
	{ 0xb3ea6374, "rt2x00usb_watchdog" },
	{ 0x2dd7420d, "rt2x00usb_kick_queue" },
	{ 0x75fd7f59, "rt2x00usb_flush_queue" },
	{ 0x90cfb1eb, "rt2x00mac_tx" },
	{ 0xc60c3220, "rt2x00mac_start" },
	{ 0x02f6ce60, "rt2x00mac_stop" },
	{ 0x80df8e75, "rt2x00mac_add_interface" },
	{ 0xc98b7d28, "rt2x00mac_remove_interface" },
	{ 0xd374b10d, "rt2x00mac_config" },
	{ 0xb53a2321, "rt2x00mac_bss_info_changed" },
	{ 0x7cd5e8fc, "rt2x00mac_configure_filter" },
	{ 0xce10af0d, "rt2x00mac_set_tim" },
	{ 0xde4ce7e1, "rt2x00mac_set_key" },
	{ 0x57faa870, "rt2x00mac_sw_scan_start" },
	{ 0x6c367b05, "rt2x00mac_sw_scan_complete" },
	{ 0xd25cab98, "rt2x00mac_get_stats" },
	{ 0xabbcc2f5, "rt2x00mac_rfkill_poll" },
	{ 0x77132551, "rt2x00mac_flush" },
	{ 0x74e498ab, "rt2x00mac_set_antenna" },
	{ 0x0c5716e3, "rt2x00mac_get_antenna" },
	{ 0xa1d6a5db, "rt2x00mac_get_ringparam" },
	{ 0x2f97ccc4, "rt2x00mac_tx_frames_pending" },
	{ 0xe9b455b5, "ieee80211_emulate_add_chanctx" },
	{ 0x15a4a906, "ieee80211_emulate_remove_chanctx" },
	{ 0xacb07f18, "ieee80211_emulate_change_chanctx" },
	{ 0x6ed73ae2, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x6d5b6bb6, "ieee80211_handle_wake_tx_queue" },
	{ 0x8aced589, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb49d1849, "usb_register_driver" },
	{ 0x9daeb07a, "rt2x00usb_probe" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x9346a371, "rt2x00usb_regbusy_read" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x0e0a0798, "rt2x00usb_vendor_req_buff_lock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1cbf1556, "usb_deregister" },
	{ 0x09a34a2b, "crc_itu_t" },
	{ 0xd819a524, "crc_itu_t_table" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x37acb836, "rt2x00usb_vendor_request" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbb3cd523, "skb_pull" },
	{ 0xd9fc537f, "skb_trim" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7260e896, "rt2x00usb_vendor_request_buff" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x3e7b511d, "_dev_err" },
	{ 0x46434396, "skb_push" },
	{ 0x7ea5a089, "__skb_pad" },
	{ 0x69989fc1, "consume_skb" },
	{ 0xb3deb16d, "rt2x00lib_set_mac_address" },
	{ 0x6ee50677, "_dev_info" },
	{ 0x9deea4c7, "__dynamic_dev_dbg" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x035f7305, "rt2x00mac_conf_tx" },
	{ 0x5f05339a, "rt2x00usb_disable_radio" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x664cef8e, "module_layout" },
};

MODULE_INFO(depends, "rt2x00usb,rt2x00lib,mac80211,usbcore,crc-itu-t");

MODULE_ALIAS("usb:v07B8pB21Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8pB21Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8pB21Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8pB21Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8pB21Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C10d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9021d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9021d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v18C5p0002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1690p0722d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1723d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1724d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp705Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp905Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp905Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1631pC019d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08DDp0120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p00D8d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p00D9d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p00E6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p00F4d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0116d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0119d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0137d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v178Dp02BEd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1371p9022d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1371p9032d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C22d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07AAp002Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07D1p3C03d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07D1p3C04d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07D1p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07D1p3C07d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392p7318d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392p7618d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1740p3701d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15A9p0004d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p800Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1472p0009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE002d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE010d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0023d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0028d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p4600d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6877d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6874d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0pA861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0pA874d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B75p7318d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp093Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2573d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2671d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0812p3101d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v18E8p6196d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v18E8p6229d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v18E8p6238d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04E8p4471d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1740p7100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0024d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0027d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p002Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p90ACd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p9712d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p31F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v6933p5001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0471p200Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2019pAB01d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2019pAB50d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7167p3840d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CDEp001Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0586p3415d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "BC0364D8018CDCF58BF4576");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
