#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtw88xxa_efuse_grant, "", "");
KSYMTAB_FUNC(rtw88xxa_read_efuse, "", "");
KSYMTAB_FUNC(rtw88xxa_power_off, "", "");
KSYMTAB_FUNC(rtw88xxa_power_on, "", "");
KSYMTAB_FUNC(rtw88xxa_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw88xxa_set_channel, "", "");
KSYMTAB_FUNC(rtw88xxa_query_phy_status, "", "");
KSYMTAB_FUNC(rtw88xxa_set_tx_power_index, "", "");
KSYMTAB_FUNC(rtw88xxa_false_alarm_statistics, "", "");
KSYMTAB_FUNC(rtw88xxa_iqk_backup_mac_bb, "", "");
KSYMTAB_FUNC(rtw88xxa_iqk_backup_afe, "", "");
KSYMTAB_FUNC(rtw88xxa_iqk_restore_mac_bb, "", "");
KSYMTAB_FUNC(rtw88xxa_iqk_configure_mac, "", "");
KSYMTAB_FUNC(rtw88xxa_iqk_finish, "", "");
KSYMTAB_FUNC(rtw88xxa_phy_pwrtrack, "", "");
KSYMTAB_FUNC(rtw88xxa_phy_cck_pd_set, "", "");

SYMBOL_CRC(rtw88xxa_efuse_grant, 0x8d77393c, "");
SYMBOL_CRC(rtw88xxa_read_efuse, 0x5d033845, "");
SYMBOL_CRC(rtw88xxa_power_off, 0x51a08c7d, "");
SYMBOL_CRC(rtw88xxa_power_on, 0xd1cf1a50, "");
SYMBOL_CRC(rtw88xxa_phy_read_rf, 0xa8cb4377, "");
SYMBOL_CRC(rtw88xxa_set_channel, 0xfa3d5ddb, "");
SYMBOL_CRC(rtw88xxa_query_phy_status, 0xe7228f71, "");
SYMBOL_CRC(rtw88xxa_set_tx_power_index, 0xc71ec869, "");
SYMBOL_CRC(rtw88xxa_false_alarm_statistics, 0xf3565446, "");
SYMBOL_CRC(rtw88xxa_iqk_backup_mac_bb, 0x690dfac3, "");
SYMBOL_CRC(rtw88xxa_iqk_backup_afe, 0xa888790c, "");
SYMBOL_CRC(rtw88xxa_iqk_restore_mac_bb, 0xf82c6d50, "");
SYMBOL_CRC(rtw88xxa_iqk_configure_mac, 0x7cf186b8, "");
SYMBOL_CRC(rtw88xxa_iqk_finish, 0xbd62b503, "");
SYMBOL_CRC(rtw88xxa_phy_pwrtrack, 0x7f38facd, "");
SYMBOL_CRC(rtw88xxa_phy_cck_pd_set, 0x25c03076, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x309c994e, "rtw_pwr_seq_parser" },
	{ 0x0d960197, "rtw_phy_pwrtrack_get_delta" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xddfd0e46, "rtw_coex_init_hw_config" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7ba0c127, "rtw_phy_pwrtrack_thermal_changed" },
	{ 0x6ee50677, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x3e7b511d, "_dev_err" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5b83cdf9, "rtw_coex_power_off_setting" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9291b8f1, "rtw_read8_physical_efuse" },
	{ 0x522762cd, "rtw_rate_section" },
	{ 0xa54320c1, "rtw_phy_pwrtrack_need_iqk" },
	{ 0x3194e821, "rtw_phy_pwrtrack_avg" },
	{ 0x440b7589, "rtw_phy_rf_power_2_rssi" },
	{ 0xcce92883, "rtw_coex_power_on_setting" },
	{ 0xa6d3d7fe, "rtw_rate_size" },
	{ 0x0860977b, "rtw_set_trx_fifo_info" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x10e631d8, "rtw_wait_firmware_completion" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56470118, "__warn_printk" },
	{ 0x88815a0a, "rtw_dbg" },
	{ 0x33b3f3c0, "rtw_debug_mask" },
	{ 0x7712cdae, "rtw_download_firmware" },
	{ 0xaf3b166b, "rtw_phy_config_swing_table" },
	{ 0x4d2cc38d, "rtw_phy_init" },
	{ 0x7804bf11, "rtw_phy_set_tx_power_level" },
	{ 0x37899f9c, "rtw_phy_pwrtrack_get_pwridx" },
	{ 0x664cef8e, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core");


MODULE_INFO(srcversion, "82AC0D80B5367D440D510F4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
