#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(st21nfca_hci_probe, "", "");
KSYMTAB_FUNC(st21nfca_hci_remove, "", "");
KSYMTAB_FUNC(st21nfca_tm_send_dep_res, "", "");
KSYMTAB_FUNC(st21nfca_dep_event_received, "", "");
KSYMTAB_FUNC(st21nfca_im_send_atr_req, "", "");
KSYMTAB_FUNC(st21nfca_im_send_dep_req, "", "");
KSYMTAB_FUNC(st21nfca_dep_init, "", "");
KSYMTAB_FUNC(st21nfca_dep_deinit, "", "");
KSYMTAB_FUNC(st21nfca_hci_discover_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_enable_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_disable_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_se_io, "", "");
KSYMTAB_FUNC(st21nfca_connectivity_event_received, "", "");
KSYMTAB_FUNC(st21nfca_apdu_reader_event_received, "", "");
KSYMTAB_FUNC(st21nfca_se_init, "", "");
KSYMTAB_FUNC(st21nfca_se_deinit, "", "");
KSYMTAB_FUNC(st21nfca_hci_loopback_event_received, "", "");
KSYMTAB_FUNC(st21nfca_vendor_cmds_init, "", "");

SYMBOL_CRC(st21nfca_hci_probe, 0xc55d7167, "");
SYMBOL_CRC(st21nfca_hci_remove, 0x2e903658, "");
SYMBOL_CRC(st21nfca_tm_send_dep_res, 0x1804421e, "");
SYMBOL_CRC(st21nfca_dep_event_received, 0x5fa941b7, "");
SYMBOL_CRC(st21nfca_im_send_atr_req, 0xc5e92a83, "");
SYMBOL_CRC(st21nfca_im_send_dep_req, 0x5ef4fb3b, "");
SYMBOL_CRC(st21nfca_dep_init, 0x2efe0575, "");
SYMBOL_CRC(st21nfca_dep_deinit, 0xa2657b62, "");
SYMBOL_CRC(st21nfca_hci_discover_se, 0x9625b70e, "");
SYMBOL_CRC(st21nfca_hci_enable_se, 0xd6b1d1ba, "");
SYMBOL_CRC(st21nfca_hci_disable_se, 0xc85a0f86, "");
SYMBOL_CRC(st21nfca_hci_se_io, 0x6f07bfd8, "");
SYMBOL_CRC(st21nfca_connectivity_event_received, 0x3c0e589e, "");
SYMBOL_CRC(st21nfca_apdu_reader_event_received, 0x927df0ba, "");
SYMBOL_CRC(st21nfca_se_init, 0x6e8119a0, "");
SYMBOL_CRC(st21nfca_se_deinit, 0x4a2b5608, "");
SYMBOL_CRC(st21nfca_hci_loopback_event_received, 0x18ba1ce0, "");
SYMBOL_CRC(st21nfca_vendor_cmds_init, 0x78be0c10, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xba366e28, "nfc_hci_free_device" },
	{ 0x343fcb8a, "nfc_se_transaction" },
	{ 0x5f93b3c4, "nfc_get_local_general_bytes" },
	{ 0xa25caeed, "nfc_hci_register_device" },
	{ 0x66b39d32, "nfc_set_remote_general_bytes" },
	{ 0x3e7b511d, "_dev_err" },
	{ 0xbb3cd523, "skb_pull" },
	{ 0x7d5c05fe, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x46434396, "skb_push" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x8917b102, "nfc_hci_send_cmd" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0x23de1201, "nfc_hci_get_clientdata" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x286e6613, "nfc_tm_activated" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x54001a39, "nfc_hci_allocate_device" },
	{ 0xd9fc537f, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xde02a3cc, "nfc_se_connectivity" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6f27e88e, "__kmalloc_cache_noprof" },
	{ 0x91c4ef33, "nfc_vendor_cmd_reply" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb01e4289, "nfc_hci_set_param" },
	{ 0x965c1e57, "nfc_dep_link_is_up" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x3fd93002, "nfc_hci_send_event" },
	{ 0x023ddff2, "nfc_hci_disconnect_all_gates" },
	{ 0x7984664b, "nfc_hci_disconnect_gate" },
	{ 0x3d52378f, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x08759b7c, "nfc_hci_set_clientdata" },
	{ 0x12520845, "devm_kmalloc" },
	{ 0x1df255db, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x415d60e9, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xfa42a41f, "nfc_hci_get_param" },
	{ 0x2176b2cb, "nfc_hci_send_cmd_async" },
	{ 0x065b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcc3d5bcd, "nfc_add_se" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xae25a63f, "nfc_llc_stop" },
	{ 0xb5a14d9c, "nfc_hci_connect_gate" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x59040c24, "nfc_tm_data_received" },
	{ 0x062bfebd, "nfc_remove_se" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xca8bf4e2, "nfc_hci_unregister_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdd231c55, "nfc_hci_sak_to_protocol" },
	{ 0xc56819a8, "__alloc_skb" },
	{ 0xcc6cb989, "nfc_llc_start" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x664cef8e, "module_layout" },
};

MODULE_INFO(depends, "hci,nfc");


MODULE_INFO(srcversion, "FF6C2FC9C2E32634C60D02F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
