#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pcmcia_register_driver, "", "");
KSYMTAB_FUNC(pcmcia_unregister_driver, "", "");
KSYMTAB_FUNC(pcmcia_dev_present, "", "");
KSYMTAB_FUNC(pcmcia_read_config_byte, "", "");
KSYMTAB_FUNC(pcmcia_write_config_byte, "", "");
KSYMTAB_FUNC(pcmcia_map_mem_page, "", "");
KSYMTAB_FUNC(pcmcia_fixup_iowidth, "", "");
KSYMTAB_FUNC(pcmcia_fixup_vpp, "", "");
KSYMTAB_FUNC(pcmcia_release_window, "", "");
KSYMTAB_FUNC(pcmcia_enable_device, "", "");
KSYMTAB_FUNC(pcmcia_request_io, "", "");
KSYMTAB_FUNC(pcmcia_request_irq, "", "");
KSYMTAB_FUNC(pcmcia_request_window, "", "");
KSYMTAB_FUNC(pcmcia_disable_device, "", "");
KSYMTAB_FUNC(pcmcia_parse_tuple, "", "");
KSYMTAB_FUNC(pcmcia_loop_config, "", "");
KSYMTAB_FUNC(pcmcia_loop_tuple, "", "");
KSYMTAB_FUNC(pcmcia_get_tuple, "", "");
KSYMTAB_FUNC(pcmcia_get_mac_from_cis, "", "");

SYMBOL_CRC(pcmcia_register_driver, 0x7114866b, "");
SYMBOL_CRC(pcmcia_unregister_driver, 0x2ed8cd87, "");
SYMBOL_CRC(pcmcia_dev_present, 0x74893152, "");
SYMBOL_CRC(pcmcia_read_config_byte, 0x74f78b71, "");
SYMBOL_CRC(pcmcia_write_config_byte, 0x8e8fc7b1, "");
SYMBOL_CRC(pcmcia_map_mem_page, 0x36ce8347, "");
SYMBOL_CRC(pcmcia_fixup_iowidth, 0x2d85bb47, "");
SYMBOL_CRC(pcmcia_fixup_vpp, 0x29838e37, "");
SYMBOL_CRC(pcmcia_release_window, 0x8cb2d5c8, "");
SYMBOL_CRC(pcmcia_enable_device, 0x2234d2e6, "");
SYMBOL_CRC(pcmcia_request_io, 0x7e40b6ee, "");
SYMBOL_CRC(pcmcia_request_irq, 0xd81c2093, "");
SYMBOL_CRC(pcmcia_request_window, 0xfd6f42fd, "");
SYMBOL_CRC(pcmcia_disable_device, 0x8dd92a75, "");
SYMBOL_CRC(pcmcia_parse_tuple, 0xbb312663, "");
SYMBOL_CRC(pcmcia_loop_config, 0xa30dc9b9, "");
SYMBOL_CRC(pcmcia_loop_tuple, 0xdb735fd0, "");
SYMBOL_CRC(pcmcia_get_tuple, 0xdc750c06, "");
SYMBOL_CRC(pcmcia_get_mac_from_cis, 0xd682017e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x0c029807, "driver_unregister" },
	{ 0xcc236b8e, "class_interface_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xeba4b12b, "class_interface_register" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x212b4dcf, "device_register" },
	{ 0xd6797a2e, "pcmcia_parse_uevents" },
	{ 0xfb578fc5, "memset" },
	{ 0xa4ad2125, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbe1bc11c, "bus_rescan_devices" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x5069b2a4, "_dev_notice" },
	{ 0x24a52bac, "crc32_le_arch" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xf5df2a2c, "pcmcia_socket_class" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6f27e88e, "__kmalloc_cache_noprof" },
	{ 0x5f069357, "pcmcia_put_socket" },
	{ 0xc5e74216, "release_resource" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0xa4e93e0a, "param_ops_int" },
	{ 0x115ea41f, "sysfs_remove_bin_file" },
	{ 0xc74ddf48, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3d52378f, "kmalloc_caches" },
	{ 0x1d8bfad5, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x53421b9c, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0x116c8ef6, "pcmcia_get_socket" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x72ba3aec, "dev_set_name" },
	{ 0xced18d67, "driver_remove_file" },
	{ 0x4bdde6cd, "driver_attach" },
	{ 0xf988f6a8, "device_unregister" },
	{ 0x5043402c, "request_firmware" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xbf1195f3, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x83d0ac20, "get_device" },
	{ 0x9deea4c7, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xeabd0f78, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x86590c78, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x8b65c846, "driver_create_file" },
	{ 0x90e2db89, "bus_for_each_dev" },
	{ 0x6ee50677, "_dev_info" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0x58892358, "pccard_register_pcmcia" },
	{ 0x1c3c1367, "module_put" },
	{ 0x77052adc, "bus_unregister" },
	{ 0x3e7b511d, "_dev_err" },
	{ 0x664cef8e, "module_layout" },
};

MODULE_INFO(depends, "pcmcia_core");


MODULE_INFO(srcversion, "8373FBEEA0D137F04E1D84C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
