#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ssam_get_controller, "_gpl", "");
KSYMTAB_FUNC(ssam_client_link, "_gpl", "");
KSYMTAB_FUNC(ssam_client_bind, "_gpl", "");
KSYMTAB_FUNC(ssh_packet_get, "_gpl", "");
KSYMTAB_FUNC(ssh_packet_put, "_gpl", "");
KSYMTAB_DATA(ssam_device_type, "_gpl", "");
KSYMTAB_FUNC(ssam_device_alloc, "_gpl", "");
KSYMTAB_FUNC(ssam_device_add, "_gpl", "");
KSYMTAB_FUNC(ssam_device_remove, "_gpl", "");
KSYMTAB_FUNC(ssam_device_id_match, "_gpl", "");
KSYMTAB_FUNC(ssam_device_get_match, "_gpl", "");
KSYMTAB_FUNC(ssam_device_get_match_data, "_gpl", "");
KSYMTAB_FUNC(__ssam_device_driver_register, "_gpl", "");
KSYMTAB_FUNC(ssam_device_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(__ssam_register_clients, "_gpl", "");
KSYMTAB_FUNC(ssam_remove_clients, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_device, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_get, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_put, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_statelock, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_stateunlock, "_gpl", "");
KSYMTAB_FUNC(ssam_request_write_data, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_alloc, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_free, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_init, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_submit, "_gpl", "");
KSYMTAB_FUNC(ssam_request_do_sync, "_gpl", "");
KSYMTAB_FUNC(ssam_request_do_sync_with_buffer, "_gpl", "");
KSYMTAB_FUNC(ssam_notifier_register, "_gpl", "");
KSYMTAB_FUNC(__ssam_notifier_unregister, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_event_enable, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_event_disable, "_gpl", "");

SYMBOL_CRC(ssam_get_controller, 0xa50f7391, "_gpl");
SYMBOL_CRC(ssam_client_link, 0xcc01bc36, "_gpl");
SYMBOL_CRC(ssam_client_bind, 0x5ceadcc6, "_gpl");
SYMBOL_CRC(ssh_packet_get, 0xc30053ea, "_gpl");
SYMBOL_CRC(ssh_packet_put, 0xbbd7af82, "_gpl");
SYMBOL_CRC(ssam_device_type, 0x4025f909, "_gpl");
SYMBOL_CRC(ssam_device_alloc, 0x35cbc554, "_gpl");
SYMBOL_CRC(ssam_device_add, 0xa492e1b1, "_gpl");
SYMBOL_CRC(ssam_device_remove, 0xb03cac17, "_gpl");
SYMBOL_CRC(ssam_device_id_match, 0xc2bd582d, "_gpl");
SYMBOL_CRC(ssam_device_get_match, 0x181faae4, "_gpl");
SYMBOL_CRC(ssam_device_get_match_data, 0xf79cac85, "_gpl");
SYMBOL_CRC(__ssam_device_driver_register, 0x68311e35, "_gpl");
SYMBOL_CRC(ssam_device_driver_unregister, 0x3172f274, "_gpl");
SYMBOL_CRC(__ssam_register_clients, 0x91447bee, "_gpl");
SYMBOL_CRC(ssam_remove_clients, 0xc368cc34, "_gpl");
SYMBOL_CRC(ssam_controller_device, 0x00b705fb, "_gpl");
SYMBOL_CRC(ssam_controller_get, 0x617adc42, "_gpl");
SYMBOL_CRC(ssam_controller_put, 0xcad7d989, "_gpl");
SYMBOL_CRC(ssam_controller_statelock, 0x4a6c75f5, "_gpl");
SYMBOL_CRC(ssam_controller_stateunlock, 0xb572bd88, "_gpl");
SYMBOL_CRC(ssam_request_write_data, 0xdf562f80, "_gpl");
SYMBOL_CRC(ssam_request_sync_alloc, 0x68290616, "_gpl");
SYMBOL_CRC(ssam_request_sync_free, 0x17509774, "_gpl");
SYMBOL_CRC(ssam_request_sync_init, 0x740e754e, "_gpl");
SYMBOL_CRC(ssam_request_sync_submit, 0x6a07526f, "_gpl");
SYMBOL_CRC(ssam_request_do_sync, 0x3435dd16, "_gpl");
SYMBOL_CRC(ssam_request_do_sync_with_buffer, 0x454e6a50, "_gpl");
SYMBOL_CRC(ssam_notifier_register, 0x70d2bc75, "_gpl");
SYMBOL_CRC(__ssam_notifier_unregister, 0x0b327fd2, "_gpl");
SYMBOL_CRC(ssam_controller_event_enable, 0xce7872c4, "_gpl");
SYMBOL_CRC(ssam_controller_event_disable, 0x1682acd4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xae09cef5, "wake_up_process" },
	{ 0xb0d3f1d1, "trace_event_buffer_commit" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x01000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x86590c78, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0x84686092, "device_for_each_child_reverse" },
	{ 0x6ee50677, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x5fcf4eff, "fwnode_get_name" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0xa8c3700a, "init_srcu_struct" },
	{ 0x4ef38a88, "perf_trace_run_bpf_submit" },
	{ 0x93ae3c91, "devm_acpi_dev_add_driver_gpios" },
	{ 0x77052adc, "bus_unregister" },
	{ 0xb7d14ec7, "down_write" },
	{ 0x3e7b511d, "_dev_err" },
	{ 0xeed7fd81, "up_write" },
	{ 0x97d0ddee, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x48abfc84, "__srcu_read_lock" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xc44f3a27, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0x150ff8f1, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x0c029807, "driver_unregister" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x8d764f08, "cleanup_srcu_struct" },
	{ 0xc20b9107, "sysfs_create_group" },
	{ 0xa0d89ef7, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x8d93bf96, "serdev_device_wait_until_sent" },
	{ 0x9b5cf714, "__serdev_device_driver_register" },
	{ 0x546eba3a, "bpf_trace_run1" },
	{ 0xa4ad2125, "_dev_warn" },
	{ 0x6b00ecaa, "acpi_dev_clear_dependencies" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x78ea5fb2, "kmem_cache_alloc_noprof" },
	{ 0x23f1774d, "fwnode_handle_get" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xccd737b0, "__kmem_cache_create_args" },
	{ 0xf73d1f7c, "serdev_device_write_buf" },
	{ 0x0eddd417, "down_read" },
	{ 0xd0a158d6, "kthread_create_on_node" },
	{ 0x39ffb055, "sysfs_remove_group" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x0dee6953, "cpu_number" },
	{ 0x741aa3d2, "__preempt_count" },
	{ 0x6723d6cd, "platform_device_register_full" },
	{ 0xb6126bbe, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe7c142c0, "serdev_device_close" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x6f27e88e, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6899fba5, "__srcu_read_unlock" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x5c2e657f, "dev_err_probe" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x09a34a2b, "crc_itu_t" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xb97e7348, "device_link_add" },
	{ 0x986e4f04, "fwnode_irq_get" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xbb53856b, "up_read" },
	{ 0xc74ddf48, "driver_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf0e861f9, "__dev_fwnode" },
	{ 0x3d52378f, "kmalloc_caches" },
	{ 0x1d8bfad5, "bus_register" },
	{ 0x8a15303a, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2e0a637d, "acpi_walk_resources" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3307ca4c, "gpiod_get" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x688aff42, "is_acpi_device_node" },
	{ 0xc459d5fa, "gpiod_put" },
	{ 0xaf9c2795, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x6026c9ec, "serdev_device_set_baudrate" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0x72ba3aec, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0xf36fe37d, "gpiod_count" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x065b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf4ceb6eb, "trace_raw_output_prep" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xf988f6a8, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x7a1451b3, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xe448634e, "trace_event_printf" },
	{ 0xb05a45bf, "this_cpu_off" },
	{ 0xea312c8c, "serdev_acpi_get_uart_resource" },
	{ 0x90489674, "device_initialize" },
	{ 0x70980dfb, "serdev_device_set_flow_control" },
	{ 0x34104611, "trace_event_raw_init" },
	{ 0xa186c92e, "gpiod_to_irq" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x40f6b5d9, "serdev_device_open" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x046074bb, "fwnode_get_next_child_node" },
	{ 0xdb6a8b31, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xbf1df7fe, "synchronize_srcu" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x9deea4c7, "__dynamic_dev_dbg" },
	{ 0xfdf2f860, "serdev_device_set_parity" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x664cef8e, "module_layout" },
};

MODULE_INFO(depends, "crc-itu-t");

MODULE_ALIAS("acpi*:MSHW0084:*");

MODULE_INFO(srcversion, "8F52398202C36736FCD8942");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
