#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(asus_wmi_evaluate_method, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_register_driver, "_gpl", "");
KSYMTAB_FUNC(asus_wmi_unregister_driver, "_gpl", "");

SYMBOL_CRC(asus_wmi_evaluate_method, 0x57c46ceb, "_gpl");
SYMBOL_CRC(asus_wmi_register_driver, 0x287455f0, "_gpl");
SYMBOL_CRC(asus_wmi_unregister_driver, 0x7d5d01a7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x04af561d, "sysfs_notify" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xcd3e4971, "platform_profile_notify" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x99d7fa3a, "device_remove_file" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x7edd34a9, "device_create_file" },
	{ 0x433f3d73, "single_open" },
	{ 0x156c32a8, "seq_printf" },
	{ 0xf5e864ad, "led_classdev_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x932d62b1, "platform_device_unregister" },
	{ 0xdefdf727, "platform_driver_unregister" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3e7b511d, "_dev_err" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0xc37fbd95, "led_classdev_notify_brightness_hw_changed" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xddbeeecc, "pci_lock_rescan_remove" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0x266fc964, "pci_find_bus" },
	{ 0x1952a0f3, "pci_bus_read_config_dword" },
	{ 0x9a2230f7, "pci_get_slot" },
	{ 0x87a826fc, "pci_dev_put" },
	{ 0x5790e7a0, "pci_unlock_rescan_remove" },
	{ 0x075d8500, "pci_stop_and_remove_bus_device" },
	{ 0x9fce243d, "pci_scan_single_device" },
	{ 0xcba02458, "pci_bus_assign_resources" },
	{ 0xa0e25554, "pci_bus_add_device" },
	{ 0x083eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0xfbb12f78, "pci_hp_deregister" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0x2ec83f4f, "i8042_remove_filter" },
	{ 0x76ae31fd, "wmi_remove_notify_handler" },
	{ 0xa1af6f3c, "backlight_device_unregister" },
	{ 0x0411e114, "input_unregister_device" },
	{ 0x5dadf469, "debugfs_remove" },
	{ 0x39ffb055, "sysfs_remove_group" },
	{ 0x7f88636f, "battery_hook_unregister" },
	{ 0xb57d8ced, "input_event" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3b7235aa, "__acpi_video_get_backlight_type" },
	{ 0xc747c703, "sparse_keymap_report_event" },
	{ 0x647ee3cb, "backlight_force_update" },
	{ 0xe1083442, "platform_profile_cycle" },
	{ 0xa4ad2125, "_dev_warn" },
	{ 0xa072a5e8, "input_set_capability" },
	{ 0xdfb83f4d, "rfkill_alloc" },
	{ 0xaad6d92f, "rfkill_init_sw_state" },
	{ 0xff282521, "rfkill_register" },
	{ 0x9cab34a6, "rfkill_set_led_trigger_name" },
	{ 0xc9d4d6d1, "wmi_has_guid" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x3d52378f, "kmalloc_caches" },
	{ 0x6f27e88e, "__kmalloc_cache_noprof" },
	{ 0x065b4695, "wmi_get_acpi_device_uid" },
	{ 0x6ee50677, "_dev_info" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xc20b9107, "sysfs_create_group" },
	{ 0x814f6618, "input_allocate_device" },
	{ 0x8b311b44, "sparse_keymap_setup" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x67c9a2c5, "devm_platform_profile_register" },
	{ 0x36664a5d, "input_register_device" },
	{ 0x1d4d2398, "input_free_device" },
	{ 0x0acbec12, "devm_hwmon_device_register_with_groups" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5464633a, "led_classdev_register_ext" },
	{ 0xc24113bf, "backlight_device_register" },
	{ 0x33c30ffe, "wmi_install_notify_handler" },
	{ 0x9e671dc8, "i8042_install_filter" },
	{ 0x82a386f2, "debugfs_create_dir" },
	{ 0x31694df9, "debugfs_create_x32" },
	{ 0x59714de0, "debugfs_create_file_full" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xef89dc3d, "__pci_hp_register" },
	{ 0x1bd01753, "pci_get_device" },
	{ 0x0b93b64e, "pci_read_config_dword" },
	{ 0xa1708f73, "pci_write_config_dword" },
	{ 0x3b081bbd, "battery_hook_register" },
	{ 0x99558bdd, "seq_lseek" },
	{ 0xb078c97c, "seq_read" },
	{ 0x60e79943, "single_release" },
	{ 0xe623084a, "device_show_string" },
	{ 0x8aced589, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6068bedf, "wmi_evaluate_method" },
	{ 0x037a0cba, "kfree" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x73753893, "__platform_create_bundle" },
	{ 0x92997ed8, "_printk" },
	{ 0x664cef8e, "module_layout" },
};

MODULE_INFO(depends, "platform_profile,rfkill,wmi,battery,video,sparse-keymap");


MODULE_INFO(srcversion, "F9655A4E2B2D3FD45DDAC40");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
