#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(jbd2__journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_start, "", "");
KSYMTAB_FUNC(jbd2_journal_free_reserved, "", "");
KSYMTAB_FUNC(jbd2_journal_start_reserved, "", "");
KSYMTAB_FUNC(jbd2__journal_restart, "", "");
KSYMTAB_FUNC(jbd2_journal_restart, "", "");
KSYMTAB_FUNC(jbd2_submit_inode_data, "", "");
KSYMTAB_FUNC(jbd2_wait_inode_data, "", "");
KSYMTAB_FUNC(jbd2_journal_extend, "", "");
KSYMTAB_FUNC(jbd2_journal_stop, "", "");
KSYMTAB_FUNC(jbd2_journal_lock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_unlock_updates, "", "");
KSYMTAB_FUNC(jbd2_journal_get_write_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_create_access, "", "");
KSYMTAB_FUNC(jbd2_journal_get_undo_access, "", "");
KSYMTAB_FUNC(jbd2_journal_set_triggers, "", "");
KSYMTAB_FUNC(jbd2_journal_dirty_metadata, "", "");
KSYMTAB_FUNC(jbd2_journal_forget, "", "");
KSYMTAB_FUNC(jbd2_journal_flush, "", "");
KSYMTAB_FUNC(jbd2_journal_revoke, "", "");
KSYMTAB_FUNC(jbd2_journal_init_dev, "", "");
KSYMTAB_FUNC(jbd2_journal_init_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_check_used_features, "", "");
KSYMTAB_FUNC(jbd2_journal_check_available_features, "", "");
KSYMTAB_FUNC(jbd2_journal_set_features, "", "");
KSYMTAB_FUNC(jbd2_journal_load, "", "");
KSYMTAB_FUNC(jbd2_journal_destroy, "", "");
KSYMTAB_FUNC(jbd2_journal_abort, "", "");
KSYMTAB_FUNC(jbd2_journal_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_ack_err, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_err, "", "");
KSYMTAB_FUNC(jbd2_log_wait_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_start_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit_nested, "", "");
KSYMTAB_FUNC(jbd2_journal_wipe, "", "");
KSYMTAB_FUNC(jbd2_journal_blocks_per_page, "", "");
KSYMTAB_FUNC(jbd2_journal_invalidate_folio, "", "");
KSYMTAB_FUNC(jbd2_journal_try_to_free_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_force_commit, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_write, "", "");
KSYMTAB_FUNC(jbd2_journal_inode_ranged_wait, "", "");
KSYMTAB_FUNC(jbd2_journal_finish_inode_data_buffers, "", "");
KSYMTAB_FUNC(jbd2_journal_init_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_release_jbd_inode, "", "");
KSYMTAB_FUNC(jbd2_journal_begin_ordered_truncate, "", "");
KSYMTAB_DATA(jbd2_inode_cache, "", "");
KSYMTAB_FUNC(jbd2_trans_will_send_data_barrier, "", "");
KSYMTAB_FUNC(jbd2_fc_begin_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit, "", "");
KSYMTAB_FUNC(jbd2_fc_end_commit_fallback, "", "");
KSYMTAB_FUNC(jbd2_transaction_committed, "", "");
KSYMTAB_FUNC(jbd2_complete_transaction, "", "");
KSYMTAB_FUNC(jbd2_fc_get_buf, "", "");
KSYMTAB_FUNC(jbd2_fc_wait_bufs, "", "");
KSYMTAB_FUNC(jbd2_fc_release_bufs, "", "");
KSYMTAB_FUNC(jbd2_journal_update_sb_errno, "", "");
KSYMTAB_FUNC(jbd2_journal_clear_features, "", "");
KSYMTAB_FUNC(jbd2_journal_grab_journal_head, "", "");
KSYMTAB_FUNC(jbd2_journal_put_journal_head, "", "");

SYMBOL_CRC(jbd2__journal_start, 0x5f7a30a8, "");
SYMBOL_CRC(jbd2_journal_start, 0x7f75375f, "");
SYMBOL_CRC(jbd2_journal_free_reserved, 0xe950ec66, "");
SYMBOL_CRC(jbd2_journal_start_reserved, 0x1d5c6c27, "");
SYMBOL_CRC(jbd2__journal_restart, 0x02234d91, "");
SYMBOL_CRC(jbd2_journal_restart, 0xa25a7f27, "");
SYMBOL_CRC(jbd2_submit_inode_data, 0xbb482b73, "");
SYMBOL_CRC(jbd2_wait_inode_data, 0x48b0a906, "");
SYMBOL_CRC(jbd2_journal_extend, 0xf43e8614, "");
SYMBOL_CRC(jbd2_journal_stop, 0xc4372bd6, "");
SYMBOL_CRC(jbd2_journal_lock_updates, 0x46c74019, "");
SYMBOL_CRC(jbd2_journal_unlock_updates, 0xff09d698, "");
SYMBOL_CRC(jbd2_journal_get_write_access, 0x85e5409c, "");
SYMBOL_CRC(jbd2_journal_get_create_access, 0xc072c9d8, "");
SYMBOL_CRC(jbd2_journal_get_undo_access, 0x78c3c368, "");
SYMBOL_CRC(jbd2_journal_set_triggers, 0xf6c8b0ed, "");
SYMBOL_CRC(jbd2_journal_dirty_metadata, 0x17aff689, "");
SYMBOL_CRC(jbd2_journal_forget, 0xd161ab7b, "");
SYMBOL_CRC(jbd2_journal_flush, 0xa2d3aa63, "");
SYMBOL_CRC(jbd2_journal_revoke, 0xa4ce9af4, "");
SYMBOL_CRC(jbd2_journal_init_dev, 0x987eccd7, "");
SYMBOL_CRC(jbd2_journal_init_inode, 0xfa53c313, "");
SYMBOL_CRC(jbd2_journal_check_used_features, 0x6b2268d9, "");
SYMBOL_CRC(jbd2_journal_check_available_features, 0x2faf77c5, "");
SYMBOL_CRC(jbd2_journal_set_features, 0x74fa5dd2, "");
SYMBOL_CRC(jbd2_journal_load, 0x94751a7d, "");
SYMBOL_CRC(jbd2_journal_destroy, 0xc17a451c, "");
SYMBOL_CRC(jbd2_journal_abort, 0xc9c22b90, "");
SYMBOL_CRC(jbd2_journal_errno, 0xdf908705, "");
SYMBOL_CRC(jbd2_journal_ack_err, 0x832202a3, "");
SYMBOL_CRC(jbd2_journal_clear_err, 0x34d960e6, "");
SYMBOL_CRC(jbd2_log_wait_commit, 0x62d4726c, "");
SYMBOL_CRC(jbd2_journal_start_commit, 0x61ffa0a2, "");
SYMBOL_CRC(jbd2_journal_force_commit_nested, 0x9232d2cb, "");
SYMBOL_CRC(jbd2_journal_wipe, 0x40c3feb8, "");
SYMBOL_CRC(jbd2_journal_blocks_per_page, 0x7ce78e0d, "");
SYMBOL_CRC(jbd2_journal_invalidate_folio, 0x31d0a69b, "");
SYMBOL_CRC(jbd2_journal_try_to_free_buffers, 0x9327e499, "");
SYMBOL_CRC(jbd2_journal_force_commit, 0xfe09ae5c, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_write, 0x6b338e2c, "");
SYMBOL_CRC(jbd2_journal_inode_ranged_wait, 0xd332c2a7, "");
SYMBOL_CRC(jbd2_journal_finish_inode_data_buffers, 0xf7e96373, "");
SYMBOL_CRC(jbd2_journal_init_jbd_inode, 0xa07748e9, "");
SYMBOL_CRC(jbd2_journal_release_jbd_inode, 0x41455ff7, "");
SYMBOL_CRC(jbd2_journal_begin_ordered_truncate, 0xfa35fce8, "");
SYMBOL_CRC(jbd2_inode_cache, 0xacd81eb3, "");
SYMBOL_CRC(jbd2_trans_will_send_data_barrier, 0x3a35a415, "");
SYMBOL_CRC(jbd2_fc_begin_commit, 0x3fb22350, "");
SYMBOL_CRC(jbd2_fc_end_commit, 0x9789c841, "");
SYMBOL_CRC(jbd2_fc_end_commit_fallback, 0xd4f9d90d, "");
SYMBOL_CRC(jbd2_transaction_committed, 0x6e14af07, "");
SYMBOL_CRC(jbd2_complete_transaction, 0x4e0402ad, "");
SYMBOL_CRC(jbd2_fc_get_buf, 0xcdca670b, "");
SYMBOL_CRC(jbd2_fc_wait_bufs, 0x4b8ea163, "");
SYMBOL_CRC(jbd2_fc_release_bufs, 0x575e5157, "");
SYMBOL_CRC(jbd2_journal_update_sb_errno, 0xfd60a651, "");
SYMBOL_CRC(jbd2_journal_clear_features, 0x841affc6, "");
SYMBOL_CRC(jbd2_journal_grab_journal_head, 0x78e4733a, "");
SYMBOL_CRC(jbd2_journal_put_journal_head, 0xe2c63e48, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4cecc47a, "shrinker_free" },
	{ 0xb0d3f1d1, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x04482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x06b75263, "mutex_lock_io" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x01000e51, "schedule" },
	{ 0xb37a333d, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x29061d98, "preempt_model_lazy" },
	{ 0xcd5527c2, "try_to_free_buffers" },
	{ 0xc8882256, "sync_blockdev" },
	{ 0x15e31df7, "free_buffer_head" },
	{ 0x402eba5b, "shrinker_register" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x95d3aaf6, "blk_finish_plug" },
	{ 0x00571e42, "bdev_getblk" },
	{ 0x981bdb74, "__cond_resched_lock" },
	{ 0x1dde648b, "crc32_be_arch" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xcafa21b8, "bit_waitqueue" },
	{ 0xe400dc40, "bit_wait_io" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf52a0002, "__brelse" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x4ef38a88, "perf_trace_run_bpf_submit" },
	{ 0x05240ee7, "percpu_counter_batch" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xecd58b95, "__bh_read_batch" },
	{ 0xf9ef0b0a, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xff99d27f, "_raw_write_lock" },
	{ 0x78f7277c, "__wait_on_buffer" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xc44f3a27, "kmem_cache_free" },
	{ 0x3292674b, "const_current_task" },
	{ 0x629aae67, "__bh_read" },
	{ 0x150ff8f1, "trace_event_reg" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0xcbbc9f8f, "blkdev_issue_zeroout" },
	{ 0x9e5c54ab, "filemap_fdatawait_range_keep_errors" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x0ab5bcd0, "_raw_read_unlock" },
	{ 0xcc63469e, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xc12b17df, "freezing_slow_path" },
	{ 0x546eba3a, "bpf_trace_run1" },
	{ 0x3e8aaebe, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x489d3c5c, "__find_get_block_nonatomic" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x78ea5fb2, "kmem_cache_alloc_noprof" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xccd737b0, "__kmem_cache_create_args" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd0a158d6, "kthread_create_on_node" },
	{ 0xa309c4f0, "bpf_trace_run3" },
	{ 0xb078c97c, "seq_read" },
	{ 0xb30b2bda, "preempt_model_full" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x0dee6953, "cpu_number" },
	{ 0xecfcbcc9, "unlock_buffer" },
	{ 0x741aa3d2, "__preempt_count" },
	{ 0xb6126bbe, "trace_event_buffer_reserve" },
	{ 0x21bdb523, "errseq_check_and_advance" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x0e1ed9c9, "prepare_to_wait_exclusive" },
	{ 0x2f7e5465, "percpu_counter_add_batch" },
	{ 0xe875e218, "__rwlock_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0xa1f155d5, "__folio_put" },
	{ 0x463996b3, "remove_proc_entry" },
	{ 0x6f27e88e, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x156c32a8, "seq_printf" },
	{ 0x9e987029, "__lock_buffer" },
	{ 0xbcdd3814, "_raw_read_lock" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xbf55f3b4, "truncate_inode_pages_range" },
	{ 0x3525cf46, "blkdev_issue_flush" },
	{ 0xb3df2cb0, "crc32c_arch" },
	{ 0x8ad1099d, "folio_set_bh" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x4758126b, "end_buffer_write_sync" },
	{ 0xad353ae4, "seq_open" },
	{ 0xa540917f, "bmap" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x6a460dc5, "schedule_hrtimeout" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x1665038f, "__kvmalloc_node_noprof" },
	{ 0x7410aba2, "strreplace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3d52378f, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x8a15303a, "kmem_cache_destroy" },
	{ 0x62bc78e4, "blkdev_issue_discard" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x6ea2e3ae, "bh_uptodate_or_lock" },
	{ 0xa5743c43, "shrinker_alloc" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xba49c7df, "blk_start_plug" },
	{ 0x623baa06, "bpf_trace_run4" },
	{ 0xae7f3d38, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x36557698, "folio_unlock" },
	{ 0x34dce8d2, "param_ops_ushort" },
	{ 0x5857956b, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf4ceb6eb, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x5b8ee447, "bpf_trace_run6" },
	{ 0x03397881, "mark_buffer_dirty" },
	{ 0x7a1451b3, "__trace_trigger_soft_disabled" },
	{ 0x95b961c5, "filemap_fdatawrite_range" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xe448634e, "trace_event_printf" },
	{ 0x75880a93, "__bforget" },
	{ 0xb05a45bf, "this_cpu_off" },
	{ 0xd4fd6120, "write_dirty_buffer" },
	{ 0x695b39d8, "percpu_counter_destroy_many" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x34104611, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x54471d54, "iput" },
	{ 0x99558bdd, "seq_lseek" },
	{ 0xccd46f26, "blockdev_superblock" },
	{ 0x1fd552c1, "proc_create_data" },
	{ 0xdb6a8b31, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xd88bb483, "bpf_trace_run8" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xaf5e1d0a, "submit_bh" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb6e3ae45, "alloc_buffer_head" },
	{ 0xae09cef5, "wake_up_process" },
	{ 0x664cef8e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3D2E14D46EF69677210EADB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
