#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dccp_v4_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_req_err, "", "");
KSYMTAB_FUNC(dccp_v4_send_check, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_request_recv_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_syn_ack_timeout, "", "");
KSYMTAB_FUNC(dccp_v4_conn_request, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_do_rcv, "_gpl", "");
KSYMTAB_FUNC(dccp_invalid_packet, "_gpl", "");

SYMBOL_CRC(dccp_v4_connect, 0x1441bb78, "_gpl");
SYMBOL_CRC(dccp_req_err, 0x5ed474ee, "");
SYMBOL_CRC(dccp_v4_send_check, 0x32539d61, "_gpl");
SYMBOL_CRC(dccp_v4_request_recv_sock, 0x4eeb3e88, "_gpl");
SYMBOL_CRC(dccp_syn_ack_timeout, 0xb24da63a, "");
SYMBOL_CRC(dccp_v4_conn_request, 0x0c6df2ac, "_gpl");
SYMBOL_CRC(dccp_v4_do_rcv, 0x52af46c0, "_gpl");
SYMBOL_CRC(dccp_invalid_packet, 0x538c9341, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69110723, "inet_lookup_reuseport" },
	{ 0x1ad53cb5, "__inet_lookup_listener" },
	{ 0xbc972bbf, "inet_csk_accept" },
	{ 0x86be7924, "dccp_packet_name" },
	{ 0x588b20c8, "__skb_ext_del" },
	{ 0xae20adbc, "sock_common_getsockopt" },
	{ 0x661ed439, "inet_bind" },
	{ 0xb2e8905b, "__inet_inherit_port" },
	{ 0x721d8c06, "inet_dccp_listen" },
	{ 0xdc7a864e, "security_inet_conn_request" },
	{ 0x037a0cba, "kfree" },
	{ 0x4dffaf3e, "inet_register_protosw" },
	{ 0x044f0ad9, "get_random_u16" },
	{ 0xe9e15789, "__xfrm_policy_check" },
	{ 0x200fd5cf, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xccdc636e, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb7fabba2, "inet_csk_reqsk_queue_hash_add" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x90707176, "sk_error_report" },
	{ 0x6acd829f, "register_pernet_subsys" },
	{ 0x72a7dcea, "inet_ehash_nolisten" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xd11f6a94, "inet_getname" },
	{ 0xd3b6afd4, "inet_stream_connect" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xecf6bbe3, "proto_unregister" },
	{ 0x38feb23d, "inet_reqsk_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xfb95883b, "inet_ehashfn" },
	{ 0x18558bee, "inet_twsk_purge" },
	{ 0x93cbe411, "dccp_done" },
	{ 0x9108b440, "inet_release" },
	{ 0xd4b84f5c, "__sk_dst_check" },
	{ 0xc09762dc, "dccp_disconnect" },
	{ 0x736a68a8, "ip_route_output_key_hash" },
	{ 0x650240b1, "proto_register" },
	{ 0x63e77406, "inet_hash" },
	{ 0xe617584a, "__sk_receive_skb" },
	{ 0x12444712, "dccp_poll" },
	{ 0xadcf43d0, "inet_ctl_sock_create" },
	{ 0x5d03b2f7, "dccp_death_row" },
	{ 0x55225978, "inet_csk_get_port" },
	{ 0xdb2b47c1, "inet_ioctl" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc65e4e97, "secure_dccp_sequence_number" },
	{ 0xd4e53484, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0x33e1ef5e, "inet_accept" },
	{ 0x2fcbdb2e, "dccp_sync_mss" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa3697276, "ip6_mtu" },
	{ 0x7d5c05fe, "sk_skb_reason_drop" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0xf75a1ee4, "inet_add_protocol" },
	{ 0xdd53b365, "inet_shutdown" },
	{ 0x350aeddb, "sk_free" },
	{ 0x75cdebb4, "dccp_close" },
	{ 0x8423f0ac, "dccp_reqsk_init" },
	{ 0x14d33a88, "inet_hash_connect" },
	{ 0xc44f3a27, "kmem_cache_free" },
	{ 0x9225f661, "inet_csk_route_child_sock" },
	{ 0x65eba0ab, "inet_csk_route_req" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5e620ad1, "security_sk_classify_flow" },
	{ 0x3a184609, "inet_csk_update_pmtu" },
	{ 0x2905a599, "dccp_getsockopt" },
	{ 0x17ca790f, "dccp_parse_options" },
	{ 0x9e4c07d7, "unregister_pernet_subsys" },
	{ 0xe6677b18, "skb_checksum" },
	{ 0x59ff9135, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe6073ece, "sock_no_mmap" },
	{ 0xdf4b4309, "__pskb_pull_tail" },
	{ 0x3e892d8e, "dccp_child_process" },
	{ 0xd537c545, "sock_common_recvmsg" },
	{ 0x25f174db, "dccp_setsockopt" },
	{ 0x05edf8e1, "dccp_ioctl" },
	{ 0x741aa3d2, "__preempt_count" },
	{ 0x521bf402, "inet_sk_rebuild_header" },
	{ 0x683ee31f, "inet_del_protocol" },
	{ 0xc9430ad6, "ipv4_mtu" },
	{ 0x6264e1ea, "dccp_recvmsg" },
	{ 0x0f16552e, "inet_sendmsg" },
	{ 0x4d63db3a, "dccp_check_req" },
	{ 0x7ba7bb0a, "dccp_create_openreq_child" },
	{ 0xd1dcf199, "inet_csk_prepare_forced_close" },
	{ 0x82b2f568, "security_skb_classify_flow" },
	{ 0x6f50a8ff, "sock_pfree" },
	{ 0x6734f9d3, "dccp_rcv_established" },
	{ 0x9773bc45, "dccp_send_sync" },
	{ 0x6083b5a0, "dst_release" },
	{ 0xf12cddbf, "sock_release" },
	{ 0xa09646ec, "dccp_make_response" },
	{ 0x82e53667, "dccp_destroy_sock" },
	{ 0x6e0f9c4d, "dccp_ctl_make_reset" },
	{ 0x7d2c186b, "sock_gettstamp" },
	{ 0x072f0e05, "sk_setup_caps" },
	{ 0xbf8c96b9, "ip_build_and_send_pkt" },
	{ 0xbe0305b3, "dccp_sendmsg" },
	{ 0x0db93930, "ip_setsockopt" },
	{ 0x3ac2c6cf, "dccp_hashinfo" },
	{ 0x8bece059, "inet_twsk_put" },
	{ 0x29714e47, "inet_unhash" },
	{ 0xb0017c09, "ip_getsockopt" },
	{ 0xaa85d243, "dccp_set_state" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x9a2dff54, "dccp_init_sock" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0xbddf59a1, "inet_csk_reqsk_queue_drop" },
	{ 0x2ff0870c, "__inet_lookup_established" },
	{ 0x69976028, "inet_bhash2_reset_saddr" },
	{ 0xc14d970e, "inet_unregister_protosw" },
	{ 0xf1fe1223, "ip_queue_xmit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x55e9c5e2, "dccp_shutdown" },
	{ 0xecf312eb, "inet_bhash2_update_saddr" },
	{ 0x90b932c6, "dccp_connect" },
	{ 0x45b34491, "dccp_rcv_state_process" },
	{ 0xcb3383ab, "dccp_reqsk_send_ack" },
	{ 0x664cef8e, "module_layout" },
};

MODULE_INFO(depends, "dccp");


MODULE_INFO(srcversion, "88B8E64BC17513270426416");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
