#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mpls_output_possible, "_gpl", "");
KSYMTAB_FUNC(mpls_dev_mtu, "_gpl", "");
KSYMTAB_FUNC(mpls_pkt_too_big, "_gpl", "");
KSYMTAB_FUNC(mpls_stats_inc_outucastpkts, "_gpl", "");
KSYMTAB_FUNC(nla_put_labels, "_gpl", "");
KSYMTAB_FUNC(nla_get_labels, "_gpl", "");

SYMBOL_CRC(mpls_output_possible, 0xb773338f, "_gpl");
SYMBOL_CRC(mpls_dev_mtu, 0xd73323bc, "_gpl");
SYMBOL_CRC(mpls_pkt_too_big, 0xff025531, "_gpl");
SYMBOL_CRC(mpls_stats_inc_outucastpkts, 0x909c43d3, "_gpl");
SYMBOL_CRC(nla_put_labels, 0x1c060362, "_gpl");
SYMBOL_CRC(nla_get_labels, 0xde3cca7e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x68b9a4e0, "rtnl_af_register" },
	{ 0xc56819a8, "__alloc_skb" },
	{ 0x33de17a0, "rtnl_set_sk_err" },
	{ 0x3e5040c6, "rtnl_unicast" },
	{ 0x208b5d21, "nla_reserve_64bit" },
	{ 0x2b0c19da, "ip_valid_fib_dump_req" },
	{ 0x5f96d649, "__dev_get_by_index" },
	{ 0x5f34cfcd, "ipv6_stub" },
	{ 0xbb3cd523, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xf737dd47, "nla_reserve_nohdr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6b731efc, "rtnl_af_unregister" },
	{ 0x7d5c05fe, "sk_skb_reason_drop" },
	{ 0xf19b6873, "dev_remove_pack" },
	{ 0x1b71fc79, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x46434396, "skb_push" },
	{ 0xf936b5b5, "nla_put" },
	{ 0xe048059c, "__rtnl_register_many" },
	{ 0xcd279169, "nla_find" },
	{ 0xf3ba7bb2, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x7faf3fc7, "ip_tunnel_encap_del_ops" },
	{ 0x9e4c07d7, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xdf4b4309, "__pskb_pull_tail" },
	{ 0xd9fc537f, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0x9a6e7b63, "xa_find" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6f27e88e, "__kmalloc_cache_noprof" },
	{ 0x972cae01, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x90cce94a, "skb_clone" },
	{ 0x6083b5a0, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x275f9364, "proc_dointvec" },
	{ 0x9c4672d9, "unregister_net_sysctl_table" },
	{ 0x4cc1c913, "dev_get_flags" },
	{ 0x65c78505, "__rtnl_unregister_many" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1665038f, "__kvmalloc_node_noprof" },
	{ 0x3d52378f, "kmalloc_caches" },
	{ 0xf03ef1fc, "proc_dointvec_minmax" },
	{ 0xf2879d05, "netlink_strict_get_check" },
	{ 0x2129a1b4, "ip_tunnel_encap_add_ops" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x89ae9c8f, "__nlmsg_put" },
	{ 0x81bebccb, "skb_gso_validate_network_len" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x69989fc1, "consume_skb" },
	{ 0xc669a2f2, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7b6e1b84, "nla_reserve" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0x6735ec5a, "neigh_xmit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xccdc636e, "ip_route_output_flow" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbc24771b, "pskb_expand_head" },
	{ 0x6acd829f, "register_pernet_subsys" },
	{ 0x190be884, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x664cef8e, "module_layout" },
};

MODULE_INFO(depends, "ip_tunnel");


MODULE_INFO(srcversion, "8DBF9DCEB59700C37F54646");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
