#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0x195ae104, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0xe4b01098, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0x5a962c7b, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3a9fe2ad, "__pskb_copy_fclone" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x90707176, "sk_error_report" },
	{ 0x0326f2d7, "skb_queue_purge_reason" },
	{ 0x1b5fecd0, "radix_tree_iter_delete" },
	{ 0xb0d3f1d1, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xecf6bbe3, "proto_unregister" },
	{ 0x3c3e66af, "sock_register" },
	{ 0xcf407251, "datagram_poll" },
	{ 0xb37a333d, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xc56819a8, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x650240b1, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1c3c1367, "module_put" },
	{ 0x149909c6, "__xa_alloc" },
	{ 0x206438c5, "sock_no_shutdown" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x4ef38a88, "perf_trace_run_bpf_submit" },
	{ 0xc7f51b1e, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c8b089a, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7d5c05fe, "sk_skb_reason_drop" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0xd1d6b3d2, "__SCK__tp_func_sk_data_ready" },
	{ 0x6f6ed7c5, "kernel_getsockname" },
	{ 0x64427686, "do_wait_intr_irq" },
	{ 0x350aeddb, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x54253379, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x46434396, "skb_push" },
	{ 0x4668488f, "sock_no_listen" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x3292674b, "const_current_task" },
	{ 0x150ff8f1, "trace_event_reg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x201045b7, "lock_sock_nested" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xf5034af5, "skb_copy_datagram_iter" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x0fa8d372, "sk_alloc" },
	{ 0x59ff9135, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe6073ece, "sock_no_mmap" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x57f8d637, "__netdev_alloc_skb" },
	{ 0xb815fad1, "__xa_insert" },
	{ 0x85aea03b, "xa_erase" },
	{ 0xa309c4f0, "bpf_trace_run3" },
	{ 0x0dee6953, "cpu_number" },
	{ 0x741aa3d2, "__preempt_count" },
	{ 0xf2308059, "skb_set_owner_w" },
	{ 0xb6126bbe, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x998a14f7, "sock_create_kern" },
	{ 0x9a6e7b63, "xa_find" },
	{ 0x90dfe0d0, "skb_recv_datagram" },
	{ 0x97f2db57, "sock_alloc_send_pskb" },
	{ 0x6f27e88e, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0xa8857036, "xa_store" },
	{ 0x588e0059, "_copy_from_iter" },
	{ 0xf12cddbf, "sock_release" },
	{ 0x7d2c186b, "sock_gettstamp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x9fa17f05, "xa_find_after" },
	{ 0x754d539c, "strlen" },
	{ 0x780ed7df, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x7345dcb0, "kernel_sendmsg" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xaee2d5e0, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x87809aeb, "put_user_ifreq" },
	{ 0x3d52378f, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xfe410e6a, "release_sock" },
	{ 0x9ff2149e, "skb_free_datagram" },
	{ 0x1667de12, "sock_queue_rcv_skb_reason" },
	{ 0x7ea5a089, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x623baa06, "bpf_trace_run4" },
	{ 0x0f47b72b, "skb_copy_bits" },
	{ 0x04acb51b, "radix_tree_insert" },
	{ 0x415d60e9, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x69989fc1, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf4ceb6eb, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x80816f26, "get_user_ifreq" },
	{ 0x7a1451b3, "__trace_trigger_soft_disabled" },
	{ 0x5fc9d3f0, "radix_tree_lookup" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0xe448634e, "trace_event_printf" },
	{ 0xb05a45bf, "this_cpu_off" },
	{ 0x2c227a3d, "kernel_bind" },
	{ 0x2d22f4a6, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x34104611, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0xe8d395ac, "__tracepoint_sk_data_ready" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x7c30db4f, "__module_get" },
	{ 0xf611d39a, "kernel_recvmsg" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x664cef8e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "473C5AB47E04ECEA0106681");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
