#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l45_probe, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_FUNC(cs35l45_remove, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_pm_ops, "_gpl", "");
KSYMTAB_FUNC(cs35l45_apply_patch, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_i2c_regmap, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_spi_regmap, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_FUNC(cs35l45_get_clk_freq_id, "_gpl", "SND_SOC_CS35L45");

SYMBOL_CRC(cs35l45_probe, 0x746e137d, "_gpl");
SYMBOL_CRC(cs35l45_remove, 0xc70003c6, "_gpl");
SYMBOL_CRC(cs35l45_pm_ops, 0x021af5e1, "_gpl");
SYMBOL_CRC(cs35l45_apply_patch, 0xff96d945, "_gpl");
SYMBOL_CRC(cs35l45_i2c_regmap, 0xbf2d4505, "_gpl");
SYMBOL_CRC(cs35l45_spi_regmap, 0xfc158449, "_gpl");
SYMBOL_CRC(cs35l45_get_clk_freq_id, 0xb3b217a7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x682a4785, "device_property_read_u32_array" },
	{ 0xb66d273e, "devm_regulator_get" },
	{ 0x4b6517be, "snd_soc_component_disable_pin_unlocked" },
	{ 0x6ee50677, "_dev_info" },
	{ 0x904eaeff, "snd_soc_info_volsw" },
	{ 0x3e7b511d, "_dev_err" },
	{ 0xf916dc17, "wm_adsp_event" },
	{ 0x7f12a3f6, "snd_soc_dapm_put_volsw" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x63c85023, "snd_ctl_notify" },
	{ 0x18a76a89, "wm_adsp_fw_enum" },
	{ 0xa4ad2125, "_dev_warn" },
	{ 0xd3ac2e05, "wm_adsp2_component_probe" },
	{ 0x9c0de670, "wm_adsp2_preloader_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x21733111, "wm_adsp2_preloader_get" },
	{ 0x69089845, "snd_soc_info_enum_double" },
	{ 0x08411655, "wm_adsp2_component_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x78dd3946, "devm_regmap_add_irq_chip" },
	{ 0x14eb0af8, "snd_soc_get_volsw" },
	{ 0xb56b33ac, "regmap_read" },
	{ 0xb1e71918, "snd_soc_put_volsw" },
	{ 0x433bc208, "wm_adsp_fw_get" },
	{ 0xdef5fe0c, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x441a04bf, "snd_soc_component_enable_pin_unlocked" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd47d03d1, "regmap_bulk_read" },
	{ 0x3866f18b, "regmap_update_bits_base" },
	{ 0xafaba50a, "regulator_disable" },
	{ 0x5c2e657f, "dev_err_probe" },
	{ 0xccbfc6f0, "regmap_multi_reg_write" },
	{ 0x02821b69, "snd_soc_dapm_get_volsw" },
	{ 0xfd21e72d, "__pm_runtime_suspend" },
	{ 0x2d715bb6, "regmap_register_patch" },
	{ 0x07e57dcc, "snd_soc_dapm_get_enum_double" },
	{ 0x28627143, "__pm_runtime_use_autosuspend" },
	{ 0x4300a658, "wm_halo_init" },
	{ 0xda66a9a9, "wm_adsp_early_event" },
	{ 0x314ab699, "__pm_runtime_disable" },
	{ 0x6c456e7b, "snd_soc_tdm_params_to_bclk" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x2a0b8028, "snd_soc_dapm_put_enum_double" },
	{ 0xfe451569, "wm_adsp_fw_put" },
	{ 0x0a8a6f63, "regulator_enable" },
	{ 0x2abe8833, "regcache_cache_only" },
	{ 0x3c529517, "regcache_sync" },
	{ 0xca2f2d42, "regmap_write" },
	{ 0x059bf314, "devm_request_threaded_irq" },
	{ 0x55784228, "regmap_irq_get_virq" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x0e284aa5, "snd_soc_component_get_kcontrol" },
	{ 0x9670afab, "pm_runtime_set_autosuspend_delay" },
	{ 0xd19b78bd, "gpiod_set_value_cansleep" },
	{ 0x8524f13d, "wm_adsp2_remove" },
	{ 0x189d6374, "snd_soc_dapm_sync_unlocked" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xb823ee53, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x65a85e05, "devm_gpiod_get_optional" },
	{ 0x9deea4c7, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd88d16e5, "__pm_runtime_set_status" },
	{ 0xba2805ba, "devm_snd_soc_register_component" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x68c836b9, "pm_runtime_enable" },
	{ 0x664cef8e, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-wm-adsp,snd,snd-pcm");


MODULE_INFO(srcversion, "53BE2582FD8BF031369F854");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
