#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dfl_fpga_port_ops_get, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_put, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_add, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_del, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_check_port_id, "_gpl", "");
KSYMTAB_FUNC(__dfl_driver_register, "", "");
KSYMTAB_FUNC(dfl_driver_unregister, "", "");
KSYMTAB_FUNC(dfl_fpga_dev_feature_uinit, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_feature_init, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_ops_register, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(dfh_find_param, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_alloc, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_free, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_add_dfl, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_add_irq, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_feature_devs_enumerate, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_feature_devs_remove, "_gpl", "");
KSYMTAB_FUNC(__dfl_fpga_cdev_find_port_data, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_release_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_assign_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_config_ports_pf, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_config_ports_vf, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_set_irq_triggers, "_gpl", "");
KSYMTAB_FUNC(dfl_feature_ioctl_get_num_irqs, "_gpl", "");
KSYMTAB_FUNC(dfl_feature_ioctl_set_irq, "_gpl", "");

SYMBOL_CRC(dfl_fpga_port_ops_get, 0x8c3b0836, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_put, 0x43b2a36b, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_add, 0xf2670ab4, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_del, 0x9d78d7a0, "_gpl");
SYMBOL_CRC(dfl_fpga_check_port_id, 0x955aa972, "_gpl");
SYMBOL_CRC(__dfl_driver_register, 0xa76738ec, "");
SYMBOL_CRC(dfl_driver_unregister, 0x43d77323, "");
SYMBOL_CRC(dfl_fpga_dev_feature_uinit, 0x037f6d94, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_feature_init, 0x304237fd, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_register, 0x9b4a622d, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_unregister, 0x556df986, "_gpl");
SYMBOL_CRC(dfh_find_param, 0xd69c9d0a, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_alloc, 0xde40df8e, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_free, 0x9ae92fb8, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_dfl, 0x364a8447, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_irq, 0x8648ca63, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_enumerate, 0xfd2a7710, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_remove, 0x6c198c42, "_gpl");
SYMBOL_CRC(__dfl_fpga_cdev_find_port_data, 0xdb161b92, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_release_port, 0xf19ed864, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_assign_port, 0xb55bba69, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_pf, 0xfe190d4b, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_vf, 0xa401c531, "_gpl");
SYMBOL_CRC(dfl_fpga_set_irq_triggers, 0x45a49689, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_get_num_irqs, 0x7831d740, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_set_irq, 0xfd1c61ba, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x53421b9c, "try_module_get" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x1c3c1367, "module_put" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc74ddf48, "driver_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x0c029807, "driver_unregister" },
	{ 0xc5e74216, "release_resource" },
	{ 0x037a0cba, "kfree" },
	{ 0x6573f300, "ida_free" },
	{ 0xa2c3a90a, "cdev_init" },
	{ 0xa5bbae97, "cdev_add" },
	{ 0x0763e9e7, "cdev_del" },
	{ 0x83d0ac20, "get_device" },
	{ 0x12520845, "devm_kmalloc" },
	{ 0x86590c78, "put_device" },
	{ 0x05e4773a, "devm_kmemdup" },
	{ 0x77358855, "iomem_resource" },
	{ 0x90f80a9b, "__devm_request_region" },
	{ 0x07a1f98d, "devm_ioremap" },
	{ 0x3e7b511d, "_dev_err" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x304e40d9, "platform_device_alloc" },
	{ 0xe8fbeeb3, "platform_device_add_resources" },
	{ 0xeb4452c1, "platform_device_put" },
	{ 0xd7407390, "platform_device_add_data" },
	{ 0x8f554c10, "platform_device_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c463d1a, "device_for_each_child" },
	{ 0x64e5ce17, "fpga_region_unregister" },
	{ 0xe1ecdf09, "devm_kfree" },
	{ 0x0c10e997, "eventfd_signal_mask" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0x1d8bfad5, "bus_register" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x77052adc, "bus_unregister" },
	{ 0x932d62b1, "platform_device_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xf988f6a8, "device_unregister" },
	{ 0x74bcc72b, "devm_platform_ioremap_resource" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x3d52378f, "kmalloc_caches" },
	{ 0x6f27e88e, "__kmalloc_cache_noprof" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x90489674, "device_initialize" },
	{ 0x72ba3aec, "dev_set_name" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x97d0ddee, "device_add" },
	{ 0x9deea4c7, "__dynamic_dev_dbg" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0xbe992469, "__devm_add_action" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x4ee3f88e, "devm_ioremap_resource" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xa4ad2125, "_dev_warn" },
	{ 0x6ee50677, "_dev_info" },
	{ 0x7a3e0ecc, "__fpga_region_register" },
	{ 0xd18bc620, "devm_iounmap" },
	{ 0x695097f9, "__devm_release_region" },
	{ 0x664cef8e, "module_layout" },
};

MODULE_INFO(depends, "fpga-region");


MODULE_INFO(srcversion, "7EDC459DDF26156EB7F52E3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
