#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0xfb50f407, "");
SYMBOL_CRC(drm_gem_vram_put, 0xb02616c3, "");
SYMBOL_CRC(drm_gem_vram_offset, 0x4e41fe42, "");
SYMBOL_CRC(drm_gem_vram_pin, 0xe748f68c, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x90370c65, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0x2d8709f1, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0xf09e71b2, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0x6cc37507, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0x22929bf2, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0x45ebad6a, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0x6f7fee15, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0xe07d3a40, "");
SYMBOL_CRC(drmm_vram_helper_init, 0xc88afc2a, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0xa71e1cda, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x953229d5, "dma_resv_reset_max_fences" },
	{ 0x5cf04b1c, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x26c70fc4, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6f173fc8, "drm_gem_object_release" },
	{ 0x434831e3, "ttm_tt_init" },
	{ 0x6e7be2bb, "drm_gem_handle_create" },
	{ 0x6b025aea, "drm_gem_fb_get_obj" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9967ff38, "ttm_bo_unpin" },
	{ 0xc20834bc, "__drm_puts_seq_file" },
	{ 0x21548213, "drm_debugfs_add_files" },
	{ 0xcc3bb85b, "ttm_bo_init_validate" },
	{ 0x6f27e88e, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9484b989, "ttm_device_init" },
	{ 0xdc5558f6, "ttm_bo_validate" },
	{ 0x22da2e81, "ttm_bo_move_to_lru_tail" },
	{ 0xcea9c302, "ttm_bo_vmap" },
	{ 0xf153311d, "ttm_bo_put" },
	{ 0x6f4a0e11, "ttm_resource_free" },
	{ 0x6a9e7fe1, "ttm_bo_move_memcpy" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xbadbea3c, "ttm_tt_fini" },
	{ 0x575da495, "ttm_device_fini" },
	{ 0xc7fa134f, "drm_gem_plane_helper_prepare_fb" },
	{ 0xaf2716b8, "ttm_bo_eviction_valuable" },
	{ 0x3d52378f, "kmalloc_caches" },
	{ 0xfcc838b7, "drm_gem_ttm_print_info" },
	{ 0x5e7d3efb, "ttm_range_man_init_nocheck" },
	{ 0x572cb542, "ww_mutex_lock_interruptible" },
	{ 0xaa319aa1, "ttm_resource_manager_debug" },
	{ 0x894a5de6, "ww_mutex_unlock" },
	{ 0x037a0cba, "kfree" },
	{ 0x0a1b5080, "ttm_range_man_fini_nocheck" },
	{ 0x94c85abc, "drm_gem_object_init" },
	{ 0x50b67bbc, "__drm_printfn_seq_file" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x38aa0efc, "ttm_bo_pin" },
	{ 0x50eed58e, "dev_driver_string" },
	{ 0xbc4f1d53, "drm_gem_ttm_mmap" },
	{ 0x664cef8e, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm_ttm_helper");


MODULE_INFO(srcversion, "BE91EDF4E1BA70D0E0DCB4B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
