#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipack_bus_register, "_gpl", "");
KSYMTAB_FUNC(ipack_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(ipack_driver_register, "_gpl", "");
KSYMTAB_FUNC(ipack_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(ipack_device_init, "_gpl", "");
KSYMTAB_FUNC(ipack_device_add, "_gpl", "");
KSYMTAB_FUNC(ipack_device_del, "_gpl", "");
KSYMTAB_FUNC(ipack_get_device, "_gpl", "");
KSYMTAB_FUNC(ipack_put_device, "_gpl", "");

SYMBOL_CRC(ipack_bus_register, 0xde9dc7f1, "_gpl");
SYMBOL_CRC(ipack_bus_unregister, 0xd0ad9b4d, "_gpl");
SYMBOL_CRC(ipack_driver_register, 0x0eb87a3d, "_gpl");
SYMBOL_CRC(ipack_driver_unregister, 0x8deb510b, "_gpl");
SYMBOL_CRC(ipack_device_init, 0xc5794eae, "_gpl");
SYMBOL_CRC(ipack_device_add, 0x8b9c5702, "_gpl");
SYMBOL_CRC(ipack_device_del, 0x8f63fe22, "_gpl");
SYMBOL_CRC(ipack_get_device, 0xab6bee7d, "_gpl");
SYMBOL_CRC(ipack_put_device, 0xea9aa4a2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x90e2db89, "bus_for_each_dev" },
	{ 0x6573f300, "ida_free" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc74ddf48, "driver_register" },
	{ 0x0c029807, "driver_unregister" },
	{ 0x97d0ddee, "device_add" },
	{ 0x83d0ac20, "get_device" },
	{ 0x86590c78, "put_device" },
	{ 0x18500579, "device_del" },
	{ 0x77052adc, "bus_unregister" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x1d8bfad5, "bus_register" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x3d52378f, "kmalloc_caches" },
	{ 0x6f27e88e, "__kmalloc_cache_noprof" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x72ba3aec, "dev_set_name" },
	{ 0x90489674, "device_initialize" },
	{ 0xde80cd09, "ioremap" },
	{ 0x0b19b445, "ioread8" },
	{ 0xedc03953, "iounmap" },
	{ 0x3e7b511d, "_dev_err" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xa71d2e2c, "ioread16be" },
	{ 0xa4ad2125, "_dev_warn" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x037a0cba, "kfree" },
	{ 0x664cef8e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9CA833E1B0681ECBDB0529F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
