#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ivtv_ext_init, "", "");
KSYMTAB_FUNC(ivtv_set_irq_mask, "", "");
KSYMTAB_FUNC(ivtv_api, "", "");
KSYMTAB_FUNC(ivtv_vapi, "", "");
KSYMTAB_FUNC(ivtv_vapi_result, "", "");
KSYMTAB_FUNC(ivtv_clear_irq_mask, "", "");
KSYMTAB_DATA(ivtv_debug, "", "");
KSYMTAB_FUNC(ivtv_reset_ir_gpio, "", "");
KSYMTAB_FUNC(ivtv_udma_setup, "", "");
KSYMTAB_FUNC(ivtv_udma_unmap, "", "");
KSYMTAB_FUNC(ivtv_udma_alloc, "", "");
KSYMTAB_FUNC(ivtv_udma_prepare, "", "");
KSYMTAB_FUNC(ivtv_init_on_first_open, "", "");
KSYMTAB_FUNC(ivtv_firmware_check, "", "");
KSYMTAB_FUNC(ivtv_claim_stream, "", "");
KSYMTAB_FUNC(ivtv_release_stream, "", "");
KSYMTAB_FUNC(ivtv_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(ivtv_stop_v4l2_encode_stream, "", "");

SYMBOL_CRC(ivtv_ext_init, 0x12907f5a, "");
SYMBOL_CRC(ivtv_set_irq_mask, 0x28c21297, "");
SYMBOL_CRC(ivtv_api, 0xa0edd851, "");
SYMBOL_CRC(ivtv_vapi, 0xaea3c55f, "");
SYMBOL_CRC(ivtv_vapi_result, 0x3f4cedb0, "");
SYMBOL_CRC(ivtv_clear_irq_mask, 0x0759043d, "");
SYMBOL_CRC(ivtv_debug, 0x14f67530, "");
SYMBOL_CRC(ivtv_reset_ir_gpio, 0x8a8cc52e, "");
SYMBOL_CRC(ivtv_udma_setup, 0x6a656852, "");
SYMBOL_CRC(ivtv_udma_unmap, 0x5318b94f, "");
SYMBOL_CRC(ivtv_udma_alloc, 0xa1a9f365, "");
SYMBOL_CRC(ivtv_udma_prepare, 0xbce2b7fa, "");
SYMBOL_CRC(ivtv_init_on_first_open, 0xe4f7faee, "");
SYMBOL_CRC(ivtv_firmware_check, 0x7892ebfe, "");
SYMBOL_CRC(ivtv_claim_stream, 0x7266b375, "");
SYMBOL_CRC(ivtv_release_stream, 0xbf05df18, "");
SYMBOL_CRC(ivtv_start_v4l2_encode_stream, 0x16fd095d, "");
SYMBOL_CRC(ivtv_stop_v4l2_encode_stream, 0x5ea365dc, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x476b165a, "sized_strscpy" },
	{ 0x52a1291b, "__v4l2_ctrl_s_ctrl" },
	{ 0x7759e7bd, "__dma_sync_single_for_cpu" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0xcc0c9edd, "tveeprom_read" },
	{ 0x24d273d1, "add_timer" },
	{ 0xccfb787c, "v4l2_device_set_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x9cd674b8, "v4l2_fh_is_singular" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xd2f28b41, "pci_read_config_word" },
	{ 0x3292674b, "const_current_task" },
	{ 0xa1a7c594, "v4l2_ctrl_subscribe_event" },
	{ 0x18d9482e, "v4l2_fh_init" },
	{ 0x5570dd9f, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1a60d317, "__kthread_init_worker" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x67137279, "video_unregister_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xa0d89ef7, "kthread_stop" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xfbb09c55, "v4l2_event_subscribe" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xbce89408, "pci_set_master" },
	{ 0xd73cf9ed, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x4e0402b1, "__v4l2_device_register_subdev" },
	{ 0x3ebd0415, "v4l2_device_register" },
	{ 0x31e12629, "param_ops_string" },
	{ 0xf3f2abdc, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd0a158d6, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x52764a38, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6ae9053b, "__dma_sync_single_for_device" },
	{ 0x38b91045, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6f27e88e, "__kmalloc_cache_noprof" },
	{ 0x878d425a, "pin_user_pages_unlocked" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdc8ac99d, "v4l2_ctrl_new_std" },
	{ 0x165749f8, "v4l2_ctrl_g_ctrl" },
	{ 0x24dc1473, "cx2341x_handler_init" },
	{ 0xe9a71ca1, "cx2341x_handler_set_50hz" },
	{ 0x66471e30, "v4l2_ctrl_handler_free" },
	{ 0xdfbab08d, "v4l2_device_unregister" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0x8023875e, "dma_set_mask" },
	{ 0x90dbb699, "sched_set_fifo" },
	{ 0x0dbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xd86bdc8d, "v4l2_subdev_call_wrappers" },
	{ 0x3ee19e4c, "dma_unmap_sg_attrs" },
	{ 0x06d6fa1a, "v4l2_event_queue" },
	{ 0xdda9e33f, "v4l2_i2c_new_subdev" },
	{ 0x881a8bfe, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xa4e93e0a, "param_ops_int" },
	{ 0xff7808b3, "pcim_enable_device" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x3910616f, "video_device_release_empty" },
	{ 0x8db81cc5, "v4l2_ctrl_cluster" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xa1708f73, "pci_write_config_dword" },
	{ 0x109c10d1, "v4l2_event_unsubscribe" },
	{ 0x3d52378f, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6226c830, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x414831b6, "v4l2_fh_exit" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x76381bb0, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdccf5e7a, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa45cbaf4, "i2c_bit_add_bus" },
	{ 0x15282263, "v4l2_fh_del" },
	{ 0x6910bbcd, "v4l2_i2c_new_subdev_board" },
	{ 0x4c8676d7, "kthread_flush_worker" },
	{ 0xde8376be, "v4l2_fh_add" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xf0117f1e, "dma_unmap_page_attrs" },
	{ 0x5043402c, "request_firmware" },
	{ 0x04bf8bf4, "__pci_register_driver" },
	{ 0xdd0f64e9, "v4l2_ctrl_handler_init_class" },
	{ 0x07a1f98d, "devm_ioremap" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x9c9f2170, "unpin_user_pages" },
	{ 0x35d1e2ed, "param_array_ops" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x054496b4, "schedule_timeout_interruptible" },
	{ 0x0cb39ef5, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x91e970e1, "i2c_transfer_buffer_flags" },
	{ 0xdddb7db3, "v4l2_subdev_init" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x5887fa84, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xae09cef5, "wake_up_process" },
	{ 0x50eed58e, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xd7c0e481, "dma_map_page_attrs" },
	{ 0x90f80a9b, "__devm_request_region" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x95e553f8, "v4l2_ctrl_handler_log_status" },
	{ 0xbb9b994d, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x01000e51, "schedule" },
	{ 0xb37a333d, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd5143090, "video_devdata" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xe2031305, "i2c_new_scanned_device" },
	{ 0xfed5e765, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6805d97b, "kthread_queue_work" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7c2fb0bd, "__free_pages" },
	{ 0x597110aa, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x664cef8e, "module_layout" },
};

MODULE_INFO(depends, "videodev,tveeprom,cx2341x,i2c-algo-bit");

MODULE_ALIAS("pci:v00004444d00000803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004444d00000016sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "C46EAD538FA789474FF8DBE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
