#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5114536f, "usb_submit_urb" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x037a0cba, "kfree" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb37a333d, "__tracepoint_sched_set_state_tp" },
	{ 0x3292674b, "const_current_task" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0xa4ad2125, "_dev_warn" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa6e44380, "usb_find_interface" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xcfc9e18b, "usb_get_dev" },
	{ 0x46bf58a0, "usb_ifnum_to_if" },
	{ 0xc34c20f4, "usb_alloc_urb" },
	{ 0x148e26f3, "usb_put_dev" },
	{ 0x3e7b511d, "_dev_err" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x814f6618, "input_allocate_device" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0x66ea7a1b, "input_set_abs_params" },
	{ 0x36664a5d, "input_register_device" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x079ce950, "rc_allocate_device" },
	{ 0x5d942069, "rc_register_device" },
	{ 0xc20b9107, "sysfs_create_group" },
	{ 0x442aecb5, "usb_register_dev" },
	{ 0x0411e114, "input_unregister_device" },
	{ 0x418331d0, "rc_free_device" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x1d4d2398, "input_free_device" },
	{ 0x39ffb055, "sysfs_remove_group" },
	{ 0x25dcd8f5, "rc_unregister_device" },
	{ 0xa7f68044, "usb_deregister_dev" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xc48a07f4, "rc_g_keycode_from_table" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x688ebbcb, "rc_keyup" },
	{ 0x3dadfba5, "rc_keydown" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa4e93e0a, "param_ops_int" },
	{ 0x8aced589, "param_ops_bool" },
	{ 0xa6518450, "noop_llseek" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb49d1849, "usb_register_driver" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9deea4c7, "__dynamic_dev_dbg" },
	{ 0x92997ed8, "_printk" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb5a2c8d8, "usb_kill_urb" },
	{ 0x065b45cb, "complete" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6ee50677, "_dev_info" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x754d539c, "strlen" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x411b2178, "usb_free_urb" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1cbf1556, "usb_deregister" },
	{ 0xb57d8ced, "input_event" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x3d52378f, "kmalloc_caches" },
	{ 0x6f27e88e, "__kmalloc_cache_noprof" },
	{ 0x664cef8e, "module_layout" },
};

MODULE_INFO(depends, "usbcore,rc-core");

MODULE_ALIAS("usb:v15C2pFFDCd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0034d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0035d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0036d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0038d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p003Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0040d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0041d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0042d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0043d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0044d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0045d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15C2p0046d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "4AAE1ECE3641D1D7C0187AB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
