#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ice_xdp_locking_key, "", "");
KSYMTAB_FUNC(ice_add_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_del_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_request_reset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_update_vsi_filter, "_gpl", "");
KSYMTAB_FUNC(ice_get_qos_params, "_gpl", "");
KSYMTAB_FUNC(ice_alloc_rdma_qvector, "_gpl", "");
KSYMTAB_FUNC(ice_free_rdma_qvector, "_gpl", "");

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0xad3c1075, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0x8b8b9ab9, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0xfde68d6b, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0xe3c0352a, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0xc20135cc, "_gpl");
SYMBOL_CRC(ice_alloc_rdma_qvector, 0x0ad7cc01, "_gpl");
SYMBOL_CRC(ice_free_rdma_qvector, 0xb86fe8da, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x8c55a3a3, "devl_params_register" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8c9e54d3, "devlink_info_version_running_put_ext" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x371b8ef4, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x904c8585, "netif_set_xps_queue" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x49d1ee88, "__SCK__tp_func_xdp_exception" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x3f528133, "netif_tx_stop_all_queues" },
	{ 0x0104e37c, "pci_restore_state" },
	{ 0x546eba3a, "bpf_trace_run1" },
	{ 0x4a176b5f, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x18500579, "device_del" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xa1616c17, "dcb_getapp" },
	{ 0xe32fae9b, "dmam_free_coherent" },
	{ 0x71ee2630, "devl_param_driverinit_value_set" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0xa4ad2125, "_dev_warn" },
	{ 0x156afdaf, "flow_rule_match_ports" },
	{ 0xdb43827c, "gnss_allocate_device" },
	{ 0x58c014cd, "dpll_netdev_pin_set" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x0833a981, "ptp_clock_event" },
	{ 0x91782581, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0x66e940d1, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xbce89408, "pci_set_master" },
	{ 0xf7b6e42b, "dpll_device_unregister" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xe2f1a254, "flow_rule_match_ipv6_addrs" },
	{ 0x4314fe70, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xdc1643f1, "devl_params_unregister" },
	{ 0x73f7aeeb, "ptp_clock_unregister" },
	{ 0xdf4b4309, "__pskb_pull_tail" },
	{ 0x3b1fbce0, "xp_dma_unmap" },
	{ 0xb977389f, "dpll_pin_put" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xb917289f, "rhashtable_destroy" },
	{ 0xc34ca513, "kthread_create_worker_on_node" },
	{ 0x3c065a50, "switchdev_handle_port_obj_add" },
	{ 0xa0994320, "devlink_fmsg_obj_nest_start" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3363bfab, "devl_unlock" },
	{ 0x93bcf47f, "__netif_napi_del_locked" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x39935d4a, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x991b3f1d, "dma_set_coherent_mask" },
	{ 0xb815fad1, "__xa_insert" },
	{ 0x85aea03b, "xa_erase" },
	{ 0x8ad6ac33, "flow_rule_match_pppoe" },
	{ 0xd231a1fa, "pv_ops" },
	{ 0xd7972ed4, "flow_rule_match_enc_control" },
	{ 0xa309c4f0, "bpf_trace_run3" },
	{ 0xb078c97c, "seq_read" },
	{ 0xade8cc85, "__page_frag_cache_drain" },
	{ 0x167b0233, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x0dee6953, "cpu_number" },
	{ 0x741aa3d2, "__preempt_count" },
	{ 0x444aff6b, "gnss_deregister_device" },
	{ 0x0f492072, "rps_may_expire_flow" },
	{ 0xe6dc5804, "metadata_dst_free" },
	{ 0x4c16246f, "xsk_set_tx_need_wakeup" },
	{ 0x1acea971, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe20dabf2, "netdev_reset_tc" },
	{ 0x3f8624a5, "gro_receive_skb" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xa6ab9899, "rhashtable_init_noprof" },
	{ 0xb6126bbe, "trace_event_buffer_reserve" },
	{ 0xbe179e15, "page_pool_put_netmem_bulk" },
	{ 0x77e7c31a, "kthread_destroy_worker" },
	{ 0x3e0f7d00, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xba1e76ec, "flow_rule_match_enc_ports" },
	{ 0x2155ea81, "xdp_return_frame_bulk" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0x81f49200, "dpll_netdev_pin_clear" },
	{ 0x1e557bd2, "netif_queue_set_napi" },
	{ 0x6ae9053b, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x3c453e5f, "xa_destroy" },
	{ 0x8aae6845, "call_netdevice_notifiers" },
	{ 0x9a6e7b63, "xa_find" },
	{ 0x7d90e90c, "devl_assert_locked" },
	{ 0x476a3063, "pcie_print_link_status" },
	{ 0x6b360e78, "xp_set_rxq_info" },
	{ 0xc762d4f0, "flow_rule_match_vlan" },
	{ 0xc2ac3703, "devl_port_unregister" },
	{ 0xa7b65e6b, "xdp_rxq_info_unreg" },
	{ 0x6e68ed2f, "pci_dev_get" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x8bb29069, "devl_param_driverinit_value_get" },
	{ 0xe667db57, "napi_build_skb" },
	{ 0xd9ed0700, "netdev_master_upper_dev_get_rcu" },
	{ 0xd9cf3173, "__xdp_rxq_info_reg" },
	{ 0x6f27e88e, "__kmalloc_cache_noprof" },
	{ 0xdc36387e, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdeba1c5c, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x156c32a8, "seq_printf" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x600e5b64, "dpll_pin_register" },
	{ 0x6b936e51, "gnss_register_device" },
	{ 0xa8857036, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe3ac5104, "devlink_priv" },
	{ 0xc324d31b, "pci_enable_ptm" },
	{ 0xe0419ac4, "kstrtos16" },
	{ 0xfba0ac2f, "__hw_addr_sync_dev" },
	{ 0x803643c7, "pci_disable_sriov" },
	{ 0x8ddcc40f, "pldmfw_flash_image" },
	{ 0x5271e806, "kthread_queue_delayed_work" },
	{ 0xeab98f9a, "metadata_dst_alloc" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x6083b5a0, "dst_release" },
	{ 0xff577c44, "netif_carrier_on" },
	{ 0xcd3d7914, "netdev_set_num_tc" },
	{ 0x4dc2c70b, "dpll_device_register" },
	{ 0x0373b0d5, "dql_reset" },
	{ 0x59153bdf, "hwmon_device_unregister" },
	{ 0x59714de0, "debugfs_create_file_full" },
	{ 0x03b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x23f18a70, "ktime_get_snapshot" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x96ac99b2, "dev_uc_add_excl" },
	{ 0xef45223d, "boot_cpu_data" },
	{ 0xc569ecf2, "xp_free" },
	{ 0xca92031e, "dev_mc_add_excl" },
	{ 0xfb68d26e, "gnss_put_device" },
	{ 0x60e79943, "single_release" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0x8023875e, "dma_set_mask" },
	{ 0x10fb9075, "__auxiliary_driver_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf3c38f7e, "pack_fields_u8" },
	{ 0xef4bc8fc, "netif_set_tso_max_size" },
	{ 0x395c048a, "__skb_flow_dissect" },
	{ 0xaf6f1eef, "vlan_dev_vlan_id" },
	{ 0xf55b4673, "pci_msix_alloc_irq_at" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x1ee00c75, "libie_rx_pt_lut" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0xdfbcdb86, "skb_add_rx_frag_netmem" },
	{ 0x9fa17f05, "xa_find_after" },
	{ 0x811afe35, "pcim_iomap_table" },
	{ 0x29cda93a, "xdp_master_redirect" },
	{ 0xbe992469, "__devm_add_action" },
	{ 0x6c6b482d, "dpll_pin_on_pin_register" },
	{ 0x28614817, "napi_schedule_prep" },
	{ 0x7089e295, "napi_consume_skb" },
	{ 0x881a8bfe, "pci_read_config_byte" },
	{ 0x3dcc2833, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0x10eec306, "napi_disable" },
	{ 0xa2585338, "dev_kfree_skb_any_reason" },
	{ 0xcb72a431, "dcb_ieee_delapp" },
	{ 0x091eb9b4, "round_jiffies" },
	{ 0xa4e93e0a, "param_ops_int" },
	{ 0x9beab51d, "netif_enable_cpu_rmap" },
	{ 0x2166a529, "pcie_ptm_enabled" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x433f3d73, "single_open" },
	{ 0xff7808b3, "pcim_enable_device" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x086195c0, "devl_register" },
	{ 0x349cba85, "strchr" },
	{ 0x82a386f2, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xae4235b7, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xa740a243, "flow_rule_match_control" },
	{ 0xa6dac8d7, "flow_rule_match_ip" },
	{ 0x2f4e58f2, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc9e1860f, "dpll_device_get" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x1b3baf31, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x87c4812d, "netif_napi_set_irq_locked" },
	{ 0x312f1fa7, "ethtool_op_get_ts_info" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3d52378f, "kmalloc_caches" },
	{ 0xf09fd009, "krealloc_noprof" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x76e8e5ff, "netdev_info" },
	{ 0x5de0303f, "skb_dump" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xe0c4f685, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x27458ecb, "__tracepoint_xdp_exception" },
	{ 0xdc1b2344, "xsk_tx_completed" },
	{ 0xe18fa89d, "napi_alloc_skb" },
	{ 0xea06db90, "alloc_etherdev_mqs" },
	{ 0xb243cf4e, "netdev_lower_get_next" },
	{ 0x4fdc3624, "flow_block_cb_lookup" },
	{ 0x8eb5f8a3, "pci_save_state" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xee63d967, "devl_rate_leaf_create" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x2f612202, "device_set_wakeup_enable" },
	{ 0x7ea5a089, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x0a78226b, "devl_unregister" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x43314340, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x2d33a93e, "pci_find_ext_capability" },
	{ 0xbafba5f2, "bpf_prog_put" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1a18745b, "devl_region_create" },
	{ 0xf72805a8, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x0f47b72b, "skb_copy_bits" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x059bf314, "devm_request_threaded_irq" },
	{ 0x212a868d, "kthread_cancel_delayed_work_sync" },
	{ 0x0aad98a9, "dpll_device_change_ntf" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x12520845, "devm_kmalloc" },
	{ 0x99c1591b, "pci_wake_from_d3" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8887229f, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x02231705, "call_switchdev_notifiers" },
	{ 0x86871b40, "devlink_info_version_stored_put_ext" },
	{ 0xc3e4e01f, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x56894482, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x94dd5c40, "ethtool_forced_speed_maps_init" },
	{ 0xf895045b, "auxiliary_device_init" },
	{ 0x96747723, "pci_enable_device_mem" },
	{ 0x69989fc1, "consume_skb" },
	{ 0x0f86f560, "kthread_delayed_work_timer_fn" },
	{ 0xe0f62c6b, "flow_rule_match_enc_ip" },
	{ 0xb0e602eb, "memmove" },
	{ 0xbe2a953e, "pci_alloc_irq_vectors" },
	{ 0x9bbe5b5b, "flow_rule_match_l2tpv3" },
	{ 0xeef6cc32, "dpll_pin_change_ntf" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe8e41a13, "xsk_tx_peek_release_desc_batch" },
	{ 0x1cc8189f, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x203b8775, "dmam_alloc_attrs" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0xf4ceb6eb, "trace_raw_output_prep" },
	{ 0x944a3519, "devl_lock" },
	{ 0x87a826fc, "pci_dev_put" },
	{ 0xaee84a44, "xp_fill_cb" },
	{ 0x03bb3403, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xe3cf15ed, "ndo_dflt_bridge_getlink" },
	{ 0x6428ecd9, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x14788cd6, "dpll_device_put" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0xb06a6ffe, "dpll_pin_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x29409c2c, "xdp_features_set_redirect_target" },
	{ 0x7a1451b3, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x1bd01753, "pci_get_device" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0xf0117f1e, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x5043402c, "request_firmware" },
	{ 0xe448634e, "trace_event_printf" },
	{ 0x99a1bb19, "dev_uc_del" },
	{ 0xb05a45bf, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0xa9f55cb3, "flow_rule_match_cvlan" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x1057a279, "bsearch" },
	{ 0x04bf8bf4, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xe3dc62b9, "gnss_insert_raw" },
	{ 0x36145d3c, "pci_num_vf" },
	{ 0x7fc42ce2, "flow_rule_match_eth_addrs" },
	{ 0x839b8198, "get_device_system_crosststamp" },
	{ 0x938f1d4a, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xc49240fe, "ptp_clock_index" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x34104611, "trace_event_raw_init" },
	{ 0x6544ed8e, "devl_port_fn_devlink_set" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8be632c9, "xp_can_alloc" },
	{ 0x037a0cba, "kfree" },
	{ 0x05e5331c, "devlink_alloc_ns" },
	{ 0x27089232, "devl_rate_leaf_destroy" },
	{ 0xf8c3f39f, "devlink_fmsg_obj_nest_end" },
	{ 0x72c56220, "xdp_do_redirect" },
	{ 0xc965400b, "devlink_free" },
	{ 0xaf3a46a8, "eth_validate_addr" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82e00bad, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdb6a8b31, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3126a31, "devl_rate_node_create" },
	{ 0x7af3a966, "netdev_warn" },
	{ 0x530e0f8c, "devl_health_reporter_destroy" },
	{ 0x2bb84127, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x8a71e5d5, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc0436c18, "devl_rate_nodes_destroy" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xae5ffd37, "pci_irq_vector" },
	{ 0x7d48dc21, "flow_rule_match_ipv4_addrs" },
	{ 0x62711875, "dpll_pin_on_pin_unregister" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9deea4c7, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x9bcd5ff7, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x5887fa84, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x6f7b80a4, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbc24771b, "pskb_expand_head" },
	{ 0xe89a461a, "switchdev_handle_port_attr_set" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0xae09cef5, "wake_up_process" },
	{ 0x97d6b7fb, "devlink_flash_update_status_notify" },
	{ 0x50eed58e, "dev_driver_string" },
	{ 0xca4fc947, "pci_restore_msi_state" },
	{ 0xb0d3f1d1, "trace_event_buffer_commit" },
	{ 0xc594d6b6, "xdp_return_buff" },
	{ 0xeabd0f78, "dev_addr_mod" },
	{ 0xdb341beb, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x25a70a81, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x3fcd15f5, "auxiliary_driver_unregister" },
	{ 0xd7c0e481, "dma_map_page_attrs" },
	{ 0x34b9e1a6, "napi_complete_done" },
	{ 0x3582fce1, "switchdev_handle_port_obj_del" },
	{ 0xbf898621, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x113052f8, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x58672672, "dpll_pin_get" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x4c894c94, "skb_checksum_help" },
	{ 0xb37a333d, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x86590c78, "put_device" },
	{ 0x2bb1f23c, "devm_free_irq" },
	{ 0x8ee8543e, "net_dim" },
	{ 0x8e006b5f, "__napi_schedule" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0x8753f1c7, "ipv6_skip_exthdr" },
	{ 0x949d4e31, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x408d0650, "flow_rule_match_enc_ipv4_addrs" },
	{ 0xbea2e226, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x7c2fb0bd, "__free_pages" },
	{ 0x6121bc2c, "__hw_addr_unsync_dev" },
	{ 0x6ee50677, "_dev_info" },
	{ 0x43620270, "netif_device_attach" },
	{ 0x12a77a4c, "xdp_features_clear_redirect_target" },
	{ 0x8b718839, "netdev_pick_tx" },
	{ 0xa86ae8c8, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x0c7e6d50, "xp_raw_get_dma" },
	{ 0xcc8dfebb, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x36bbcc21, "pci_iov_virtfn_devfn" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x95c95f98, "xdp_rxq_info_is_reg" },
	{ 0x557c6552, "flow_rule_match_enc_opts" },
	{ 0x17ff97ac, "devl_health_reporter_create" },
	{ 0x5407d8fa, "flow_block_cb_setup_simple" },
	{ 0xda7acd1c, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x26f03463, "flow_rule_match_basic" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x8cc196a6, "dev_open" },
	{ 0xd23f833f, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x149909c6, "__xa_alloc" },
	{ 0xc8147b37, "vlan_dev_real_dev" },
	{ 0xe00cdb74, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x7759e7bd, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x05e4773a, "devm_kmemdup" },
	{ 0x179a4daf, "pci_msix_free_irq" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x4ef38a88, "perf_trace_run_bpf_submit" },
	{ 0x95e92d87, "devlink_flash_update_timeout_notify" },
	{ 0xe1ecdf09, "devm_kfree" },
	{ 0x3e7b511d, "_dev_err" },
	{ 0xc7f51b1e, "init_net" },
	{ 0xf8a35000, "softnet_data" },
	{ 0xa8348655, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xd93237e0, "xdp_return_frame" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0xfee49c62, "ptp_clock_register" },
	{ 0xb7058c3f, "devl_nested_devlink_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xebdf84ee, "__wake_up_locked" },
	{ 0x463fb62e, "hwmon_device_register_with_info" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x35645060, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0x72eb936e, "__auxiliary_device_add" },
	{ 0x7a943e7c, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0x8642f946, "netif_set_affinity_auto" },
	{ 0x22aab00c, "netif_set_real_num_rx_queues" },
	{ 0x64427686, "do_wait_intr_irq" },
	{ 0xec86f817, "flow_indr_block_cb_alloc" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd54be88e, "devl_port_register_with_ops" },
	{ 0x438d6dcf, "devlink_fmsg_dump_skb" },
	{ 0x43a83f90, "pci_wait_for_pending_transaction" },
	{ 0x4c3da9ae, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xa8555fd5, "pci_device_is_present" },
	{ 0x5dadf469, "debugfs_remove" },
	{ 0xd2f28b41, "pci_read_config_word" },
	{ 0x59c25e08, "pcie_flr" },
	{ 0x22671d1f, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x3932a1b5, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x30d7b315, "dcbnl_ieee_notify" },
	{ 0x3570e5c4, "xsk_uses_need_wakeup" },
	{ 0x3292674b, "const_current_task" },
	{ 0x291ee372, "register_netdev" },
	{ 0x9ff330f2, "dev_mc_del" },
	{ 0x150ff8f1, "trace_event_reg" },
	{ 0x7a3f16a2, "devl_region_destroy" },
	{ 0x9871b56e, "free_netdev" },
	{ 0x605fb440, "xsk_get_pool_from_qid" },
	{ 0x664cef8e, "module_layout" },
};

MODULE_INFO(depends, "gnss,libie");

MODULE_ALIAS("auxiliary:ice.sf");
MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000579Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000012DEsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "5DBC8CC2BC7ED4B8750C984");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
