#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe5008e39, "mdio_i2c_alloc" },
	{ 0x1f67ae9c, "__mdiobus_register" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x3d52378f, "kmalloc_caches" },
	{ 0x6f27e88e, "__kmalloc_cache_noprof" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xbe992469, "__devm_add_action" },
	{ 0x634b85a4, "device_get_match_data" },
	{ 0xf0e861f9, "__dev_fwnode" },
	{ 0x96115610, "fwnode_find_reference" },
	{ 0x7f5c014d, "i2c_get_adapter_by_fwnode" },
	{ 0x65a85e05, "devm_gpiod_get_optional" },
	{ 0x682a4785, "device_property_read_u32_array" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb3db8be4, "sfp_register_socket" },
	{ 0xa186c92e, "gpiod_to_irq" },
	{ 0x82a386f2, "debugfs_create_dir" },
	{ 0x59714de0, "debugfs_create_file_full" },
	{ 0x1be81ff4, "devm_kasprintf" },
	{ 0x059bf314, "devm_request_threaded_irq" },
	{ 0x5dadf469, "debugfs_remove" },
	{ 0xb6787346, "sfp_unregister_socket" },
	{ 0x99558bdd, "seq_lseek" },
	{ 0xb078c97c, "seq_read" },
	{ 0x60e79943, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1dba167a, "__platform_driver_register" },
	{ 0x2bb1f23c, "devm_free_irq" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x4fb94afc, "get_phy_device" },
	{ 0xf5674078, "phy_device_register" },
	{ 0xf964236f, "sfp_add_phy" },
	{ 0x04bdd313, "phy_device_remove" },
	{ 0x4b91b747, "phy_device_free" },
	{ 0x3e7b511d, "_dev_err" },
	{ 0x83d6f75d, "gpiod_get_value_cansleep" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd2d4158d, "gpiod_direction_input" },
	{ 0x558f06f2, "gpiod_direction_output" },
	{ 0x549faf19, "mdiobus_unregister" },
	{ 0xe754c10d, "mdiobus_free" },
	{ 0x36de04bb, "i2c_put_adapter" },
	{ 0x037a0cba, "kfree" },
	{ 0xa95b5c77, "hwmon_sanitize_name" },
	{ 0x463fb62e, "hwmon_device_register_with_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xa4ad2125, "_dev_warn" },
	{ 0x6ee50677, "_dev_info" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xb6540b31, "i2c_smbus_xfer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0233eef5, "i2c_transfer" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x433f3d73, "single_open" },
	{ 0x156c32a8, "seq_printf" },
	{ 0xdefdf727, "platform_driver_unregister" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b97421, "sfp_link_up" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x9deea4c7, "__dynamic_dev_dbg" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x6129fb93, "sfp_remove_phy" },
	{ 0xda320d31, "sfp_module_start" },
	{ 0x419e7efd, "sfp_module_stop" },
	{ 0x59153bdf, "hwmon_device_unregister" },
	{ 0x648f59a9, "sfp_module_insert" },
	{ 0x6b413c9b, "sfp_link_down" },
	{ 0x58def6ca, "sfp_module_remove" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x664cef8e, "module_layout" },
};

MODULE_INFO(depends, "mdio-i2c,libphy");

MODULE_ALIAS("of:N*T*Csff,sff");
MODULE_ALIAS("of:N*T*Csff,sffC*");
MODULE_ALIAS("of:N*T*Csff,sfp");
MODULE_ALIAS("of:N*T*Csff,sfpC*");

MODULE_INFO(srcversion, "33C11D4120CB4D2E917A51C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
