#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0xed301aad, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x1f174391, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x3ef762f4, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x7c2d6ca1, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0xf45d881e, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x0ea47f5a, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0xe5bca05d, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x59534095, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x2b3ae0e3, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0xe16a5847, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x917b9f72, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x14eb3f6e, "_gpl");
SYMBOL_CRC(usbnet_stop, 0xed41552f, "_gpl");
SYMBOL_CRC(usbnet_open, 0x5160c0a6, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0xa8587caf, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0xbf8f1167, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x5bba745c, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0xe674019e, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x511be72f, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x9872ccdb, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x70859269, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x441421e7, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x46f1a333, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0x4c0c9280, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0xb8267460, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0xa6a5d8dd, "_gpl");
SYMBOL_CRC(usbnet_probe, 0xb80cd85e, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0xb597f434, "_gpl");
SYMBOL_CRC(usbnet_resume, 0xa3493863, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0xd8f67543, "");
SYMBOL_CRC(usbnet_manage_power, 0xc7134f7e, "");
SYMBOL_CRC(usbnet_link_change, 0x30832ba6, "");
SYMBOL_CRC(usbnet_read_cmd, 0x8d276848, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x45185ded, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0xb620ce66, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0xe93f1132, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x5a828165, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc6c9efaa, "usb_set_interface" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xe55cbbae, "usb_string" },
	{ 0x9deea4c7, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xeabd0f78, "dev_addr_mod" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb05a45bf, "this_cpu_off" },
	{ 0xaae27452, "netif_rx" },
	{ 0x25a70a81, "eth_type_trans" },
	{ 0x48870f13, "skb_queue_tail" },
	{ 0x39935d4a, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xccbf54a0, "skb_dequeue" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x0326f2d7, "skb_queue_purge_reason" },
	{ 0x646c4521, "usb_get_urb" },
	{ 0x703de03c, "usb_unlink_urb" },
	{ 0x411b2178, "usb_free_urb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3292674b, "const_current_task" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xb37a333d, "__tracepoint_sched_set_state_tp" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x0cb39ef5, "add_wait_queue" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0x5114536f, "usb_submit_urb" },
	{ 0x6f7b80a4, "netdev_err" },
	{ 0x76ccd773, "mii_ethtool_get_link_ksettings" },
	{ 0xf9e82c7a, "mii_ethtool_set_link_ksettings" },
	{ 0x0bd9c59f, "mii_nway_restart" },
	{ 0x037a0cba, "kfree" },
	{ 0x31bebe3d, "usb_autopm_put_interface_async" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x6428ecd9, "unregister_netdev" },
	{ 0x69989fc1, "consume_skb" },
	{ 0x3fec67e3, "usb_get_from_anchor" },
	{ 0xb5a2c8d8, "usb_kill_urb" },
	{ 0x9871b56e, "free_netdev" },
	{ 0x76e8e5ff, "netdev_info" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xbea2e226, "netif_device_detach" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x43620270, "netif_device_attach" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x89d65bb7, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd99827a7, "usb_autopm_get_interface" },
	{ 0xa8e82f29, "usb_autopm_put_interface" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xc34c20f4, "usb_alloc_urb" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x3d52378f, "kmalloc_caches" },
	{ 0x6f27e88e, "__kmalloc_cache_noprof" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0xa84c170b, "mii_link_ok" },
	{ 0x371b8ef4, "ethtool_op_get_link" },
	{ 0xff577c44, "netif_carrier_on" },
	{ 0xdeba1c5c, "netif_carrier_off" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x57f8d637, "__netdev_alloc_skb" },
	{ 0xa2585338, "dev_kfree_skb_any_reason" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4a176b5f, "netif_tx_wake_queue" },
	{ 0x415d60e9, "skb_put" },
	{ 0x34831be3, "usb_clear_halt" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1b7822af, "usb_autopm_get_interface_async" },
	{ 0x8887229f, "skb_tstamp_tx" },
	{ 0xc2350289, "usb_anchor_urb" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x35f89eb3, "usb_autopm_get_interface_no_resume" },
	{ 0xea06db90, "alloc_etherdev_mqs" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x291ee372, "register_netdev" },
	{ 0x68c836b9, "pm_runtime_enable" },
	{ 0xfbfc117d, "usb_check_bulk_endpoints" },
	{ 0x9443b42a, "eth_mac_addr" },
	{ 0xaf3a46a8, "eth_validate_addr" },
	{ 0x312f1fa7, "ethtool_op_get_ts_info" },
	{ 0xa4e93e0a, "param_ops_int" },
	{ 0x664cef8e, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mii");


MODULE_INFO(srcversion, "9F7DC8FB1CC7A363B75917F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
