#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(qtnf_core_attach, "_gpl", "");
KSYMTAB_FUNC(qtnf_core_detach, "_gpl", "");
KSYMTAB_FUNC(qtnf_classify_skb, "_gpl", "");
KSYMTAB_FUNC(qtnf_wake_all_queues, "_gpl", "");
KSYMTAB_FUNC(qtnf_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(qtnf_trans_handle_rx_ctl_packet, "_gpl", "");
KSYMTAB_FUNC(qtnf_chipid_to_string, "_gpl", "");

SYMBOL_CRC(qtnf_core_attach, 0x230991ce, "_gpl");
SYMBOL_CRC(qtnf_core_detach, 0xd60f5d0f, "_gpl");
SYMBOL_CRC(qtnf_classify_skb, 0x646b14e3, "_gpl");
SYMBOL_CRC(qtnf_wake_all_queues, 0xaaa409df, "_gpl");
SYMBOL_CRC(qtnf_get_debugfs_dir, 0xa9978ff6, "_gpl");
SYMBOL_CRC(qtnf_trans_handle_rx_ctl_packet, 0x87cc94a6, "_gpl");
SYMBOL_CRC(qtnf_chipid_to_string, 0x31fab83c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xe1e443ae, "alloc_netdev_mqs" },
	{ 0xcc8b8470, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x9d4b79f0, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0xff182494, "cfg80211_put_bss" },
	{ 0x77a5ccca, "cfg80211_ch_switch_notify" },
	{ 0x48870f13, "skb_queue_tail" },
	{ 0x4b891555, "ieee80211_get_channel_khz" },
	{ 0xbb028aa6, "cfg80211_check_combinations" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7a7d648f, "__cfg80211_radar_event" },
	{ 0x945173b3, "cfg80211_get_drvinfo" },
	{ 0xc7f51b1e, "init_net" },
	{ 0x932d62b1, "platform_device_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xc7302160, "cfg80211_michael_mic_failure" },
	{ 0xce169580, "wiphy_apply_custom_regulatory" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x5dadf469, "debugfs_remove" },
	{ 0xf3b23eab, "cfg80211_del_sta_sinfo" },
	{ 0x226b9e3a, "cfg80211_update_owe_info_event" },
	{ 0xb2c91ad1, "wiphy_unregister" },
	{ 0x9871b56e, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x3f528133, "netif_tx_stop_all_queues" },
	{ 0x4a176b5f, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x9dced460, "wdev_chandef" },
	{ 0x57f8d637, "__netdev_alloc_skb" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2704f594, "cfg80211_unregister_wdev" },
	{ 0x6723d6cd, "platform_device_register_full" },
	{ 0xb848321b, "cfg80211_rx_mgmt_ext" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8aced589, "param_ops_bool" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6f27e88e, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdeba1c5c, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xff577c44, "netif_carrier_on" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x0fcf6429, "netdev_walk_all_lower_dev" },
	{ 0xa75c7697, "cfg80211_inform_bss_data" },
	{ 0xeef68df7, "cfg80211_shutdown_all_interfaces" },
	{ 0xa2585338, "dev_kfree_skb_any_reason" },
	{ 0xfb7d4fb4, "regulatory_set_wiphy_regd" },
	{ 0x349cba85, "strchr" },
	{ 0x82a386f2, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x0667b203, "cfg80211_connect_done" },
	{ 0xfb05a0e5, "__cfg80211_get_bss" },
	{ 0x0fc8cf64, "wiphy_free" },
	{ 0x3d52378f, "kmalloc_caches" },
	{ 0x2f612202, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x9443b42a, "eth_mac_addr" },
	{ 0x415d60e9, "skb_put" },
	{ 0x52cc1b34, "cfg80211_scan_done" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x69989fc1, "consume_skb" },
	{ 0x065b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa47fbd2c, "cfg80211_cac_event" },
	{ 0xccbf54a0, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x89698046, "cfg80211_register_netdevice" },
	{ 0xb05a45bf, "this_cpu_off" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa2eeb73c, "regulatory_hint" },
	{ 0x037a0cba, "kfree" },
	{ 0xca536aa0, "cfg80211_external_auth_request" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xce6dcaba, "cfg80211_new_sta" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x47e2160d, "cfg80211_disconnected" },
	{ 0x75a70e5a, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb7255695, "netdev_port_same_parent_id" },
	{ 0xeabd0f78, "dev_addr_mod" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x664cef8e, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "12151B63889F71F9506C7DE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
