#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2800mmio_get_dma_done, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_txwi, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_write_tx_desc, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_fill_rxdone, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_pretbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_tbtt_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_rxdone_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_autowake_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_txstatus_tasklet, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_interrupt, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_toggle_irq, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_start_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_stop_queue, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_queue_init, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_get_entry_state, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_queues, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_init_registers, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800mmio_probe_hw, "_gpl", "");

SYMBOL_CRC(rt2800mmio_get_dma_done, 0x54ca0e80, "_gpl");
SYMBOL_CRC(rt2800mmio_get_txwi, 0x1318fbfd, "_gpl");
SYMBOL_CRC(rt2800mmio_write_tx_desc, 0x75ffe95a, "_gpl");
SYMBOL_CRC(rt2800mmio_fill_rxdone, 0x6f29d730, "_gpl");
SYMBOL_CRC(rt2800mmio_pretbtt_tasklet, 0x3d741c87, "_gpl");
SYMBOL_CRC(rt2800mmio_tbtt_tasklet, 0x5028bbb2, "_gpl");
SYMBOL_CRC(rt2800mmio_rxdone_tasklet, 0x32ac3645, "_gpl");
SYMBOL_CRC(rt2800mmio_autowake_tasklet, 0x97e3c029, "_gpl");
SYMBOL_CRC(rt2800mmio_txstatus_tasklet, 0x9f3c8921, "_gpl");
SYMBOL_CRC(rt2800mmio_interrupt, 0x5fa4db64, "_gpl");
SYMBOL_CRC(rt2800mmio_toggle_irq, 0x24d4c1df, "_gpl");
SYMBOL_CRC(rt2800mmio_start_queue, 0x9c9a02ee, "_gpl");
SYMBOL_CRC(rt2800mmio_kick_queue, 0x2cf23cdb, "_gpl");
SYMBOL_CRC(rt2800mmio_flush_queue, 0x63d91681, "_gpl");
SYMBOL_CRC(rt2800mmio_stop_queue, 0x3ac4f704, "_gpl");
SYMBOL_CRC(rt2800mmio_queue_init, 0x7d0ea731, "_gpl");
SYMBOL_CRC(rt2800mmio_get_entry_state, 0xab8fd78c, "_gpl");
SYMBOL_CRC(rt2800mmio_clear_entry, 0x3198efa8, "_gpl");
SYMBOL_CRC(rt2800mmio_init_queues, 0x16d22ddf, "_gpl");
SYMBOL_CRC(rt2800mmio_init_registers, 0x82033c0e, "_gpl");
SYMBOL_CRC(rt2800mmio_enable_radio, 0x5b9b417e, "_gpl");
SYMBOL_CRC(rt2800mmio_probe_hw, 0xf6c51bc4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xc58fdd7f, "rt2x00queue_get_entry" },
	{ 0x4d132de6, "rt2800_process_rxwi" },
	{ 0xf15f913a, "rt2x00mmio_rxdone" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf57aa9a1, "rt2800_config" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0x89a55df1, "hrtimer_start_range_ns" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x964fc14c, "rt2800_get_txwi_rxwi_size" },
	{ 0x96bdf21d, "hrtimer_cancel" },
	{ 0xfd367328, "rt2800_disable_wpdma" },
	{ 0xcdaa2e66, "rt2800_wait_wpdma_ready" },
	{ 0xac80b6f4, "rt2800_enable_radio" },
	{ 0x55ed0896, "rt2800_txstatus_pending" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x63de15f4, "rt2800_txdone" },
	{ 0xbeeaab3c, "rt2800_txdone_nostatus" },
	{ 0x12b71fe4, "rt2800_txstatus_timeout" },
	{ 0x4f01fb3c, "rt2800_probe_hw" },
	{ 0xa3872839, "rt2x00lib_pretbtt" },
	{ 0x59fca530, "rt2x00lib_beacondone" },
	{ 0x664cef8e, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,rt2800lib,rt2x00mmio");


MODULE_INFO(srcversion, "36F47ED470BEFD53F5EC32B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
