#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tpmi_get_platform_data, "_gpl", "INTEL_TPMI");
KSYMTAB_FUNC(tpmi_get_resource_count, "_gpl", "INTEL_TPMI");
KSYMTAB_FUNC(tpmi_get_resource_at_index, "_gpl", "INTEL_TPMI");
KSYMTAB_FUNC(tpmi_get_feature_status, "_gpl", "INTEL_TPMI");
KSYMTAB_FUNC(tpmi_get_debugfs_dir, "_gpl", "INTEL_TPMI");

SYMBOL_CRC(tpmi_get_platform_data, 0x5cb4c58b, "_gpl");
SYMBOL_CRC(tpmi_get_resource_count, 0xac045333, "_gpl");
SYMBOL_CRC(tpmi_get_resource_at_index, 0xa8ed9d98, "_gpl");
SYMBOL_CRC(tpmi_get_feature_status, 0xe4880bb2, "_gpl");
SYMBOL_CRC(tpmi_get_debugfs_dir, 0xf718afe1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa836cc27, "intel_vsec_add_aux" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3fcd15f5, "auxiliary_driver_unregister" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0xc6cbbc89, "capable" },
	{ 0x9c9aa3b9, "parse_int_array_user" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x5dadf469, "debugfs_remove" },
	{ 0xde80cd09, "ioremap" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb078c97c, "seq_read" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xe04c0de4, "seq_write" },
	{ 0x6f27e88e, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x156c32a8, "seq_printf" },
	{ 0x59714de0, "debugfs_create_file_full" },
	{ 0x60e79943, "single_release" },
	{ 0x10fb9075, "__auxiliary_driver_register" },
	{ 0x433f3d73, "single_open" },
	{ 0x82a386f2, "debugfs_create_dir" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3d52378f, "kmalloc_caches" },
	{ 0x12520845, "devm_kmalloc" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x07a1f98d, "devm_ioremap" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x037a0cba, "kfree" },
	{ 0x211e210f, "seq_hex_dump" },
	{ 0x99558bdd, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x664cef8e, "module_layout" },
};

MODULE_INFO(depends, "intel-vsec");

MODULE_ALIAS("auxiliary:intel_vsec.tpmi");

MODULE_INFO(srcversion, "260EB06E1D4779E22B30965");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
