#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfs3_set_ds_client, "_gpl", "");

SYMBOL_CRC(nfs3_set_ds_client, 0x3dc2c041, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2c4e5a2e, "nfs_rmdir" },
	{ 0x0dee6953, "cpu_number" },
	{ 0x741aa3d2, "__preempt_count" },
	{ 0xacd19d52, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x26739dc1, "nfs_async_iocounter_wait" },
	{ 0xf085078a, "nfs_setattr_update_inode" },
	{ 0x83c6bfd6, "nfs_sops" },
	{ 0x303d4c95, "init_user_ns" },
	{ 0x0ff63dab, "rpc_restart_call" },
	{ 0x390ddc0c, "nfs_link" },
	{ 0x6f27e88e, "__kmalloc_cache_noprof" },
	{ 0x0c78febd, "dput" },
	{ 0x1ce1598c, "nfs_stat_to_errno" },
	{ 0x3f1efbd1, "put_nfs_open_context" },
	{ 0x918ecd4d, "nfs_permission" },
	{ 0x67a65980, "alloc_pages_noprof" },
	{ 0x1fb8bb47, "nfs_add_or_obtain" },
	{ 0x6e1b58ac, "from_kuid_munged" },
	{ 0x754d539c, "strlen" },
	{ 0xe3ab3102, "nfs_free_client" },
	{ 0x5d7ca927, "nfs_close_context" },
	{ 0x5ae4dbd7, "nfs_refresh_inode" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x08e162a8, "nfs_access_set_mask" },
	{ 0x30f464d7, "xdr_stream_pos" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x3d52378f, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x17036a98, "nfs_symlink" },
	{ 0xc464bd32, "nfs_unlink" },
	{ 0x8091289e, "forget_cached_acl" },
	{ 0xb3450e6f, "nfs_clone_server" },
	{ 0xe914e41e, "strcpy" },
	{ 0x10e6e3bc, "nlmclnt_proc" },
	{ 0xc5cddbeb, "nfs_writeback_update_inode" },
	{ 0x878d8946, "nfs_alloc_client" },
	{ 0x5ac2df45, "nfs_dentry_operations" },
	{ 0x76e4a6c7, "xdr_write_pages" },
	{ 0x8df42bef, "nfs_access_zap_cache" },
	{ 0x83e6a27f, "nfs_wb_all" },
	{ 0xe076fcf2, "xdr_inline_decode" },
	{ 0x8f6c75f5, "forget_all_cached_acls" },
	{ 0x0bc978d8, "nfs_submount" },
	{ 0x646c5f50, "__tracepoint_nfs_xdr_status" },
	{ 0x7ccd0833, "nfs_mknod" },
	{ 0x5e0415ee, "nfs_create_server" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b1a3d75, "nfs_init_client" },
	{ 0x037a0cba, "kfree" },
	{ 0x7d0be0bf, "nfs_post_op_update_inode" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x1b73cde4, "xdr_read_pages" },
	{ 0x29b0371c, "nfsacl_decode" },
	{ 0x22f7cb6b, "posix_acl_from_mode" },
	{ 0x96f00bcd, "nfs_create" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4ee8c56a, "nfs_mkdir" },
	{ 0x56f2fd9c, "nfs_revalidate_inode" },
	{ 0x67f0c7dd, "nfs_get_lock_context" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe13ac217, "nfs_try_get_tree" },
	{ 0xb37a333d, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xcfbdacb3, "make_kuid" },
	{ 0xfeb42418, "__SCT__tp_func_nfs_xdr_status" },
	{ 0x2db61618, "nfs_get_client" },
	{ 0x7c2fb0bd, "__free_pages" },
	{ 0x0eb5625a, "nfs_file_operations" },
	{ 0xcf6f17c2, "get_inode_acl" },
	{ 0x37239e6d, "__SCT__tp_func_nfs_xdr_bad_filehandle" },
	{ 0x53e1a300, "nfs_put_lock_context" },
	{ 0x0fbcf0aa, "nfs_rename" },
	{ 0x15d67958, "nfs_lookup" },
	{ 0xe10f16b7, "nfs_sysfs_link_rpc_client" },
	{ 0x7390ef0f, "nfsacl_encode" },
	{ 0x450e44c4, "posix_acl_create" },
	{ 0x41f92feb, "get_nfs_open_context" },
	{ 0xb83d0031, "__SCK__tp_func_nfs_xdr_status" },
	{ 0xbb9d0881, "nfs_invalidate_atime" },
	{ 0x20e093a4, "posix_acl_equiv_mode" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd1213ef5, "nfs_getattr" },
	{ 0xf3b91623, "__SCK__tp_func_nfs_xdr_bad_filehandle" },
	{ 0x373dec22, "nfs_zap_acl_cache" },
	{ 0x3292674b, "const_current_task" },
	{ 0xb1b26652, "__tracepoint_nfs_xdr_bad_filehandle" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x908409bd, "rpc_bind_new_program" },
	{ 0xcb381236, "register_nfs_version" },
	{ 0xa9b965ca, "nfs_atomic_open_v23" },
	{ 0xb4a98cea, "rpc_call_start" },
	{ 0xa6ecbc78, "rpc_call_sync" },
	{ 0x01de4156, "rpc_prepare_reply_pages" },
	{ 0xc7faed79, "nfs_fs_type" },
	{ 0xd9603447, "nfs_setattr" },
	{ 0x8dafb870, "xdr_terminate_string" },
	{ 0x4ed2b7d9, "nfs_fattr_init" },
	{ 0x50c45ff5, "rpc_delay" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x1797d1e7, "make_kgid" },
	{ 0x18432c4e, "from_kgid_munged" },
	{ 0x2d0f9b90, "nfs_alloc_fattr" },
	{ 0x89e51035, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x664cef8e, "module_layout" },
};

MODULE_INFO(depends, "nfs,sunrpc,lockd,nfs_acl");


MODULE_INFO(srcversion, "DA6D4B3753CAAABAF25DB75");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
