#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0x84b03634, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0x6d76c144, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0xd6f31662, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0x77192eed, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0x7972e630, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0x611ab770, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0xa80e0b9f, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0xc2d8d2e3, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0xc2e998f8, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0x394a38f9, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0x212269b9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6acd829f, "register_pernet_subsys" },
	{ 0x9e4c07d7, "unregister_pernet_subsys" },
	{ 0x415d60e9, "skb_put" },
	{ 0xaf6c5400, "nf_register_net_hooks" },
	{ 0x156c32a8, "seq_printf" },
	{ 0xe04c0de4, "seq_write" },
	{ 0x9a14d7cc, "nf_unregister_net_hooks" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x82b2f568, "security_skb_classify_flow" },
	{ 0x64c5ed03, "__nf_ip6_route" },
	{ 0x7d5c05fe, "sk_skb_reason_drop" },
	{ 0xea509a76, "xfrm_lookup" },
	{ 0xd1dbcdc0, "ip6_local_out" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd9648fa7, "skb_ensure_writable" },
	{ 0x8423bb4c, "inet_proto_csum_replace4" },
	{ 0x0f47b72b, "skb_copy_bits" },
	{ 0xe7729f6c, "ip_route_me_harder" },
	{ 0x175ead80, "ip_local_out" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x463996b3, "remove_proc_entry" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x03294fde, "nf_ct_tmpl_alloc" },
	{ 0xbbdbec22, "nf_ct_ext_add" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0x865a6546, "proc_create_net_data" },
	{ 0x1246dd64, "nf_ct_tmpl_free" },
	{ 0xc56819a8, "__alloc_skb" },
	{ 0x0cafb1c7, "__cookie_v6_init_sequence" },
	{ 0x69e4fb2e, "__cookie_v6_check" },
	{ 0xbce642df, "__cookie_v4_init_sequence" },
	{ 0xbdb59c8a, "__cookie_v4_check" },
	{ 0x4c2c68de, "nf_ct_seqadj_init" },
	{ 0x69989fc1, "consume_skb" },
	{ 0x8753f1c7, "ipv6_skip_exthdr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x664cef8e, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "C1BDC301FE77D43A55D3BEA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
