#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rxrpc_debug_id, "", "");
KSYMTAB_FUNC(rxrpc_kernel_lookup_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_begin_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_shutdown_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_check_life, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_epoch, "", "");
KSYMTAB_FUNC(rxrpc_kernel_new_call_notification, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_max_life, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_min_security_level, "", "");
KSYMTAB_FUNC(rxrpc_kernel_charge_accept, "", "");
KSYMTAB_DATA(key_type_rxrpc, "", "");
KSYMTAB_FUNC(rxrpc_get_server_data_key, "", "");
KSYMTAB_FUNC(rxrpc_get_null_key, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_call_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_srtt, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_srx, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_addr, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_peer_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_peer_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_recv_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_send_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_abort_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_tx_length, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_security_keyring, "", "");

SYMBOL_CRC(rxrpc_debug_id, 0x31bf3ca3, "");
SYMBOL_CRC(rxrpc_kernel_lookup_peer, 0x9be9a637, "");
SYMBOL_CRC(rxrpc_kernel_get_peer, 0xab604b42, "");
SYMBOL_CRC(rxrpc_kernel_put_peer, 0x182d6696, "");
SYMBOL_CRC(rxrpc_kernel_begin_call, 0xd0159f41, "");
SYMBOL_CRC(rxrpc_kernel_shutdown_call, 0xec9d8773, "");
SYMBOL_CRC(rxrpc_kernel_put_call, 0xa5a326dd, "");
SYMBOL_CRC(rxrpc_kernel_check_life, 0x8d57c221, "");
SYMBOL_CRC(rxrpc_kernel_get_epoch, 0xc18ce523, "");
SYMBOL_CRC(rxrpc_kernel_new_call_notification, 0xa4b38189, "");
SYMBOL_CRC(rxrpc_kernel_set_max_life, 0x008a3dad, "");
SYMBOL_CRC(rxrpc_sock_set_min_security_level, 0x72c03308, "");
SYMBOL_CRC(rxrpc_kernel_charge_accept, 0x25257659, "");
SYMBOL_CRC(key_type_rxrpc, 0x46c462e8, "");
SYMBOL_CRC(rxrpc_get_server_data_key, 0x07c0dbba, "");
SYMBOL_CRC(rxrpc_get_null_key, 0x232e30cf, "");
SYMBOL_CRC(rxrpc_kernel_get_call_peer, 0xecc46c52, "");
SYMBOL_CRC(rxrpc_kernel_get_srtt, 0x6afc6262, "");
SYMBOL_CRC(rxrpc_kernel_remote_srx, 0x2ce0879c, "");
SYMBOL_CRC(rxrpc_kernel_remote_addr, 0x9999454c, "");
SYMBOL_CRC(rxrpc_kernel_set_peer_data, 0x0c356c36, "");
SYMBOL_CRC(rxrpc_kernel_get_peer_data, 0xb1c34d50, "");
SYMBOL_CRC(rxrpc_kernel_recv_data, 0xa77140f0, "");
SYMBOL_CRC(rxrpc_kernel_send_data, 0xc1472870, "");
SYMBOL_CRC(rxrpc_kernel_abort_call, 0x6d411eb6, "");
SYMBOL_CRC(rxrpc_kernel_set_tx_length, 0xb5ef4deb, "");
SYMBOL_CRC(rxrpc_sock_set_security_keyring, 0x117376f6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3292674b, "const_current_task" },
	{ 0x40f51c5d, "proc_doulongvec_minmax" },
	{ 0x150ff8f1, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x27aaf10e, "iov_iter_kvec" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x0ab5bcd0, "_raw_read_unlock" },
	{ 0xcc63469e, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x83211009, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x201045b7, "lock_sock_nested" },
	{ 0xa0d89ef7, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0xf5034af5, "skb_copy_datagram_iter" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xceab9502, "idr_alloc_cyclic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x924ee6bd, "udp_sendmsg" },
	{ 0x11089ac7, "_ctype" },
	{ 0x0fa8d372, "sk_alloc" },
	{ 0x546eba3a, "bpf_trace_run1" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0xc601f377, "__sock_recv_wifi_status" },
	{ 0x59ff9135, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xa1c4836f, "key_revoke" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x78ea5fb2, "kmem_cache_alloc_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xe6073ece, "sock_no_mmap" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x3ed233aa, "_atomic_dec_and_lock" },
	{ 0x35e74121, "key_validate" },
	{ 0x173ab621, "crypto_alloc_sync_skcipher" },
	{ 0xccd737b0, "__kmem_cache_create_args" },
	{ 0xe37046df, "setup_udp_tunnel_sock" },
	{ 0xaddcf18c, "proc_remove" },
	{ 0x35184b7f, "udp_sock_create6" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd0a158d6, "kthread_create_on_node" },
	{ 0xa309c4f0, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x0dee6953, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x741aa3d2, "__preempt_count" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9430ad6, "ipv4_mtu" },
	{ 0xb6126bbe, "trace_event_buffer_reserve" },
	{ 0x0bf8e2a0, "keyring_search" },
	{ 0x4dbd676e, "ip_sock_set_recverr" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x0e1ed9c9, "prepare_to_wait_exclusive" },
	{ 0xe875e218, "__rwlock_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x376d442a, "request_key_tag" },
	{ 0x161767be, "generic_key_instantiate" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xe04c0de4, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x41620cdc, "radix_tree_tagged" },
	{ 0x6f27e88e, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x802e4471, "sock_no_getname" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0x156c32a8, "seq_printf" },
	{ 0x6b62b9ee, "down_interruptible" },
	{ 0x3cae681b, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x90cce94a, "skb_clone" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x6083b5a0, "dst_release" },
	{ 0x588e0059, "_copy_from_iter" },
	{ 0xbcdd3814, "_raw_read_lock" },
	{ 0xf12cddbf, "sock_release" },
	{ 0x7adc0fbf, "rb_replace_node_rcu" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0xbac7d82d, "sock_no_ioctl" },
	{ 0xcd62c822, "_proc_mkdir" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9c4672d9, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xca75a8ac, "__seq_puts" },
	{ 0xdae93f68, "page_frag_cache_drain" },
	{ 0xcde435a5, "__page_frag_alloc_align" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x33f83444, "bpf_trace_run7" },
	{ 0xcea5e00e, "ip_icmp_error" },
	{ 0x780ed7df, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x50944630, "seq_list_start_head_rcu" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x7345dcb0, "kernel_sendmsg" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x64399f5f, "skb_to_sgvec" },
	{ 0x77a09541, "register_pernet_device" },
	{ 0x0a885556, "skb_condense" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xaee2d5e0, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3d52378f, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x8a15303a, "kmem_cache_destroy" },
	{ 0xfe410e6a, "release_sock" },
	{ 0x4e6a1087, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x16aa0294, "proc_create_net_single_write" },
	{ 0x1a3d1f69, "crypto_alloc_skcipher" },
	{ 0xf03ef1fc, "proc_dointvec_minmax" },
	{ 0xe777bbb8, "crypto_skcipher_encrypt" },
	{ 0x1c251f3a, "_raw_read_lock_irq" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x56df3477, "key_alloc" },
	{ 0x623baa06, "bpf_trace_run4" },
	{ 0x0f47b72b, "skb_copy_bits" },
	{ 0xdfb800d9, "idr_find" },
	{ 0xfebc33a9, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x69989fc1, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x065b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf4ceb6eb, "trace_raw_output_prep" },
	{ 0x8c102221, "_raw_read_unlock_irq" },
	{ 0x4a9a00df, "udp_sock_create4" },
	{ 0x5b8ee447, "bpf_trace_run6" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xccbf54a0, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x7a1451b3, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0xe448634e, "trace_event_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0xb05a45bf, "this_cpu_off" },
	{ 0x90fab38f, "add_wait_queue_exclusive" },
	{ 0x40c1f76f, "set_user_nice" },
	{ 0xbfc97bdc, "up" },
	{ 0x61db362a, "udpv6_sendmsg" },
	{ 0xad611635, "unregister_key_type" },
	{ 0x2054acd5, "__kmalloc_node_track_caller_noprof" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x34104611, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xf63eacd8, "key_type_keyring" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x0cb39ef5, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0xdb6a8b31, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xf6d9cfeb, "crypto_skcipher_setkey" },
	{ 0xccdc636e, "ip_route_output_flow" },
	{ 0xd88bb483, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xc5eeb22a, "key_instantiate_and_link" },
	{ 0x0479aac1, "seq_list_next_rcu" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xc84a0a7e, "seq_hlist_start_rcu" },
	{ 0xe9992fe7, "register_key_type" },
	{ 0x865a6546, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa938cc21, "minmax_running_min" },
	{ 0x74e481de, "put_cmsg" },
	{ 0xae09cef5, "wake_up_process" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xb0d3f1d1, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x190be884, "register_net_sysctl_sz" },
	{ 0x3794d328, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x970038d5, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xecf6bbe3, "proto_unregister" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x01000e51, "schedule" },
	{ 0x5999f6b8, "ipv6_icmp_error" },
	{ 0x3c3e66af, "sock_register" },
	{ 0xb37a333d, "__tracepoint_sched_set_state_tp" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xa3ea9240, "crypto_skcipher_decrypt" },
	{ 0xcfbdacb3, "make_kuid" },
	{ 0xd37d988f, "ip6_route_output_flags" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x09af842d, "idr_get_next" },
	{ 0x650240b1, "proto_register" },
	{ 0x681549bc, "init_wait_var_entry" },
	{ 0x48870f13, "skb_queue_tail" },
	{ 0x3be2539f, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x0c2c5802, "work_busy" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xb9075add, "__sock_recv_timestamp" },
	{ 0xea7cf89c, "key_put" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x4ef38a88, "perf_trace_run_bpf_submit" },
	{ 0xc7f51b1e, "init_net" },
	{ 0xbb3cd523, "skb_pull" },
	{ 0x5e0cf844, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0xa07a37f0, "memchr" },
	{ 0xbf869aa5, "ip_sock_set_mtu_discover" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa3697276, "ip6_mtu" },
	{ 0x7d5c05fe, "sk_skb_reason_drop" },
	{ 0x32a460e8, "down" },
	{ 0xf9ef0b0a, "bpf_trace_run5" },
	{ 0x350aeddb, "sk_free" },
	{ 0x396fe547, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xd06d94c2, "kernel_sock_shutdown" },
	{ 0x54253379, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xff99d27f, "_raw_write_lock" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xc44f3a27, "kmem_cache_free" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x664cef8e, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "5FF7FD1EE8B02BC46D1B24E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
