#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x48d8183e, "tcf_unregister_action" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x16060c20, "nla_put_64bit" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0xd9fc537f, "skb_trim" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x3d52378f, "kmalloc_caches" },
	{ 0x6f27e88e, "__kmalloc_cache_noprof" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x0460ec0f, "nf_ct_invert_tuple" },
	{ 0xd0b622b0, "flow_offload_lookup" },
	{ 0xc7f51b1e, "init_net" },
	{ 0xc90f28e0, "flow_offload_refresh" },
	{ 0xaa12e1cf, "nf_ct_acct_add" },
	{ 0xdf4b4309, "__pskb_pull_tail" },
	{ 0x0595c6c3, "flow_offload_teardown" },
	{ 0xd231a1fa, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x741aa3d2, "__preempt_count" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6fb49676, "queue_rcu_work" },
	{ 0x4554fb19, "nf_conntrack_helper_put" },
	{ 0x3e46b3ee, "nf_connlabels_put" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x77b3bf5d, "nf_nat_helper_put" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xd9d675a4, "tcf_idr_check_alloc" },
	{ 0xd2dc5d2a, "tcf_action_check_ctrlact" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x167b0233, "rhashtable_insert_slow" },
	{ 0x1986f517, "nf_flow_table_init" },
	{ 0x7c30db4f, "__module_get" },
	{ 0xd10e05e2, "tcf_chain_put_by_act" },
	{ 0xb381cd71, "tcf_idr_release" },
	{ 0xda0ef465, "tcf_idr_create_from_flags" },
	{ 0x5029b94f, "tcf_idr_cleanup" },
	{ 0x249e6668, "nf_connlabels_get" },
	{ 0x03294fde, "nf_ct_tmpl_alloc" },
	{ 0x9745a321, "nf_ct_add_helper" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xae8bfb46, "tcf_action_set_ctrlact" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x91782581, "rht_bucket_nested_insert" },
	{ 0xb05a45bf, "this_cpu_off" },
	{ 0xca595ecd, "skb_pull_rcsum" },
	{ 0x89b9736a, "ipv6_find_hdr" },
	{ 0x9b8af810, "nf_ct_handle_fragments" },
	{ 0x9aa9afcc, "nf_ct_skb_network_trim" },
	{ 0x91af0160, "nf_conntrack_in" },
	{ 0x0f47b72b, "skb_copy_bits" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x46434396, "skb_push" },
	{ 0xf05b1d0f, "nf_ct_deliver_cached_events" },
	{ 0xad345f3e, "nf_ct_nat" },
	{ 0x1abfc5d9, "nf_ct_helper" },
	{ 0x650b942f, "flow_offload_alloc" },
	{ 0xa6d49cb0, "flow_offload_add" },
	{ 0x076784e6, "flow_offload_free" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x62b8769d, "__nf_ct_try_assign_helper" },
	{ 0x76a59e63, "nf_connlabels_replace" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x1140ee5b, "nf_ct_delete" },
	{ 0xbbdbec22, "nf_ct_ext_add" },
	{ 0xbccb4e25, "__nf_conntrack_confirm" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe01301b5, "tcf_idrinfo_destroy" },
	{ 0x037a0cba, "kfree" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4d8156cf, "tcf_action_update_stats" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x2a037114, "nf_flow_table_free" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xeed7fd81, "up_write" },
	{ 0x1c3c1367, "module_put" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa6ab9899, "rhashtable_init_noprof" },
	{ 0xbcb3c83d, "tcf_register_action" },
	{ 0xb917289f, "rhashtable_destroy" },
	{ 0x22d60537, "tcf_frag_xmit_count" },
	{ 0x664cef8e, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_flow_table,nf_nat");


MODULE_INFO(srcversion, "81A7EFC116157ADF65292ED");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
