#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_sdw_startup, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_common_check_sdw_irq, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_check_wakeen_irq_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_process_wakeen_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_post_fw_run, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe_early, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_remove, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_power_down_dsp, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_pci_intel_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_DATA(sof_hda_common_ops, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");

SYMBOL_CRC(hda_sdw_startup, 0x04490226, "");
SYMBOL_CRC(hda_common_check_sdw_irq, 0x959a0a23, "");
SYMBOL_CRC(hda_sdw_check_wakeen_irq_common, 0x9ff188af, "");
SYMBOL_CRC(hda_sdw_process_wakeen_common, 0x50f3d0c1, "");
SYMBOL_CRC(hda_dsp_post_fw_run, 0x34bfc472, "");
SYMBOL_CRC(hda_dsp_probe_early, 0x96ad04ab, "");
SYMBOL_CRC(hda_dsp_probe, 0x46a10a0e, "");
SYMBOL_CRC(hda_dsp_remove, 0x3d17ac60, "");
SYMBOL_CRC(hda_power_down_dsp, 0x62952985, "");
SYMBOL_CRC(hda_pci_intel_probe, 0x055f6396, "");
SYMBOL_CRC(sof_hda_common_ops, 0x6d0f0dfa, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaa52eba1, "sdw_intel_thread" },
	{ 0x2ad078bb, "hda_dsp_d0i3_work" },
	{ 0x12520845, "devm_kmalloc" },
	{ 0x79bb115b, "__SCT__tp_func_sof_intel_hda_irq" },
	{ 0xbe2a953e, "pci_alloc_irq_vectors" },
	{ 0x79a938b7, "intel_nhlt_get_dmic_geo" },
	{ 0xbd1e1403, "hda_dsp_ext_man_get_cavs_config_data" },
	{ 0xac3a9611, "hda_dsp_ctrl_ppcap_enable" },
	{ 0xb5835a9c, "hda_sdw_process_wakeen" },
	{ 0x130199b0, "hda_sdw_int_enable" },
	{ 0xd27dc2c4, "hda_bus_ml_init" },
	{ 0x65470836, "hda_codec_probe_bus" },
	{ 0x07c2b7a4, "sof_hda_bus_exit" },
	{ 0x77246ed8, "sdw_hda_dai_hw_params" },
	{ 0xedc03953, "iounmap" },
	{ 0x4f3684fe, "sdw_intel_exit" },
	{ 0xc49cebe0, "hda_codec_check_for_state_change" },
	{ 0xc28a1601, "sof_xtensa_arch_ops" },
	{ 0xb40d3601, "intel_nhlt_has_endpoint_type" },
	{ 0xaf098cf9, "sdw_hda_dai_trigger" },
	{ 0x34e7a88c, "hda_bus_ml_free" },
	{ 0xce7cdb35, "hda_dsp_cl_boot_firmware" },
	{ 0xef56554c, "hda_dsp_pcm_hw_params" },
	{ 0x71cb440b, "hda_sdw_check_lcount" },
	{ 0x26b603b5, "snd_intel_dsp_driver_probe" },
	{ 0xae5ffd37, "pci_irq_vector" },
	{ 0x44dc9ad0, "hda_dsp_ctrl_clock_power_gating" },
	{ 0x9deea4c7, "__dynamic_dev_dbg" },
	{ 0xdbbdc430, "pci_ioremap_bar" },
	{ 0x3f7b6073, "hda_dsp_ctrl_init_chip" },
	{ 0x69a07da7, "sdw_hda_dai_hw_free" },
	{ 0xaab5eff9, "sof_pci_probe" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab777fcb, "hda_dsp_suspend" },
	{ 0xde397860, "hda_dsp_runtime_suspend" },
	{ 0xa15bbbc5, "hda_codec_i915_exit" },
	{ 0x55fdb5f3, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3144d582, "hda_dsp_ipc_get_mailbox_offset" },
	{ 0xcdacb90b, "hda_dai_config" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xa4f74c53, "hda_probes_unregister" },
	{ 0x95073503, "sof_block_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b9a5260, "hda_dsp_pcm_ack" },
	{ 0x2fedda8d, "hda_dsp_trace_release" },
	{ 0x1886b637, "__SCK__tp_func_sof_intel_hda_irq" },
	{ 0x6ee50677, "_dev_info" },
	{ 0xa045cfef, "hda_dsp_dump" },
	{ 0x465ca39b, "sdw_intel_startup" },
	{ 0x68a18b02, "hda_dsp_pcm_pointer" },
	{ 0x58ae3830, "sdw_intel_process_wakeen_event" },
	{ 0xe049381d, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x05e4773a, "devm_kmemdup" },
	{ 0xf1640d4a, "sof_mailbox_read" },
	{ 0xb89f0658, "hda_bus_ml_put_all" },
	{ 0x3e7b511d, "_dev_err" },
	{ 0x533e8ed5, "debugfs_create_bool" },
	{ 0x5500cc86, "hda_dsp_core_reset_power_down" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x82ca9e27, "__tracepoint_sof_intel_hda_irq" },
	{ 0x932d62b1, "platform_device_unregister" },
	{ 0x450e10cc, "hda_dsp_trace_init" },
	{ 0xb157f402, "snd_soc_acpi_find_machine" },
	{ 0x6b5b6e69, "snd_soc_acpi_intel_detect_codec_type" },
	{ 0x11ed521e, "hda_codec_device_remove" },
	{ 0x0c9503cd, "hda_dsp_ctrl_ppcap_int_enable" },
	{ 0x2a5ca07b, "snd_soc_acpi_intel_get_codec_tplg_suffix" },
	{ 0x8e1ca3f7, "intel_nhlt_free" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x9d48a363, "snd_sof_dsp_update_bits" },
	{ 0xc99899b7, "snd_sof_pci_update_bits" },
	{ 0xf07b8b0b, "sof_hda_bus_init" },
	{ 0x51eb3527, "hda_dsp_runtime_idle" },
	{ 0x7e250316, "hda_dsp_pcm_open" },
	{ 0xa4ad2125, "_dev_warn" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0xe9011535, "sdw_intel_lnl_hw_ops" },
	{ 0xbce89408, "pci_set_master" },
	{ 0x482291bc, "param_ops_charp" },
	{ 0xb8acb455, "hda_dsp_stream_hw_free" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x3bdcdfa9, "hda_dsp_stream_threaded_handler" },
	{ 0x6b557494, "hda_dsp_pcm_close" },
	{ 0x991b3f1d, "dma_set_coherent_mask" },
	{ 0x1be81ff4, "devm_kasprintf" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0xb23bbd0c, "hda_check_ipc_irq" },
	{ 0x0dee6953, "cpu_number" },
	{ 0x741aa3d2, "__preempt_count" },
	{ 0x6723d6cd, "platform_device_register_full" },
	{ 0x0e84eefc, "snd_soc_acpi_intel_get_amp_tplg_suffix" },
	{ 0x85df9b6c, "strsep" },
	{ 0xc5c5adff, "hda_dsp_runtime_resume" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x9ff987b9, "hda_dsp_trace_trigger" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd4a42330, "sof_machine_unregister" },
	{ 0x3a51a113, "skl_dai" },
	{ 0x90072017, "hda_dsp_get_stream_llp" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xeb5a6c01, "sdw_intel_probe" },
	{ 0x6b29f79a, "snd_sof_load_firmware_raw" },
	{ 0xea86f56b, "snd_soc_acpi_intel_detect_amp_type" },
	{ 0xbb98d44d, "hda_is_chain_dma_supported" },
	{ 0x7ea5478c, "hda_dsp_resume" },
	{ 0x63cff362, "intel_nhlt_ssp_mclk_mask" },
	{ 0x8023875e, "dma_set_mask" },
	{ 0xa633f379, "hda_probes_register" },
	{ 0xf2ce560f, "sof_hda_position_quirk" },
	{ 0x5c2e657f, "dev_err_probe" },
	{ 0x5c84362a, "hda_dsp_stream_init" },
	{ 0x2d34e80c, "hda_dsp_get_stream_ldp" },
	{ 0xe3adc21b, "hda_dsp_stream_free" },
	{ 0xf7b4e071, "hda_dsp_ctrl_get_caps" },
	{ 0xa4e93e0a, "param_ops_int" },
	{ 0xc159ce71, "intel_nhlt_init" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x74851a4b, "sdw_intel_cnl_hw_ops" },
	{ 0x328f55c1, "intel_nhlt_ssp_endpoint_mask" },
	{ 0x7316d7bf, "hda_codec_i915_init" },
	{ 0xae4235b7, "pci_free_irq_vectors" },
	{ 0x466f3ad7, "hda_dsp_check_stream_irq" },
	{ 0x1aec07b6, "hda_set_stream_data_offset" },
	{ 0x64ce64c1, "sdw_intel_acpi_scan" },
	{ 0xc8868d9c, "hda_dsp_ipc_get_window_offset" },
	{ 0x50bede9b, "hda_ipc_msg_data" },
	{ 0xf897b568, "sof_machine_register" },
	{ 0x6b590658, "hdac_bus_eml_get_mutex" },
	{ 0xd467c0b3, "snd_soc_acpi_intel_hda_machines" },
	{ 0x91b368af, "hda_dsp_set_hw_params_upon_resume" },
	{ 0x869280eb, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0xde8c3970, "sof_block_read" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x43cecd7e, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0xdb92951d, "hda_get_interface_mask" },
	{ 0xfca5132c, "hda_codec_i915_display_power" },
	{ 0x688aff42, "is_acpi_device_node" },
	{ 0x1d111307, "hda_dsp_pcm_trigger" },
	{ 0x664cef8e, "module_layout" },
};

MODULE_INFO(depends, "soundwire-intel,snd-sof-intel-hda-common,snd-intel-dspcfg,snd-sof-intel-hda-mlink,snd-sof-intel-hda,snd-sof-xtensa-dsp,snd-sof-pci,snd-pcm,snd-sof,snd-soc-acpi,snd-soc-acpi-intel-match,snd-intel-sdw-acpi");


MODULE_INFO(srcversion, "D6B1ADF73F7DA3B78C29411");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
